<?php

	function getDegreeGroup($aobj_context)
	{
		
		$query = "SELECT DISTINCT(fdeggrp) AS internal_code,fdeggrp AS VALUE FROM degree 
		WHERE ifnull(fdeggrp,'') <> ''";
		
		$results = $aobj_context->mobj_db->GetAll($query);

		$arr['deggrp']=$results;
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 

	}
	
	function getDegreeNames($aobj_context)
	{

		$deg = $aobj_context->mobj_data["degtype"];
		//var_dump($deg );
		$query1="SELECT DISTINCT(fdegree) AS internal_code,CONCAT(fdegree,' - ',fdescpn) AS VALUE FROM degree where fdeggrp='{$deg}' ";
		//var_dump($query1);
		$results1=$aobj_context->mobj_db->GetAll($query1);
		$arr['degree']=$results1;
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 

	}

	function getResDegreeName($aobj_context)
	{
		session_start();
		$collcode=$_SESSION['collcode'];
	
		//var_dump($deg );
		$query1="SELECT DISTINCT d.fdegree AS internal_code,CONCAT(d.fdegree,' - ',d.fdescpn) AS VALUE FROM degree d
		 inner join res_fee r on d.fdegree = r.fdegree 
		where r.fcollcode = '{$collcode}'";
		
		$results1=$aobj_context->mobj_db->GetAll($query1);
		$arr['degree']=$results1;
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 

	}

	function getDegreeResExamName($aobj_context)
	{
		session_start();
		$collcode=$_SESSION['collcode'];
		$degree = $aobj_context->mobj_data["degree"];
		//var_dump($deg );
		$query1="SELECT DISTINCT d.fexamno AS internal_code,CONCAT(d.fexamno,' - ',d.fexamname) AS VALUE 
		FROM degree d 
		inner join res_fee r on d.fdegree = r.fdegree 
		and d.fexamno = r.fexamno
		where r.fcollcode = '{$collcode}' and r.fdegree = '{$degree}'";
		$results1=$aobj_context->mobj_db->GetAll($query1);

		$query1="SELECT DISTINCT concat(d.fyear,'*',d.fexamtype) AS internal_code,
		fexamdate AS VALUE 
		FROM degexam d 
		inner join res_fee r on d.fdegree = r.fdegree 
		and d.fexamno = r.fexamno
		and d.fyear = r.fyear and d.fexamtype = r.fexamtype
		where r.fcollcode = '{$collcode}' 
		and r.fdegree = '{$degree}'";
		$results2=$aobj_context->mobj_db->GetAll($query1);

		$arr['degexam']=$results1;
		$arr['degexamdate']=$results2;
		
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 

	}

	function getExamNo($aobj_context)
	{
		$deg = $aobj_context->mobj_data["degtype"];
		$degree = $aobj_context->mobj_data["degreename"];
		$query2="SELECT fexamno AS internal_code,CONCAT(fexamno,' - ',fexamname) AS VALUE FROM degree 
		WHERE fdeggrp='{$deg}' and fdegree='{$degree}'";
		//var_dump($query2);
		$results2=$aobj_context->mobj_db->GetAll($query2);
		$arr['exam']=$results2;
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 
	}
?>