<?php
class bundle_status
{
    
	function __construct($aobj_context)
	{
		session_start();
		$this->aobj_context=$aobj_context;
		$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
		$this->user_id=$_SESSION['user_id']	;		  
		$this->collcode=$_SESSION['collcode'];	
		$this->log_name = $_SESSION['usr'];
		$this->user_type=$_SESSION['user_type'];
	}

	function getbundlestatus()
	{
		$examdate = ($this->aobj_context->mobj_data["examdate"]);
		
		
		$lquery ="select distinct c.fqpcode, m.fsubname, fbuno, ftotscript,
		ifnull(date_format(frecdate,'%d/%m/%Y'),'') as frecdate, ifnull(fapresent,'') as fspresent
		from colldesp c inner join 
		(select fqpcode, fsubname from subject group by fqpcode) m
		on c.fqpcode = m.fqpcode
		where fcollcode = '{$this->collcode}' 
		and c.fdoe = date_format(str_to_date('{$examdate}','%d/%m/%Y'),'%Y-%m-%d') 
		order by fqpcode, fbuno";
		$lresult = $this->aobj_context->mobj_db->GetAll($lquery);
	
		$str_reval ="<br>";
		$str_reval.="<table style='padding:3px 4px 3px 3px;' class='tr_ventor_row' id='bundle_status_data' width='100%' border='0' cellspacing='0' cellpadding='0'>";
		$str_reval.="<tr class='tr_bg1'>";
		$str_reval.="<td align='center' style=' font-size:12px; font-weight:bold; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-top:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Sl. No.</td>";
		$str_reval.="<td align='center' style=' font-size:12px; font-weight:bold; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-top:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Qpcode</td>";
		$str_reval.="<td align='center' style=' font-size:12px; font-weight:bold; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-top:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Subject Name</td>";
		$str_reval.="<td align='center' style=' font-size:12px; font-weight:bold; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-top:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Bundle No.</td>";
		$str_reval.="<td align='center' style=' font-size:12px; font-weight:bold; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-top:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Total Scripts</td>";
		$str_reval.="<td align='center' style=' font-size:12px; font-weight:bold; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-top:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Rec. Count</td>";
		$str_reval.="<td align='center' style=' font-size:12px; font-weight:bold; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-top:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Rec. Date</td>";
		$str_reval.="</tr>";

		$sl_no=1;
		
		foreach($lresult as $value)
		{
			if($sl_no%2==0)
				$class='tbl_row1';
			else
				$class='tbl_row_alter1';
			$str_reval.="<tr>";		
			$str_reval.="<td class='{$class}' style=' font-size:12px; text-align:center; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px;height:20px' >{$sl_no}</td>";
			$str_reval.="<td class='{$class}' style=' font-size:12px; text-align:left; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; text-align:center;height:25px' >{$value['fqpcode']}&nbsp;</td>";
			$str_reval.="<td class='{$class}' style=' font-size:12px; text-align:left; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px;height:25px' >{$value['fsubname']}</td>";
			$str_reval.="<td class='{$class}' style=' font-size:12px; text-align:left; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; text-align:center;height:25px' >{$value['fbuno']}</td>";
			$str_reval.="<td class='{$class}' style=' font-size:12px; text-align:left; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; text-align:center;height:25px' >{$value['ftotscript']}</td>";
			$str_reval.="<td class='{$class}' align='center' style=' font-size:12px; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; font-weight:bold;text-align:center;height:20px' >{$value['fspresent']}</td>"; 
			$str_reval.="<td class='{$class}' align='center' style=' font-size:12px; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; font-weight:bold;text-align:center;height:20px' >{$value['frecdate']}</td>"; 
			$str_reval.="</tr>";
			$sl_no++;
		}			
		$str_reval.="</table>";
		$str_reval.="<br>";
		$arr['html']=$str_reval;
		echo $this->aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 	
	}
		 
 }
	
function getBundleRecAcknowledgement($aobj_context)
{
    $class_obj=new bundle_status($aobj_context);
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC); 
	$class_obj->getbundlestatus();
} 

?>