<?php

class teachers
{

	function __construct($aobj_context)
	{
		session_start();
		$this->aobj_context = $aobj_context;
		$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	}

	function AssignTeachDropDownMenus()
	{
		/*$get_data="select FDEPTCODE as code,FDEPTNAME as value
						from masdept";
			$lobj_get_data = $this->aobj_context->mobj_db->GetAll($get_data);			
			$arr['dept']=$lobj_get_data;*/

		$get_data = "select FDEGNCODE as code,FDEGNDESC as value
			from masdegn";
		$lobj_get_data = $this->aobj_context->mobj_db->GetAll($get_data);
		$arr['des'] = $lobj_get_data;

		/*$get_data="select FFACCODE as code,FFACDESC as value
						from masfac";
			$lobj_get_data = $this->aobj_context->mobj_db->GetAll($get_data);			
			$arr['fac']=$lobj_get_data;

			$get_data="select fboardcode as code,fboardname as value
						from masboard";
			$lobj_get_data = $this->aobj_context->mobj_db->GetAll($get_data);			
			$arr['fboard']=$lobj_get_data;*/

		$arr['html'] = '';
		echo $this->aobj_context->mobj_output->ToJSONEnvelope($arr, 0, "success");
	}

	function SaveTeachersEntry()
	{
		$college_code = $_SESSION['collcode'];
		$funivcode = $_SESSION['FUNIVCODE'];
		$u_id = $_SESSION['user_id'];
		$log_name = $_SESSION['usr'];

		$this->internal_code = trim($this->aobj_context->mobj_data["internal_code"]);
		$this->FTEACHCODE = trim($this->aobj_context->mobj_data["teacher_code"]);
		$this->FTEACHNAME = trim($this->aobj_context->mobj_data["teacher_name"]);
		$this->FTITLE = trim($this->aobj_context->mobj_data["title"]);
		$this->FGENDER = trim($this->aobj_context->mobj_data["gender"]);
		$this->FDEGNCODE = trim($this->aobj_context->mobj_data["designation"]);
		$this->FQUAL = trim($this->aobj_context->mobj_data["qualification"]);
		$this->FDOB = trim($this->aobj_context->mobj_data["dob"]);
		$this->FDOA = trim($this->aobj_context->mobj_data["doa"]);
		$this->FDOC = trim($this->aobj_context->mobj_data["doc"]);
		$this->FDOJUGC = trim($this->aobj_context->mobj_data["dojugc"]);
		$this->FSCALE = trim($this->aobj_context->mobj_data["teacher_scale"]);
		$this->FFULLTIME = trim($this->aobj_context->mobj_data["fulltime"]);
		$this->FPERMANENT = trim($this->aobj_context->mobj_data["permanent"]);
		$this->FPHONE = trim($this->aobj_context->mobj_data["land_line_no"]);
		$this->FMOBILE = trim($this->aobj_context->mobj_data["mobile"]);
		$this->FEMAIL = trim($this->aobj_context->mobj_data["email_id"]);
		$this->FADDR1 = trim($this->aobj_context->mobj_data["addr1"]);
		$this->FADDR2 = trim($this->aobj_context->mobj_data["addr2"]);
		$this->FADDR3 = trim($this->aobj_context->mobj_data["addr3"]);
		$this->FADDR4 = trim($this->aobj_context->mobj_data["addr4"]);
		$this->FREMARKS = trim($this->aobj_context->mobj_data["remarks"]);
		$this->FMEMBER = trim($this->aobj_context->mobj_data["member"]);
		$this->FSUBCODE1 = trim($this->aobj_context->mobj_data["ss1_vavl"]);
		$this->status = trim($this->aobj_context->mobj_data["status"]);
		$this->photopath = trim($this->aobj_context->mobj_data["photopath"]);
//photopath

		$this->aadharno = trim($this->aobj_context->mobj_data["aadharno"]);
		$this->accno = trim($this->aobj_context->mobj_data["accno"]);
		$this->ifsccode = trim($this->aobj_context->mobj_data["ifsccode"]);
		$this->bankname = trim($this->aobj_context->mobj_data["bankname"]);
		$this->panno = trim($this->aobj_context->mobj_data["panno"]);
		$this->fdeggrp = trim($this->aobj_context->mobj_data["fdeggrp"]);
		$this->fboard = trim($this->aobj_context->mobj_data["fboard"]);
		$this->valqp = trim($this->aobj_context->mobj_data["valqp"]);
		$this->valelig = trim($this->aobj_context->mobj_data["valelig"]);

		$this->valqp = json_decode($this->valqp, true);

		if ($college_code == '') {
			$arr = 'Please Login and try again';
			echo $this->aobj_context->mobj_output->ToJSONEnvelope($arr, -1, "Failure");
			return;
		}

		$query = "select * from masteach where FAADHARNO = '{$this->aadharno}' and FMOBILE = '{$this->FMOBILE}' 
		and internal_code <> '{$this->internal_code}'";
		$results = $this->aobj_context->mobj_db->GetRow($query);

		if ($results) {

			$arr = 'Aadhaar no. / mobile no. already exist against : ' . $results['FTEACHNAME'] . ' [' . $results['FTEACHCODE'] . "]";
			echo $this->aobj_context->mobj_output->ToJSONEnvelope($arr, -1, "Failure");
			return;
		}

		$query = "select * from control";
		$res = $this->aobj_context->mobj_db->GetRow($query);
		$FUNIVCODE = $res['FUNIVCODE'];
		$ffolder = $res['ffolder'];

		$get_max_teacher_code = "select max(FTEACHCODE) as max_teach_code from masteach";
		$lobj_get_max_teacher_code = $this->aobj_context->mobj_db->GetRow($get_max_teacher_code);
		$max_teach_code = $lobj_get_max_teacher_code['max_teach_code'];
		if (empty($max_teach_code)) {
			if ($funivcode == '042')
				$max_teach_code = "70001";
			else
				$max_teach_code = "20001";
		} else {
			$max_teach_code = str_ireplace("T", "", $max_teach_code) + 1;
			$max_teach_code = str_pad($max_teach_code, 5, "0", STR_PAD_LEFT);
		}

		if ($this->internal_code == 0) {

			

			$insert = "
					insert into  masteach 
						( FCOLLCODE,
						FTEACHCODE, FTITLE,FTEACHNAME, FGENDER, 
						FDEGNCODE, FQUAL, FDOB, FDOA, 
						FDOC,FDOJUGC, FSCALE, FFULLTIME, 
						FPERMANENT, FADDR1, FADDR2, 
						FADDR3, FADDR4, FPHONE, 
						FMOBILE, FEMAIL, 
						FMEMBER, FREMARKS,FLOGNAME,FLOGDATE,FSTATUS,FIFSCCODE,FACCNO,FBANKNAME,
						FPANNO,FAADHARNO,FTEMPNO, FVALELIG,FDEGGRP,FBOARD,FCREATEDATE,FCREATEUSER
						)
						values
						(
						'{$college_code}',
						'{$max_teach_code}','{$this->FTITLE}','{$this->FTEACHNAME}','{$this->FGENDER}',
						'{$this->FDEGNCODE}','{$this->FQUAL}', '{$this->FDOB}','{$this->FDOA}',
						'{$this->FDOC}','{$this->FDOJUGC}','{$this->FSCALE}','{$this->FFULLTIME}',
						'{$this->FPERMANENT}','{$this->FADDR1}','{$this->FADDR2}',
						'{$this->FADDR3}','{$this->FADDR4}','{$this->FPHONE}',
						'{$this->FMOBILE}','{$this->FEMAIL}',
						'{$this->FMEMBER}','{$this->FREMARKS}','{$log_name}',now(),'{$this->status}' 
						,'{$this->ifsccode}','{$this->accno}','{$this->bankname}',
						'{$this->panno}','{$this->aadharno}','T', '{$this->valelig}', '{$this->fdeggrp}', '{$this->fboard}', '{$log_name}', now())";
						//var_dump($insert);

			$lobj_insert = $this->aobj_context->mobj_db->Execute($insert);
			//$error=mysql_error();
			$this->last_inserted_id = $this->aobj_context->mobj_db->Insert_ID();

			if ($this->last_inserted_id > 0) 
			{

				$qry = "insert ignore into logisys3_comexam.pushstud(`FUNIVCODE`, `FREGNO`, `FDEGREE`, `FCOLLCODE`, `FNAME`,`FDOB`,FUSERTYPE);
				select '{$FUNIVCODE}', FTEACHCODE, '{$ffolder}', fcollcode, FTEACHNAME, fdob,'600' 
				from masteach";
				$rs = $this->aobj_context->mobj_db->Execute($qry);

				if ($this->valelig == 'Yes') {
					$values = "";
					foreach ($this->valqp as $k => $v) {
						$values .= "('{$max_teach_code}', '{$v}'),";
					}
					$values = rtrim($values, ',');

					$query = "insert into teachsub( fteachcode, fqpcode ) values $values";
					$result = $this->aobj_context->mobj_db->Execute($query);
					//var_dump($query); die();
				}
				
				$univcode = $_SESSION['FUNIVCODE'];
				$mob = $_SESSION['FMOBILE'];
				$usr = $_SESSION['usr'];
				$remark = "TEA - Teacher details Added - $max_teach_code";
				if (!empty($_SERVER['HTTP_CLIENT_IP']))   
				{
					$ip_address = $_SERVER['HTTP_CLIENT_IP'];
				}
				else if (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))  
				{
					$ip_address = $_SERVER['HTTP_X_FORWARDED_FOR'];
				}
				else
				{
					$ip_address = $_SERVER['REMOTE_ADDR'];
				}
				
				$query = "INSERT INTO logisys3_logs.daylog (funivcode, fdate, fip, fremarks, fcollcode, fenttype, fuser, fmobileno)
				VALUES ('{$univcode}', now(),'{$ip_address}', '{$remark}', '{$college_code}', 'TEA', '{$usr}', '{$mob}')";
				$res = $this->aobj_context->mobj_db->Execute($query);


				$college_path = $this->aobj_context->main_src .$this->aobj_context->mobj_data["db"]. "/teacher_photos/{$college_code}";
				$folder_path = $this->aobj_context->main_src .$this->aobj_context->mobj_data["db"]."/teacher_photos/{$college_code}";
				if (!file_exists($folder_path)) {
					mkdir($folder_path);
				}

				$file_name = basename($_FILES['student_entry_upload']['name']);
				$path_arr = pathinfo($_FILES['student_entry_upload']['name']);
				$file_ext = $path_arr['extension'];
				$full_file_path = $folder_path . "/{$this->last_inserted_id}_" . $file_name;;
				
				$image_path = "teacher_photos/{$college_code}/{$this->last_inserted_id}_" . $file_name;
				$path = $this->aobj_context->main_src .$this->aobj_context->mobj_data["db"].'/'.$this->photopath;
				// var_dump($this->photopath);
				// var_dump($path);
				// var_dump($full_file_path);
				// die();


				
				if ($this->photopath !='') {
					if (copy($path, $full_file_path))
					{ 	
						$update = "update masteach set FPHOTO='{$image_path}' 
						where internal_code={$this->last_inserted_id}";
						
						$lobj_update = $this->aobj_context->mobj_db->Execute($update);
						unlink($path);
					}
				}

				$arr = 'Inserted Successfully';
				echo $this->aobj_context->mobj_output->ToJSONEnvelope($arr, 0, "Success");
				return;
			} else {
				$arr = 'Insertion Failed';
				echo $this->aobj_context->mobj_output->ToJSONEnvelope($arr, -1, "Failure");
				return;
			}
		} else {
			$update = "update masteach
					set FCOLLCODE='{$college_code}',
					FTEACHCODE='{$this->FTEACHCODE}',
					FTEACHNAME='{$this->FTEACHNAME}',
					FTITLE='{$this->FTITLE}',
					FGENDER='{$this->FGENDER}',
					FFACCODE='{$this->FFACCODE}',
					FDEGNCODE='{$this->FDEGNCODE}',
					FQUAL='{$this->FQUAL}',
					FDEPTCODE='{$this->FDEPTCODE}',
					FDOB='{$this->FDOB}',
					FDOA='{$this->FDOA}',
					FDOC='{$this->FDOC}',
					FDOJUGC='{$this->FDOJUGC}',
					FSCALE='{$this->FSCALE}',
					FFULLTIME='{$this->FFULLTIME}',
					FPERMANENT='{$this->FPERMANENT}',
					FADDR1='{$this->FADDR1}',
					FADDR2='{$this->FADDR2}',
					FADDR3='{$this->FADDR3}',
					FADDR4='{$this->FADDR4}',
					FPHONE='{$this->FPHONE}',
					FMOBILE='{$this->FMOBILE}',
					FEMAIL='{$this->FEMAIL}',
					FMEMBER='{$this->FMEMBER}',
					FREMARKS='{$this->FREMARKS}',
					FSTATUS = '{$this->status}',
					FIFSCCODE = '{$this->ifsccode}',
					FBANKNAME = '{$this->bankname}',
					FPANNO = '{$this->panno}',
					FDEGGRP = '{$this->fdeggrp}',
					FBOARD = '{$this->fboard}',
					FACCNO = '{$this->accno}',
					FAADHARNO = '{$this->aadharno}',
					FVALELIG = '{$this->valelig}',
					FLOGNAME = '{$log_name}',
					FLOGDATE = now(),
					FMODIFYDATE1 = now()
					where internal_code={$this->internal_code}";
			// var_dump($update);
			$lobj_update_info = $this->aobj_context->mobj_db->Execute($update);

			$college_path = $this->aobj_context->main_src .$this->aobj_context->mobj_data["db"]. "/teacher_photos/{$college_code}";
			$folder_path = $this->aobj_context->main_src .$this->aobj_context->mobj_data["db"]."/teacher_photos/{$college_code}";
			if (!file_exists($folder_path)) {
				mkdir($folder_path);
			}

				$univcode = $_SESSION['FUNIVCODE'];
				$mob = $_SESSION['FMOBILE'];
				$usr = $_SESSION['usr'];
				$remark = "TEA - Teacher details modified - $this->FTEACHCODE";

				if (!empty($_SERVER['HTTP_CLIENT_IP']))   
				{
					$ip_address = $_SERVER['HTTP_CLIENT_IP'];
				}
				else if (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))  
				{
					$ip_address = $_SERVER['HTTP_X_FORWARDED_FOR'];
				}
				else
				{
					$ip_address = $_SERVER['REMOTE_ADDR'];
				}
				
				$query = "INSERT INTO logisys3_logs.daylog (funivcode, fdate, fip, fremarks, fcollcode, fenttype, fuser, fmobileno)
				VALUES ('{$univcode}', now(),'{$ip_address}', '{$remark}', '{$college_code}', 'TEA', '{$usr}', '{$mob}')";
				$res = $this->aobj_context->mobj_db->Execute($query);


			$file_name = basename($_FILES['student_entry_upload']['name']);
			$path_arr = pathinfo($_FILES['student_entry_upload']['name']);
			$file_ext = $path_arr['extension'];
			$full_file_path = $folder_path . "/{$this->internal_code}_" . $file_name;;
			
			$image_path = "teacher_photos/{$college_code}/{$this->internal_code}_" . $file_name;
			$path = $this->aobj_context->main_src .$this->aobj_context->mobj_data["db"].'/'.$this->photopath;
			//var_dump($this->photopath);
			
			if ($this->photopath !='') {
				
					// var_dump($this->photopath);
					// var_dump($path);
					// var_dump($full_file_path);

				if (copy($path, $full_file_path))
				{ 					
					// var_dump($this->photopath);
					// var_dump($path);
					// var_dump($full_file_path);
					
					$update = "update masteach set FPHOTO='{$image_path}' 
					where internal_code={$this->internal_code}";					
					
					$lobj_update = $this->aobj_context->mobj_db->Execute($update);
					unlink($path);
				}
			}

			if ($lobj_update_info) {

				if ($this->valelig == 'Yes') {
					$values = "";
					foreach ($this->valqp as $k => $v) {
						$values .= "('{$this->FTEACHCODE}', '{$v}'),";
					}
					$values = rtrim($values, ',');

					$query = "delete from teachsub where fteachcode = '{$this->FTEACHCODE}'";

					$result = $this->aobj_context->mobj_db->Execute($query);

					$query = "insert into teachsub( fteachcode, fqpcode ) values $values";
					// var_dump($query);
					$result = $this->aobj_context->mobj_db->Execute($query);
				}

				$arr = 'Updated successfully';
				echo $this->aobj_context->mobj_output->ToJSONEnvelope($arr, 0, "Success");
			} else {
				$arr = 'Failed to update';
				echo $this->aobj_context->mobj_output->ToJSONEnvelope($arr, -1, "failure");
			}
		}
	}

	function getDegSubject()
	{

		$this->degcode = trim($this->aobj_context->mobj_data["fdeggrp"]);
		$college_code = $_SESSION['collcode'];

		$query = "select distinct fsubname from subject 
		where fdegree in(select distinct fdegree from degree where fdeggrp = '{$this->degcode}')";
		$result = $this->aobj_context->mobj_db->getAll($query);

		echo $this->aobj_context->mobj_output->ToJSONEnvelope($result, 0, "Success");
		return;	
	}

	function ViewTeacherDetails()
	{
		session_start();

		$college_code = $_SESSION['collcode'];
		include_once($this->aobj_context->main_src . '/src/display_details_in_grid_custom.php');
		$display_obj = new display_details_in_grid($this->aobj_context);
		$display_obj->table_cols = array('FTEACHCODE', 'FTEACHNAME', 'FGENDER', 'FSCALE', 'FFULLTIME', 'FEXP', 'FSTATUS', 'FLOGDATE');

		$display_obj->display_qry = "select  internal_code as id,FTEACHCODE,FTEACHNAME,FGENDER,FSCALE,
		FFULLTIME,concat(TIMESTAMPDIFF( YEAR, FDOA, now()), ' Yr., ', TIMESTAMPDIFF( MONTH, FDOA, now()) % 12, ' Mon.') as FEXP,FSTATUS,FLOGDATE
											from 
											masteach st
											where FCOLLCODE='{$college_code}'";

		$display_obj->DisplayDetailsInGrid();
	}

	function EditTeachertDetailsForUpdate()
	{
		$this->internal_code = trim($this->aobj_context->mobj_data["internal_code"]);
		$get_data = "select FTEACHCODE, 
					FTITLE,FTEACHNAME, FGENDER, FQUAL, FDEGNCODE,
					DATE_FORMAT(s.FDOB,'%Y') as FDOB_Year,
					DATE_FORMAT(s.FDOB,'%b') as FDOB_month,
					DATE_FORMAT(s.FDOB,'%d') as FDOB_date,
					DATE_FORMAT(s.FDOA,'%Y') as FDOA_Year,
					DATE_FORMAT(s.FDOA,'%b') as FDOA_month,
					DATE_FORMAT(s.FDOA,'%d') as FDOA_date,
					DATE_FORMAT(s.FDOC,'%Y') as FDOC_Year,
					DATE_FORMAT(s.FDOC,'%b') as FDOC_month,
					DATE_FORMAT(s.FDOC,'%d') as FDOC_date,  				 
					DATE_FORMAT(s.FDOJUGC,'%Y') as FDOJUGC_Year,
					DATE_FORMAT(s.FDOJUGC,'%b') as FDOJUGC_month,
					DATE_FORMAT(s.FDOJUGC,'%d') as FDOJUGC_date,  				 
					FSCALE, FFULLTIME, 
					FPERMANENT, FADDR1, FADDR2, 
					FADDR3, FADDR4, FPHONE, 
					FMOBILE, FEMAIL, FMEMBER, 
					FPHOTO,FSTATUS,FIFSCCODE,FBANKNAME,FPANNO,FACCNO,FAADHARNO, 
					FREMARKS, FVALELIG,FDEGGRP,FBOARD from masteach s 
					where internal_code='{$this->internal_code}'";
		// var_dump($get_data);
		$lobj_get_data = $this->aobj_context->mobj_db->GetRow($get_data);

		$res['masteach'] = $lobj_get_data;
		$teachcode = $lobj_get_data['FTEACHCODE'];

		// $query = "select t.fqpcode as el
		// from teachsub t  where t.fteachcode = '{$teachcode}'
		// order by t.fqpcode";
		// $result = $this->aobj_context->mobj_db->GetAll($query);
		$query = "select m.fexamno, m.fboard, t.fqpcode, m.fsubname, fdegreerange as fdegrees 
		from teachsub t inner join masqp m
		on t.fqpcode = m.fqpcode where t.fteachcode = '{$teachcode}'
		order by m.fboard, m.fexamno, t.fqpcode";
		$result = $this->aobj_context->mobj_db->GetAll($query);
		$res['teachsub'] = $result;

		echo $this->aobj_context->mobj_output->ToJSONEnvelope($res, 0, "Success");
		return;
	}
}

function AssignTeachDropDownMenus($aobj_context)
{
	$class_obj = new teachers($aobj_context);
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$class_obj->AssignTeachDropDownMenus();
}

function getDegSubject($aobj_context)
{
	$class_obj = new teachers($aobj_context);
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$class_obj->getDegSubject();
}

function SaveTeachersEntry($aobj_context)
{
	$class_obj = new teachers($aobj_context);
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$class_obj->SaveTeachersEntry();
}
function ViewTeacherDetails($aobj_context)
{
	$class_obj = new teachers($aobj_context);
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$class_obj->ViewTeacherDetails();
}
function EditTeachertDetailsForUpdate($aobj_context)
{
	$class_obj = new teachers($aobj_context);
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$class_obj->EditTeachertDetailsForUpdate();
}

function DepartmentSubjectDropdown($aobj_context)
{
	session_start();
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$departmentCode = $aobj_context->mobj_data['deptCode'];
	$get_data = "select fsubcode as code, fsubname as value from massub where fdeptcode = '{$departmentCode}'";
	$lobj_get_data = $aobj_context->mobj_db->GetAll($get_data);
	$arr['deptSubj'] = $lobj_get_data;

	echo $aobj_context->mobj_output->ToJSONEnvelope($arr, 0, "success");
}

function disableTeacherRecord($aobj_context)
{



	include_once("/JSON.php");
	$json = new Services_JSON();

	$lstr_param = stripslashes($aobj_context->mobj_data["delete_arr"]);
	$mobj_jsondata = $json->decode($lstr_param);
	$delete_arr_data = get_object_vars($mobj_jsondata);

	for ($k = 0; $k < count($delete_arr_data); $k++) {



		$disable_teacher_record = 	"delete from masteach  
								WHERE  FTEACHCODE='{$delete_arr_data[$k]->teach_code}' 
								and FTEACHNAME='{$delete_arr_data[$k]->tech_name}'
								 and FCOLLCODE ='{$_SESSION['collcode']}'";

		$lobj_rs = $aobj_context->mobj_db->Execute($disable_teacher_record);
		
		$univcode = $_SESSION['FUNIVCODE'];
		$mob = $_SESSION['FMOBILE'];
		$usr = $_SESSION['usr'];
		$remark = "TEA - Teacher details deleted - ".$delete_arr_data[$k]->teach_code;

		if (!empty($_SERVER['HTTP_CLIENT_IP'])) 
		{
			$ip_address = $_SERVER['HTTP_CLIENT_IP'];
		}
		else if (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))  
		{
			$ip_address = $_SERVER['HTTP_X_FORWARDED_FOR'];
		}
		else
		{
			$ip_address = $_SERVER['REMOTE_ADDR'];
		}
		
		$query = "INSERT INTO logisys3_logs.daylog (funivcode, fdate, fip, fremarks, fcollcode, fenttype, fuser, fmobileno)
		VALUES ('{$univcode}', now(),'{$ip_address}', '{$remark}', '{$college_code}', 'TEA', '{$usr}', '{$mob}')";
		$res = $aobj_context->mobj_db->Execute($query);

	}


	if ($lobj_rs) {
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_rs, 0, "success");
		return;
	} else {
		echo $aobj_context->mobj_output->ToJSONEnvelope($delete_arr_data, -1, "Failure");
		return;
	}
}
