<?php

function GetAllSelectDropdown($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	session_start();
	$degreecode = $aobj_context->mobj_data["degree"];
	$collcode = $collcode;
	if($collcode == 'LSYS' || 'VKU' || $collcode = 'kus')
		$collegeList="SELECT distinct  s.FCOLLCODE as internal_code, concat(s.FCOLLCODE,' - ',FCOLLNAME,' , ',FTOWN) as value 
					from college inner join studadm s on s.fcollcode = college.fcollcode  order by s.fcollcode";
	else
	{	
		$collegeList="SELECT  FCOLLCODE as internal_code, concat(FCOLLCODE,' - ',FCOLLNAME,' , ',FTOWN) as value from college 
		where FCOLLCODE = '{$collcode}'";
	}	
	$lobj_collegeList = $aobj_context->mobj_db->getAll($collegeList);
	
	if($lobj_collegeList)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_collegeList,0,"success"); 
	}
	else
	{
		$data = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}

function GetDegreeGroupDropdown($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	session_start();
	$collcode = $aobj_context->mobj_data["collcode"];

	$degreeList="SELECT distinct fdeggrp as internal_code, concat(fdeggrp,' - ',fdescpn) as value 
	from deggrp where IFNULL(fdeleted,'F') <> 'T' 
	order by fdeggrp";
	$lobj_degreeList = $aobj_context->mobj_db->getAll($degreeList);
	
	if($lobj_degreeList)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_degreeList,0,"success"); 
	}
	else
	{
		$data = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}

function GetCollegeDegreeDropdown($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	session_start();
	$collcode = $aobj_context->mobj_data["collcode"];

	$degreeList="SELECT distinct s.FDEGREE as internal_code, concat(s.fdegree,' - ',d.FDESCPN) as value from studadm s inner join degree d 
	on s.fdegree = d.fdegree and d.fexamno = s.fexamno 
	where s.fcollcode='{$collcode}' and IFNULL(s.FDELETED,'F') <> 'T' 
	order by d.FDEGREE";
	$lobj_degreeList = $aobj_context->mobj_db->getAll($degreeList);
	
	if($lobj_degreeList)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_degreeList,0,"success"); 
	}
	else
	{
		$data = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}

function GetCollegeDegreeCombDropdown($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	session_start();
	$collcode = $aobj_context->mobj_data["collcode"];
	$degreeList="SELECT distinct c.FDEGREE as internal_code, d.FDESCPN as value from colldeg c inner join degree d 
	on c.FDEGREE = d.FDEGREE 
	where fcollcode='{$collcode}' and IFNULL(c.FDELETED,'F') <> 'T' 
	order by c.FDEGREE";
	$lobj_degreeList = $aobj_context->mobj_db->getAll($degreeList);
	
	if($lobj_degreeList)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_degreeList,0,"success"); 
	}
	else
	{
		$data = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}


function GetAdmissionList($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	session_start();
	$collcode = trim($aobj_context->mobj_data["collcode"]);
	$degcode = trim($aobj_context->mobj_data["degcode"]);
	$combcode = trim($aobj_context->mobj_data["combcode"]);
	$apprstatus = trim($aobj_context->mobj_data["apprstatus"]);
	$examno = $aobj_context->mobj_data["examno"];
	// var_dump($_SESSION['FUNIVCODE']);
	//var_dump($combcode);
	
	$searchColl = '';
	if($collcode != 'All')
	{
		$searchColl = "s.FCOLLCODE='{$collcode}'";
	}
	else
	{
		$searchColl = '1=1';
	}
	
	$searchDegree = '';
	if($degcode != 'All')
	{
		$searchDegree = "and s.FDEGREE='{$degcode}'";
	}else
	{
		$searchDegree = ' and 1=1';
	}
	
	$searchComb = '';
	if($combcode != 'All')
	{
		$searchComb = "and s.FCOMBCODE='{$combcode}'";
	}else
	{
		$searchComb = ' and 1=1';
	}

	$searchAppr = '';
	
	if($apprstatus ==  'Approval Pending')
	{
		$searchAppr = "and ifnull(FAPPRSTATUS,'') <> 'APPROVED'";
	}else if($apprstatus ==  'Approved')
	{
		$searchAppr = "and ifnull(FAPPRSTATUS,'') = 'APPROVED'";
	}else
	{
		$searchAppr = ' and 1=1';
	}	
	$url = "https://university-student-photos.s3.ap-south-1.amazonaws.com/{$_SESSION['FUNIVCODE']}/";	
	
	$admlist = "select s.*, ifnull(FAPPRREMARKS,'') as fremarks, c.FCOLLNAME,group_concat(o.fsubcode) as subject from studadm s 
				inner join college c on c.FCOLLCODE = s.FCOLLCODE
				inner join options o on s.fappno = o.fappno
				where 
				{$serchAll} {$searchColl} {$searchDegree} {$searchComb} {$searchAppr} 
				and ifnull(s.fdeleted,'') <> 'T' and ifnull(s.fappstatus,'') = 'verified' 
				and ifnull(s.ffinsub,'') = 'T' and s.fexamno = '{$examno}'
				group  by s.fappno,s.fdegree,s.fcollcode 
				order by s.fdegree,s.fcombcode,s.fname,s.fappno";
	//var_dump($admlist);			
	$lobj_admList = $aobj_context->mobj_db->getAll($admlist);
	
	$Table_Header.="<table  cellspacing='0' width='98%' class='tr_ventor_row' cellpadding='0' border='0' >";
	$Table_Header.="<tr class='ui-state-default ui-jqgrid-hdiv'>";	
	$Table_Header.="<td  style='padding:2px; width:60px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Sl. No.</center></td>";
	$Table_Header.="<td  style='padding:2px; width:60px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Photo</center></td>";
	$Table_Header.="<td  style='padding:2px; width:80px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Admission No.</center></td>";
	$Table_Header.="<td  style='padding:2px; width:300px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Student Name</td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Gender</center></td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Caste</center></td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Degree</td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Adm. Fee</td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Approve<center><input type = 'checkbox' onclick='Checkalladmapplication(this.id);' id = 'arun'></center></td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Remarks</td>";
	$Table_Header.="</tr>";
	$index=0;
	 $receive_checkbox="<input type='checkbox'  id='receive_check_box_{$FDOCNO}'><input type = 'hidden' id = 'ack_hidden{$sl_no}' value = '{$FDOCNO}'>";
	foreach($lobj_admList as $key=>$val)
	{
		++$index;
		$border_bottom="";
		//if($cnt==count($lobj_admList))
			$id = $val['FAPPNO'].'~'.$val['FDEGREE'].'~'.$val['FCOLLCODE'];
		//$id = $val['FSLNO'];
		if($val['FAPPRSTATUS'] == 'APPROVED')
			$disabled = "checked";//disabled
		else
			$disabled = "";// disabled
		$border_bottom="border-bottom:1px solid #ccc;";
		$data_details.="<tr class={$class} style='font-size:20px;' >";
		$data_details.="<td  align=center style='border:1px solid #ccc; {$border_bottom} border-left:1px solid #ccc; padding:2px;font-size:16px;'>{$index}</td>";			
		$data_details.="<td  align=center style='border:1px solid #ccc; {$border_bottom} border-left:1px solid #ccc; padding:2px;font-size:16px;'><img width='60px' height='60px' src='{$url}{$val['FPHOTOPATH']}'/></td>";			
		$data_details.="<td  align=center style='border:1px solid #ccc; {$border_bottom} border-left:1px solid #ccc; padding:2px;font-size:16px;'><a href='#' style='text-decoration:none;color:blue;' onclick=ViewStudentDetailsForApprove('{$val[FAPPNO]}','{$val[FDEGREE]}','{$val[FCOLLCODE]}')>{$val['FAPPNO']}</a> </td>";			
		$data_details.="<td align='left' style='border:1px solid #ccc;  {$border_bottom} solid #ccc; padding:2px;font-size:16px;'>{$val[FNAME]}</td>";
		$data_details.="<td  align='center' style='border:1px solid #ccc;  {$border_bottom} solid #ccc; padding:2px;font-size:16px;'>{$val[FGENDER]}</td>";
		$data_details.="<td  align='center' style='border:1px solid #ccc;  {$border_bottom} solid #ccc; padding:2px;font-size:16px;'>{$val[FCASTE]}</td>";
		$data_details.="<td  align=center style='{$border_bottom} border:1px solid #ccc; font-size:16px;'>{$val[FDEGREE]}</td>";
		$data_details.="<td  align=center style='{$border_bottom} border:1px solid #ccc; font-size:16px;'>{$val[FTOTFEE]}</td>";
		$data_details.="<td  align=center style='{$border_bottom} border:1px solid #ccc; font-size:16px;'><input type = 'checkbox' {$disabled} id='adm_check_box_{$id}'><input type = 'hidden' id = 'adm_check_box_{$index}' value = '{$id}'</td>";
		$data_details.="<td  align=center style='{$border_bottom} border:1px solid #ccc; font-size:16px;'><input type = 'text'  id='{$val['FAPPNO']}' value = '{$val['fremarks']}' class = 'remarks'></td>";
		$data_details.="</tr>";
		 $cnt++;
	}
	
	$e_data['admtable'] = $Table_Header.$data_details;
	$e_data['cnt'] = $index;
	echo $aobj_context->mobj_output->ToJSONEnvelope($e_data,0,"success"); 
}

function getAppStudentDetails($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC); 	
	session_start();   //and FDELETED = 'F'
	$fappno = $aobj_context->mobj_data["sl_no"]; 
	$degree = $aobj_context->mobj_data["degree"]; 
	$collcode = $aobj_context->mobj_data["collcode"]; 

	$get_student_details_slno = "SELECT 
	fappno AS student_entry_admno,
	fcollcode AS collcode,
	fdegree as student_entry_degree_code,
	DATE_FORMAT(fadmdate,'%d/%m/%Y') AS student_entry_admdate,
	fdegree AS student_entry_degree_code,
	fcombcode  AS combination,
	fname AS student_entry_name,
	FFATNAME AS student_entry_fname,
	FMOTNAME AS student_entry_mname,
	DATE_FORMAT(fdob,'%d/%m/%Y') AS student_entry_dob,
	FPHOTOPATH AS student_entry_photo,
	FSIGNPATH AS student_signature_photo,
	FRELIGION AS student_entry_religion,
	FGENDER AS student_entry_gender,
	FBLOOD_GROUP AS student_entry_blood_grp,
	FNATIONAL AS student_entry_national,
	FCASTE AS degree_category,
	FCATBIRTH AS student_entry_caste,
	FAADHARNO AS seAadharNumber,
	FAREA AS farea,
	FEMAIL AS student_entry_email,
	FCONTACT_NO AS student_entry_mobile,
	FMOBILE_NO AS student_entry_phone,
	FINCOME AS student_entry_fincome,
	ifnull(FPERMADD1,'') AS student_entry_per_add1,
	IFNULL(FPERMADD2,'') AS student_entry_per_add2,
	IFNULL(FPERMADD3,'') AS student_entry_per_add3,
	IFNULL(FPERDIST,'') AS student_entry_per_dist,
	IFNULL(FPERSATE,'') AS  student_entry_per_state,
	IFNULL(FPERPINCODE,'') AS  student_entry_per_pin,
	IFNULL(FCURRADD1,'') AS student_entry_comm_addr1,
	IFNULL(FCURRADD2,'') AS student_entry_comm_addr2,
	IFNULL(FCURRADD3,'') AS student_entry_comm_addr3,
	IFNULL(FCOMDIST,'') AS student_entry_comm_dist,
	IFNULL(FCOMPINCODE,'') AS student_entry_comm_pin,
	IFNULL(FCOMSTATE,'') AS student_entry_comm_state,
	FTYPEQUALEXAM AS seTypeOfQualifyingExam,
	FQUALEXREGNO AS seExamRegNo,
	FUNIVNAME AS seUniversityName,
	FQMONTH AS fmonth,
	FQYEAR AS fyear,
	FQMAXMARKS AS maxmarks,
	FQSECMARKS AS secmarks,
	FQPERCENTAGE AS percentage,
	ifnull(FCONSTYPE,'') as constype
	from studadm  
	where fappno='{$fappno}' and FDEGREE='{$degree}' and ifnull(fdeleted,'') <> 'T'
	and FCOLLCODE='{$collcode}'";						

	$lobj_get_student_details = $aobj_context->mobj_db->getRow($get_student_details_slno);
	

	$arr['perdetl'] = $lobj_get_student_details;

	$combination =  $lobj_get_student_details['combination'];

	$query3 = "SELECT FCATEGORY AS int_code,FDESCPN AS val FROM category 
	where ifnull(FDELETED,'') <> 'T' order by FCATEGORY asc ";
	$rst3 = $aobj_context->mobj_db->GetAll($query3);
	$arr['category'] = $rst3;

	$query3 = "SELECT distinct fdegree AS int_code,FDESCPN AS val FROM degree 
	where ifnull(fadmdeg,'') = 'T' and  fdegree = '{$degree}' 
	and ifnull(FDELETED,'') <> 'T' order by fdegree";
	$rst3 = $aobj_context->mobj_db->GetAll($query3);
	$arr['degree'] = $rst3;

	$query3 = "SELECT distinct fcombcode AS int_code,fcombdesc AS val FROM mascomb 
	WHERE fdegree = '{$degree}' AND IFNULL(FDELETED,'') <> 'T' ORDER BY fcombcode ";
	$rst3   = $aobj_context->mobj_db->GetAll($query3);
	$arr['mascomb'] = $rst3;

	$query4 = "select fboardcode as int_code, fboardname as val from masboard order by forder";
	$rst4   = $aobj_context->mobj_db->GetAll($query4);
	$arr['boards'] = $rst4;


	$query = "SELECT DISTINCT m.internal_code AS int_code, 
	FCERTDESC AS doc_type ,
	IFNULL(FFILENAME,REPLACE(REPLACE(FCERTDESC,' ','_'),'+','_')) AS FFILENAME,
	ifnull(s.file_path,'') as file_path
	FROM masdoc m
	inner  JOIN studoc s 
	ON s.fdegree = m.fdegree AND login_cnt = '{$fappno}' AND s.fdoctype = m.FFILENAME 
	AND fcollcode = '{$collcode}' where m.fdegree = '{$degree}' 
	ORDER BY forder";

	$results = $aobj_context->mobj_db->GetAll($query);
	$arr['masdoc'] = $results;


	$get_sub_total  = "select FTOTSUB from degree where FDEGREE= '{$degree}' and FEXAMNO='A'";
	$lobj_sub_total = $aobj_context->mobj_db->getRow($get_sub_total);
		
	$total_sub      = $lobj_sub_total['FTOTSUB'];
		
	$get_exsting_data = "select a.*,b.FSUBNAME,b.FSUBSHORT,FMANDATORY from 
	(select FDEGREE,FEXAMNO,FCOLLCODE,FSLNO,FSUBCODE from options
	where fappno = '{$fappno}' and FCOLLCODE='{$collcode}' 
	and FEXAMNO='A' and FDEGREE='{$degree}') a
	left join 
	(select s.FDEGREE,
	FSUBCODE,FSUBNAME,FSUBSHORT ,FMANDATORY from degree d inner join subject s on 
	s.FDEGREE=d.FDEGREE  and  d.FEXAMNO=s.FEXAMNO
	where d.FDEGREE='{$degree}' and s.FEXAMNO='A') b 
	on a.FSUBCODE=b.FSUBCODE
	and a.FDEGREE=b.FDEGREE
	group by FSUBCODE limit {$total_sub}";
	 
	$lobj_get_exsting_data = $aobj_context->mobj_db->getAll($get_exsting_data);

	$get_true_sub_names="select FSUBCODE,FSUBNAME,FSUBSHORT ,FMANDATORY from degree d inner join subject s on 
	s.FDEGREE=d.FDEGREE  and  d.FEXAMNO=s.FEXAMNO
	where d.FDEGREE='{$degree}' and s.FEXAMNO='{$exam}' and FMANDATORY='T' group by  s.FSUBCODE
	union
	select s.FSUBCODE,s.FSUBNAME,s.FSUBSHORT ,'T' as FMANDATORY from degree d inner join subject s on 
	s.FDEGREE=d.FDEGREE  and  d.FEXAMNO=s.FEXAMNO
	left join mascomb m on m.FDEGREE=d.FDEGREE and m.fcombcode = '{$combination}'
	where d.FDEGREE='{$degree}'  and m.FSUBCODE = s.FSUBCODE  
	group by  s.FSUBCODE";	
	$lobj_get_true_sub_names = $aobj_context->mobj_db->getAll($get_true_sub_names);	
	 
	$e_data.="<table  width='94%' class='tr_ventor_row' cellspacing='0' cellpadding='0' border='0' >";
	$e_data.="<tr style='font-size:12px;' class='ui-state-default ui-jqgrid-hdiv'>";		
	$e_data.="<td  style='padding:2px; width:60px; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Sub Code</td>";
	$e_data.="<td  style='padding:2px; width:65px; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Short Name</td>";
	$e_data.="<td  style='padding:2px; width:65px; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Subject Name</td>";
	$e_data.="</tr>";
	
	$k=0;
	$id=0;
	 
	if(empty($lobj_get_exsting_data))
	{
		$remaining_count=$total_sub-count($lobj_get_true_sub_names);
			
		foreach($lobj_get_true_sub_names as $key=>$value)
		{
		  
			$e_data.="<tr style='font-size:12px;' class='ui-widget-content jqgrow'>";
			$e_data.="<td class='tbl_row_new subcode' align='center' style='border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px;'><input  tabindex=-1  {$inp_class} type=text style='width:60px;border:none;' readonly id='se_sub_code_{$id}' value='{$value['FSUBCODE']}' onkeydown='return keyboardSubjectAppearingPopup(event,this.id);'></td>";
			$e_data.="<td class='tbl_row_new' align='center' style='border-right:1px solid #C5DBEC; padding:2px;'><input type=text style='border:none;width:60px;' {$inp_class}  tabindex=-1  readonly id='se_short_name_{$id}' value='{$value['FSUBSHORT']}'></td>";
			$e_data.="<td  class='tbl_row_new' style='border-right:1px solid #C5DBEC; padding:2px;'><input type=text style='border:none;width:290px;' {$inp_class} id='se_sub_name_{$id}'  tabindex=-1   readonly value='{$value['FSUBNAME']}'> </td>";
			$e_data.="</tr>";
			 $k++;
			 $id++;
		}

		$name=''; 
		$pmode = 1;			
		if($pmode == 0)
		{
			$last_slno_execution ="  select s.FSUBCODE, s.FSUBSHORT, s.FSUBNAME 
			from subject s inner join options d on 									
			s.FDEGREE=d.FDEGREE  and  s.FEXAMNO=d.FEXAMNO and 
			d.fsubcode = s.fsubcode and d.FCOLLCODE='{$collcode}' and
			s.fssubname != 'I.A.' and s.FMANDATORY = 'F' and
			s.FDEGREE='{$degree}' and s.FEXAMNO='A' and 
			d.fslno = 
			( select MAX(s.fslno) from studadm s 
			where s.FDEGREE='{$degree}' and s.FEXAMNO='A' 
			AND FCOLLCODE='{$collcode}' ) group by    s.FSUBCODE
			";
			$lobj_last_slno_execution = $aobj_context->mobj_db->getAll($last_slno_execution);	
		}	
			 
		
			for($j=0;$j<$remaining_count;$j++)
			{				 
				if($k%2==0)
				{
				$class='tbl_row';
				$inp_class='tbl_row_input';
				}
				else
				{
				$input_class='tbl_row1'; 
				$inp_class='tbl_row1_input';
				}  
				if($j==0)
				$name="name='focus'";
				else
				$name='';
				 
				 $e_data.="<tr style='font-size:12px;' class='ui-widget-content jqgrow' >";
				 $e_data.="<td class='tbl_row_new subcode' align='center' style='border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:1px;'><input type='text' readonly onkeydown='return keyboardSubjectAppearingPopup(event,this.id);' value='{$lobj_last_slno_execution[$j][FSUBCODE]}' onfocus=\$g_focus_element='se_sub_code_{$id}' {$name}  onblur='getSubDetails(this.id,{$id});' align='center' style = 'width:60px;' maxlength='4' id='se_sub_code_{$id}'> </td>";
				 $e_data.="<td class='tbl_row_new' align='center'  style='border-right:1px solid #C5DBEC;  padding:2px;'><input type='text'  tabindex=-1  readonly style = 'width:60px;border:none;' id='se_short_name_{$id}' value='{$lobj_last_slno_execution[$j][FSUBSHORT]}'  ></td>";
				 $e_data.="<td class='tbl_row_new' style='border-right:1px solid #C5DBEC; padding:2px;'><input type='text' tabindex=-1  readonly  style = 'width:290px;border:none;' id='se_sub_name_{$id}' value='{$lobj_last_slno_execution[$j][FSUBNAME]}'  ></td>";
				 $e_data.="</tr>";
				 $k++;
				 $id++;
			}  
		}
		else
		{
		$flag=0;
		$remaining_count=$total_sub-count($lobj_get_exsting_data);
			for($h=0;$h<count($lobj_get_exsting_data);$h++)
			{
				$read_only=($lobj_get_exsting_data[$h]['FMANDATORY']=='T')?"readOnly":''; 
				$read_only = "readOnly";
				$border=($lobj_get_exsting_data[$h]['FMANDATORY']=='T')?" border:none;":''; 
				$on_blur =($lobj_get_exsting_data[$h]['FMANDATORY']=='F')?" onblur='getSubDetails( this.id,{$id});' onkeydown='return keyboardSubjectAppearingPopup(event,this.id);' ":'';
				$focus_id =($lobj_get_exsting_data[$h]['FMANDATORY']=='F')?" onfocus=\$g_focus_element='se_sub_code_{$id}' ":'';
				   
				if($k%2==0)
				{
				$class='tbl_row';
				$inp_class='tbl_row_input';
				}
				else
				{
				$input_class='tbl_row1'; 
				$inp_class='tbl_row1_input';
				}
				if(($lobj_get_exsting_data[$h]['FMANDATORY']=='F') && $flag==0)
				{
				$name="name='focus'";
				$flag=1;
				}else
				$name='';
			 $e_data.="<tr style='font-size:12px;' class='ui-widget-content jqgrow' >";
			 $e_data.="<td class='tbl_row_new subcode' align='center'style='border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; padding:1px;'><input type='text' {$input_class} readonly
			 	onkeydown='return keyboardSubjectAppearingPopup(event,this.id);' 
			 	onblur='getSubDetails( this.id,{$id});'
			 	 {$name}  align='center' {$focus_id} value='{$lobj_get_exsting_data[$h]['FSUBCODE']}' style = 'width:60px;{$border}' id='se_sub_code_{$id}'>  </td>";
			 $e_data.="<td class='tbl_row_new' align='center' style='border-right:1px solid #C5DBEC;  padding:2px;'><input type='text'   {$read_only} style = 'width:60px;border:none;'  {$inp_class} value='{$lobj_get_exsting_data[$h]['FSUBSHORT']}' id='se_short_name_{$id}'></td>";
			 $e_data.="<td class='tbl_row_new' style='border-right:1px solid #C5DBEC; padding:2px;'><input type='text'   {$read_only} style = 'width:290px;border:none;' {$inp_class}  value='{$lobj_get_exsting_data[$h]['FSUBNAME']}' id='se_sub_name_{$id}'></td>";
			 $e_data.="</tr>";
			 $k++;
			 $id++;
			}
			$k=0;
			for($j=0;$j<$remaining_count;$j++)
			{				 
				if($k%2==0)
				{
				$class='tbl_row';
				$inp_class='tbl_row_input';
				}
				else
				{
				$input_class='tbl_row1'; 
				$inp_class='tbl_row1_input';
				}  
				if($j==0)
				$name="name='focus'";
				else
				$name='';
				 
				 $e_data.="<tr style='font-size:12px;' class='ui-widget-content jqgrow' >";
				 $e_data.="<td class='tbl_row_new subcode' align='center' style='border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:1px;'><input type='text' readonly onkeydown='return keyboardSubjectAppearingPopup(event,this.id);' value='{$lobj_last_slno_execution[$j][FSUBCODE]}' onfocus=\$g_focus_element='se_sub_code_{$id}' {$name}  onblur='getSubDetails(this.id,{$id});' align='center' style = 'width:60px;' maxlength='4' id='se_sub_code_{$id}'> </td>";
				 $e_data.="<td class='tbl_row_new' align='center'  style='border-right:1px solid #C5DBEC;  padding:2px;'><input type='text'  tabindex=-1  readonly style = 'width:60px;border:none;' id='se_short_name_{$id}' value='{$lobj_last_slno_execution[$j][FSUBSHORT]}'  ></td>";
				 $e_data.="<td class='tbl_row_new' style='border-right:1px solid #C5DBEC; padding:2px;'><input type='text' tabindex=-1  readonly  style = 'width:290px;border:none;' id='se_sub_name_{$id}' value='{$lobj_last_slno_execution[$j][FSUBNAME]}'  ></td>";
				 $e_data.="</tr>";
				 $k++;
				 $id++;
			}
		}		
		 
		$e_data.="</table>";
		$arr['html']=$e_data;
		$arr['table_data']=$lobj_get_true_sub_names;
		$arr['remaining_count']=$remaining_count;
		$arr['total_count']=$id;

	$query = "select * from admfeedetl where fcollcode = '{$collcode}' 
	and fappno = '{$fappno}'";
	$results = $aobj_context->mobj_db->GetAll($query);

	if($results)
	{	
		$get_details="SELECT ma.FHEADCODE,IFNULL(ta.FAMOUNT ,ma.FFEE) as FFEE,ma.FMODIFY,ifnull(ta.FAMOUNT ,ma.FFEE) as fee_paid,
		FCOMBCODE,FCATCODE
		FROM admfeestr ma
		left join admfeedetl ta
	 	on ma.fdegree = ta.fdegree and ma.fexamno = ta.fexamno and ma.fheadcode = ta.fheadcode
	 	WHERE ma.FDEGREE='{$degree}'
		AND ma.FEXAMNO='A'
		AND ma.FCOMBCODE='ADM' and ta.fcollcode = '{$collcode}' and ta.fappno = '{$fappno}'
		AND ma.FCATCODE='GM' order by ma.fheadcode ";
		//var_dump($get_details);
		$lobj_rs = $aobj_context->mobj_db->GetAll($get_details);
	}
	else
	{
		$get_details="SELECT ma.FHEADCODE,ma.FFEE,ma.FMODIFY,ifnull(ma.FFEE,'') as fee_paid,
		FCOMBCODE,FCATCODE
		FROM admfeestr ma
	 	WHERE ma.FDEGREE='{$degree}' and FCATCODE = 'GM'
		AND ma.FEXAMNO='A'
		AND ma.FCOMBCODE='ADM' order by ma.fheadcode";
		$lobj_rs = $aobj_context->mobj_db->GetAll($get_details);
	}			

	$str_reval="";
	$str_reval.="<table width='60%' style='padding:3px 4px 3px 3px;' class='tr_ventor_row' id='reval_table_data' width='100%' border='0' cellspacing='0' cellpadding='0'>";
	$str_reval.="<th align='left' colspan='4' class='ui-jqgrid-titlebar ui-widget-header ui-corner-tl ui-corner-tr ui-helper' style='font-size:12px; padding-left:6px; height:24px;'>Fee Details</th>";
	$str_reval.="<tr class='ui-state-default ui-jqgrid-hdiv'>";
	$str_reval.="<td align='center' style=' font-size:12px; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Sl.No</td>";
	$str_reval.="<td align='center' style=' font-size:12px; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Description</td>";
	/*$str_reval.="<td align='center' style=' font-size:12px; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Fee</td>";*/
	$str_reval.="<td align='center' style=' font-size:12px; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Fee Paid</td>";
 
	$str_reval.="</tr>";
	$sl_no=1;
	$total=0;
	$total_fee_paid=0;
	foreach($lobj_rs  as $ak=>$av)
	{
		$FHEADCODE=$av['FHEADCODE'];
		$FFEE=$av['FFEE'];
		$fee_paid=$av['fee_paid'];
		$total+=$FFEE;
		$total_fee_paid+=$fee_paid;
		$str_reval.="<tr class='ui-widget-content jqgrow'>";		
		$str_reval.="<td class='tbl_row_new' style='text-align:center; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; font-size:12px;  ' >{$sl_no}</td>";
		$str_reval.="<td class='tbl_row_new' style='border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; font-size:12px;' align='left' id='head_{$sl_no}'>{$FHEADCODE}</td>";
		/*$str_reval.="<td class='tbl_row_new' style='border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; font-size:12px;width:50px;'align='right' >{$FFEE}</td>";*/
		$str_reval.="<td class='tbl_row_new' style='border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; font-size:12px;' align='right'><input onblur=\"CalculateTotalFeePaid();\" onkeypress='return acceptNumbersOnlyForModule(event);'  type='text'  style='text-align:right;width:50px;' readonly id='fee_paying_{$sl_no}' value='{$fee_paid}'/></td>";
		$str_reval.="</tr>";
		$sl_no++;
	}
		$str_reval.="<tr class='ui-widget-content jqgrow' style='font-weight:bold;'>";		
		$str_reval.="<td colspan=2 class='tbl_row_new' style='text-align:center; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; font-size:12px;'  align='right'>Total </td>";
		 
		/*$str_reval.="<td class='tbl_row_new' style='border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; font-size:12px;' align='right' id='total_comb_fee'>{$total}</td>";*/
		$str_reval.="<td class='tbl_row_new' style='border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; font-size:12px;' align='right' id='total_fee_paid'>{$total_fee_paid}</td>";
	
		$str_reval.="</tr>";
		$str_reval.="</table>";
		$arr['fee_html']=	$str_reval;

	if(!empty($lobj_get_student_details))
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 
		return;
	}
	else if(empty($lobj_get_student_details) )
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_student_details,-2,"Failure"); 
		return;
	}
}


function getAppStudsubApprTotal($aobj_context)
{
	session_start();
	$degree_code = $aobj_context->mobj_data["degree_code"]; 	
	$exam = $aobj_context->mobj_data["exam"]; 	
	$sl_no = $aobj_context->mobj_data["sl_no"]; 
	$collcode = $aobj_context->mobj_data["collcode"]; 
	$sub_degree = trim($aobj_context->mobj_data["sub_degree"]); 	
	$combination = trim($aobj_context->mobj_data["combination"]);
	$degree_code=(!empty($sub_degree))?$sub_degree:$degree_code;
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC); 	
	$get_sub_total=" select FTOTSUB from degree where FDEGREE= '{$degree_code}' and FEXAMNO='{$exam}'";
	$lobj_sub_total = $aobj_context->mobj_db->getRow($get_sub_total);
		
		$total_sub=$lobj_sub_total['FTOTSUB'];
		//echo $total_sub; die();
	
		
		$get_exsting_data="	select a.*,b.FSUBNAME,b.FSUBSHORT,FMANDATORY from 
							(select FDEGREE,FEXAMNO,FCOLLCODE,FSLNO,FSUBCODE from options
							where FSLNO='{$sl_no}' and FCOLLCODE='{$collcode}' 
							and FEXAMNO='{$exam}' and FDEGREE='{$degree_code}') a
							left join 
							(select s.FDEGREE,
							FSUBCODE,FSUBNAME,FSUBSHORT ,FMANDATORY from degree d inner join subject s on 
							s.FDEGREE=d.FDEGREE  and  d.FEXAMNO=s.FEXAMNO
							where d.FDEGREE='{$degree_code}' and s.FEXAMNO='{$exam}') b 
							on a.FSUBCODE=b.FSUBCODE
							and a.FDEGREE=b.FDEGREE
							group by FSUBCODE limit {$total_sub}
							 ";
		  
		 $lobj_get_exsting_data = $aobj_context->mobj_db->getAll($get_exsting_data);
		 
	    
	// get true sub Names
		 
		$get_true_sub_names="select FSUBCODE,FSUBNAME,FSUBSHORT ,FMANDATORY from degree d inner join subject s on 
				s.FDEGREE=d.FDEGREE  and  d.FEXAMNO=s.FEXAMNO
				where d.FDEGREE='{$degree_code}' and s.FEXAMNO='{$exam}' and FMANDATORY='T'
				union
				select s.FSUBCODE,s.FSUBNAME,s.FSUBSHORT ,'T' as FMANDATORY from degree d inner join subject s on 
				s.FDEGREE=d.FDEGREE  and  d.FEXAMNO=s.FEXAMNO
				left join mascomb m on m.fcombcode = '{$combination}'
				where d.FDEGREE='{$degree_code}'  and INSTR(m.FSUBCODE, s.FSUBCODE)  
				group by  s.FSUBCODE";	
		$lobj_get_true_sub_names = $aobj_context->mobj_db->getAll($get_true_sub_names);	
	 
		$e_data.="<table  width='94%' class='tr_ventor_row' cellspacing='0' cellpadding='0' border='0' >";
		//$e_data.="<th align='left' colspan='3' class='ui-jqgrid-titlebar ui-widget-header ui-corner-tl ui-corner-tr ui-helper' style='font-size:12px; padding-left:6px; height:24px;'>Subjects Appearing</th>";		
		$e_data.="<tr style='font-size:12px;' class='ui-state-default ui-jqgrid-hdiv'>";		
		$e_data.="<td  style='padding:2px; width:60px; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Sub Code</td>";
		$e_data.="<td  style='padding:2px; width:65px; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Short Name</td>";
		$e_data.="<td  style='padding:2px; width:65px; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Subject Name</td>";
		$e_data.="</tr>";
		
		$k=0;
		$id=0;
		 
	 
		if(empty($lobj_get_exsting_data))
		{
		$remaining_count=$total_sub-count($lobj_get_true_sub_names);
		//echo 'aa';			
			foreach($lobj_get_true_sub_names as $key=>$value)
			{
			  /* 
				if($k%2==0)
				{
				$class='tbl_row';
				$inp_class='tbl_row_input';
				}
				else
				{
				$input_class='tbl_row1'; 
				$inp_class='tbl_row1_input';
				} */  
				 $e_data.="<tr style='font-size:12px;' class='ui-widget-content jqgrow'>";
				 $e_data.="<td class='tbl_row_new' align='center' style='border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px;'><input  tabindex=-1  {$inp_class} type=text style='width:60px;border:none;' readonly id='se_sub_code_{$id}' value='{$value[FSUBCODE]}' onkeydown='return keyboardSubjectAppearingPopup(event,this.id);'></td>";
				 $e_data.="<td class='tbl_row_new' align='center' style='border-right:1px solid #C5DBEC; padding:2px;'><input type=text style='border:none;width:60px;' {$inp_class}  tabindex=-1  readonly id='se_short_name_{$id}' value='{$value[FSUBSHORT]}'></td>";
				 $e_data.="<td  class='tbl_row_new' style='border-right:1px solid #C5DBEC; padding:2px;'><input type=text style='border:none;width:290px;' {$inp_class} id='se_sub_name_{$id}'  tabindex=-1   readonly value='{$value[FSUBNAME]}'> </td>";
				 $e_data.="</tr>";
				 $k++;
				 $id++;
			}
			$name=''; 
$pmode =0;			
			if($pmode == 0)
			{
				$last_slno_execution ="  select s.FSUBCODE, s.FSUBSHORT, s.FSUBNAME 
											from subject s inner join options d on 									
											s.FDEGREE=d.FDEGREE  and  s.FEXAMNO=d.FEXAMNO and 
											d.fsubcode = s.fsubcode and d.FCOLLCODE='{$college_code}' and
											s.fssubname != 'I.A.' and s.FMANDATORY = 'F' and
											s.FDEGREE='{$degree_code}' and s.FEXAMNO='{$exam}' and 
											d.fslno = 
											( select MAX(s.fslno) from studadm s 
											where s.FDEGREE='{$degree_code}' and s.FEXAMNO='{$exam}' 
											AND FCOLLCODE='{$college_code}' ) group by    s.FSUBCODE
										";
				$lobj_last_slno_execution = $aobj_context->mobj_db->getAll($last_slno_execution);	
			}	
			 
		//	var_dump($lobj_last_slno_execution); die();  			
			for($j=0;$j<$remaining_count;$j++)
			{				 
				if($k%2==0)
				{
				$class='tbl_row';
				$inp_class='tbl_row_input';
				}
				else
				{
				$input_class='tbl_row1'; 
				$inp_class='tbl_row1_input';
				}  
				if($j==0)
				$name="name='focus'";
				else
				$name='';
				 
				 $e_data.="<tr style='font-size:12px;' class='ui-widget-content jqgrow' >";
				 $e_data.="<td class='tbl_row_new' align='center' style='border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:1px;'><input type='text' onkeydown='return keyboardSubjectAppearingPopup(event,this.id);' value='{$lobj_last_slno_execution[$j][FSUBCODE]}' onfocus=\$g_focus_element='se_sub_code_{$id}' {$name}  onblur='getSubDetails(this.id,{$id});' align='center' style = 'width:60px;' maxlength='4' id='se_sub_code_{$id}'> </td>";
				 $e_data.="<td class='tbl_row_new' align='center'  style='border-right:1px solid #C5DBEC;  padding:2px;'><input type='text'  tabindex=-1  readonly style = 'width:60px;border:none;' id='se_short_name_{$id}' value='{$lobj_last_slno_execution[$j][FSUBSHORT]}'  ></td>";
				 $e_data.="<td class='tbl_row_new' style='border-right:1px solid #C5DBEC; padding:2px;'><input type='text' tabindex=-1  readonly  style = 'width:290px;border:none;' id='se_sub_name_{$id}' value='{$lobj_last_slno_execution[$j][FSUBNAME]}'  ></td>";
				 $e_data.="</tr>";
				 $k++;
				 $id++;
			}  
		}
		else
		{
		$flag=0;
		$remaining_count=$total_sub-count($lobj_get_exsting_data);
			for($h=0;$h<count($lobj_get_exsting_data);$h++)
			{
				$read_only=($lobj_get_exsting_data[$h]['FMANDATORY']=='T')?"readOnly":''; 
				$border=($lobj_get_exsting_data[$h]['FMANDATORY']=='T')?" border:none;":''; 
				$on_blur =($lobj_get_exsting_data[$h]['FMANDATORY']=='F')?" onblur='getSubDetails( this.id,{$id});' onkeydown='return keyboardSubjectAppearingPopup(event,this.id);' ":'';
				$focus_id =($lobj_get_exsting_data[$h]['FMANDATORY']=='F')?" onfocus=\$g_focus_element='se_sub_code_{$id}' ":'';
				   
				if($k%2==0)
				{
				$class='tbl_row';
				$inp_class='tbl_row_input';
				}
				else
				{
				$input_class='tbl_row1'; 
				$inp_class='tbl_row1_input';
				}
				if(($lobj_get_exsting_data[$h]['FMANDATORY']=='F') && $flag==0)
				{
				$name="name='focus'";
				$flag=1;
				}else
				$name='';
			 $e_data.="<tr style='font-size:12px;' class='ui-widget-content jqgrow' >";
			 $e_data.="<td class='tbl_row_new' align='center'style='border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:2px; padding:1px;'><input type='text' {$input_class} {$on_blur } {$name} {$read_only} align='center' {$focus_id} value='{$lobj_get_exsting_data[$h]['FSUBCODE']}' disabled style = 'width:60px;{$border}'id='se_sub_code_{$id}'>  </td>";
			 
			 $e_data.="<td class='tbl_row_new' align='center' style='border-right:1px solid #C5DBEC;  padding:2px;'><input type='text'   {$read_only} style = 'width:60px;border:none;'  {$inp_class} value='{$lobj_get_exsting_data[$h]['FSUBSHORT']}' id='se_short_name_{$id}'></td>";
			 $e_data.="<td class='tbl_row_new' style='border-right:1px solid #C5DBEC; padding:2px;'><input type='text'   {$read_only} style = 'width:290px;border:none;' {$inp_class}  value='{$lobj_get_exsting_data[$h]['FSUBNAME']}' id='se_sub_name_{$id}'></td>";
			 $e_data.="</tr>";
			 $k++;
			 $id++;
			}
			$k=0;
			for($j=0;$j<$remaining_count;$j++)
			{				 
				if($k%2==0)
				{
				$class='tbl_row';
				$inp_class='tbl_row_input';
				}
				else
				{
				$input_class='tbl_row1'; 
				$inp_class='tbl_row1_input';
				}  
				if($j==0)
				$name="name='focus'";
				else
				$name='';
				 
				 $e_data.="<tr style='font-size:12px;' class='ui-widget-content jqgrow' >";
				 $e_data.="<td class='tbl_row_new' align='center' style='border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; padding:1px;'><input type='text' onkeydown='return keyboardSubjectAppearingPopup(event,this.id);' value='{$lobj_last_slno_execution[$j][FSUBCODE]}' onfocus=\$g_focus_element='se_sub_code_{$id}' {$name}  onblur='getSubDetails(this.id,{$id});' align='center' style = 'width:60px;' maxlength='4' id='se_sub_code_{$id}'> </td>";
				 $e_data.="<td class='tbl_row_new' align='center'  style='border-right:1px solid #C5DBEC;  padding:2px;'><input type='text'  tabindex=-1  readonly style = 'width:60px;border:none;' id='se_short_name_{$id}' value='{$lobj_last_slno_execution[$j][FSUBSHORT]}'  ></td>";
				 $e_data.="<td class='tbl_row_new' style='border-right:1px solid #C5DBEC; padding:2px;'><input type='text' tabindex=-1  readonly  style = 'width:290px;border:none;' id='se_sub_name_{$id}' value='{$lobj_last_slno_execution[$j][FSUBNAME]}'  ></td>";
				 $e_data.="</tr>";
				 $k++;
				 $id++;
			}
		}		
		 
		
		$e_data.="</table>";
		$arr['html']=$e_data;
		$arr['table_data']=$lobj_get_true_sub_names;
		$arr['remaining_count']=$remaining_count;
		$arr['total_count']=$id;
		// var_dump($arr['total_count']); die();
	echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 
	return;  			
}


function updateAdmissionStatus($aobj_context)
{

	session_start();
	$u_id = $_SESSION['user_id'];
	$log_name = $_SESSION['usr'];
	$checked_app_nos = $obj_context->mobj_data["arun"];

	$exp_arr=explode(",",$checked_app_nos);

	foreach($exp_arr as $apk)
	{
		$college = explode('-',$apk);
	}
	$fappno = $aobj_context->mobj_data["fappno"]; 
	$degree = $aobj_context->mobj_data["degree"]; 
	$collcode = $aobj_context->mobj_data["college"]; 
	//$sl_no=substr($sl_no, -4);  
	$degree = $aobj_context->mobj_data["degree"];
	$appr_status = $aobj_context->mobj_data["appstatus"]; 
	
	
	$updateAdmStatus = "update studadm set FAPPRSTATUS = '{$appr_status}',FAPPRDATE =now(),FAPPRUSERNAME = '{$log_name}', FAPPRUSERID = '{$u_id}' where 
	fappno = '{$fappno}'";
	$lobj_updateAdmStatus = $aobj_context->mobj_db->Execute($updateAdmStatus);
	var_dump($updateAdmStatus);	
	if($lobj_updateAdmStatus)
	{
		$data = 'Status Updated Succesfully';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,0,"success"); 
	}
	else
	{
		$data = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($updateAdmStatus,-1,"failure"); 
	}
}

function getCombinationapproved($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	session_start();
	$collcode = $_SESSION['collcode'];  
	$degreecode = $aobj_context->mobj_data["degree"];
	$fcollcode = $aobj_context->mobj_data["fcollcode"];
	$get_honours = "SELECT  m.FCOMBCODE as internal_code, m.FCOMBDESC as value from mascomb m
	inner join studadm s on m.fcombcode = s.fcombcode
	where m.fdegree = '{$degreecode}' 
	and s.fcollcode = '{$fcollcode}' 
	group by m.FCOMBCODE";

	// var_dump($get_honour);
	// die();

	$lobj_get_honours = $aobj_context->mobj_db->getAll($get_honours);

	$arr['mascomb']=$lobj_get_honours; 
	if($lobj_get_honours)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 
	}
	else
	{
		$data = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}

}



function checkadmapprovelist($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$degree = $aobj_context->mobj_data["fdegree"];
	$collcode = $aobj_context->mobj_data["fcollcode"];
	$combcode = $aobj_context->mobj_data["fcombcode"];
	$examno = $aobj_context->mobj_data["examno"];
	$deggrp = $aobj_context->mobj_data["deggrp"];

	$cnd = "AND d.fdeggrp = '{$deggrp}'";

	if($deggrp == 'MBA/MCA')
		$cnd = "and d.fdegree in ('MBA1', 'MCA1', 'MBE1' )";

	$list = $aobj_context->mobj_data["list"];

	if($list == 1)
	{
		$first_list = "and s.fadmrnd <> '2'"; 
	}
	else if($list == 2)
	{
		$first_list = "and s.fadmrnd = '2'"; 
	}
	else
	{
		$first_list = "";
	}


	$degcond = '';
	if(strtolower($degree) != 'all')
	{
		$degcond = "and s.fdegree = '{$degree}'";
	}
	$combcond = '';
	if($combcode != 'all')
	{
		$combcond = "and s.fcombcode = '{$combcode}'";
	}

	$admCollDataQuery = "select s.fappno, s.fcollcode, s.fdegree, d.fdescpn, s.fcombcode,'{$deggrp}' as fdeggrp,
	m.FCOMBDESC, upper(trim(s.fname)) as fname, ifnull(s.faregno,'') as  fregno,
	ifnull(s.fstudid,'') as fstudid,
	GROUP_CONCAT(DISTINCT ifnull(s.FAPPRREMARKS,'') separator '') AS fapprremarks,
	GROUP_CONCAT(DISTINCT ifnull(su.fsubname,'') separator '') AS fsubcode
	FROM studadm s
	inner join degree d on s.fdegree = d.fdegree and s.fexamno = '{$examno}'
	INNER JOIN options o ON s.fappno = o.fappno AND s.fdegree = o.fdegree 
	AND s.fcollcode = o.fcollcode
	left  join subject su ON s.fdegree = su.fdegree AND o.fexamno = su.fexamno 
	AND o.fsubcode = su.fsubcode AND
	IFNULL(su.fintass,'') <> 'T' AND su.fsubcode BETWEEN 'A002' AND 'A015'
	INNER JOIN mascomb m ON s.fdegree = m.fdegree AND m.fcombcode = s.fcombcode
	WHERE IFNULL(s.FAPPRSTATUS,'') = 'Approved'  {$cnd}
	and s.fcollcode = '{$collcode}' and IFNULL(s.FAPPSTATUS,'') = 'verified'
	and ifnull(s.fdeleted,'') <> 'T' and IFNULL(s.ffinsub,'') = 'T'
	{$first_list} {$degcond} 
	GROUP BY s.fappno 
	ORDER BY s.fdegree,s.fcombcode,s.fname,s.fappno";
	//var_dump($admCollDataQuery);
	// die();
	$apprCollData = $aobj_context->mobj_db->GetAll($admCollDataQuery);

	$admNotCollDataQuery = "select s.fappno, s.fcollcode, s.fdegree, d.fdescpn, s.fcombcode,'{$deggrp}' as fdeggrp,
	m.FCOMBDESC, upper(trim(s.fname)) as fname, ifnull(s.faregno,'') as  fregno,s.fnaremarks,
	ifnull(s.fstudid,'') as fstudid,
	GROUP_CONCAT(DISTINCT ifnull(su.fsubname,'') separator '') AS fsubcode,
	GROUP_CONCAT(DISTINCT ifnull(s.FAPPRREMARKS,'') separator '') AS fapprremarks
	FROM studadm s
	inner join degree d on s.fdegree = d.fdegree and s.fexamno = '{$examno}'
	INNER JOIN options o ON s.fappno = o.fappno AND s.fdegree = o.fdegree 
	AND s.fcollcode = o.fcollcode
	left  join subject su ON s.fdegree = su.fdegree AND o.fexamno = su.fexamno 
	AND o.fsubcode = su.fsubcode AND
	IFNULL(su.fintass,'') <> 'T' AND su.fsubcode BETWEEN 'A002' AND 'A015'
	INNER JOIN mascomb m ON s.fdegree = m.fdegree AND m.fcombcode = s.fcombcode
	WHERE IFNULL(s.FAPPRSTATUS,'') <> 'APPROVED'  {$cnd}
	and s.fcollcode = '{$collcode}' and IFNULL(s.FAPPSTATUS,'') = 'verified'
	and ifnull(s.fdeleted,'') <> 'T' and IFNULL(s.ffinsub,'') = 'T' {$degcond}
	GROUP BY s.fappno 
	ORDER BY s.fdegree,s.fcombcode,s.fname,s.fappno";
	// var_dump($admNotCollDataQuery);
	// die();
	$apprNotCollData = $aobj_context->mobj_db->GetAll($admNotCollDataQuery);


	$query = "select *,date_format(now(),'%d/%m/%Y') as fdate, '{$deggrp}' as fdeggrp 
	from college where fcollcode = '{$collcode}' and ifnull(fdeleted,'') <>'T'";
	$apprColldet = $aobj_context->mobj_db->GetRow($query);


	if(count($apprCollData) > 0 || count($apprNotCollData) > 0 )
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 
	}
	else
	{
		$data = 'No data found...!';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}

}

?>