<?php



function GetCollegeDegreeDropdown($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	session_start();
	$collcode = $_SESSION["collcode"];
	$degreeList="SELECT distinct c.FDEGREE as internal_code, c.FDEGREE as value from colldeg c
	where c.fcollcode='{$collcode}' and IFNULL(c.FDELETED,'F') <> 'T' 
	order by c.FDEGREE";
	$lobj_degreeList = $aobj_context->mobj_db->getAll($degreeList);
	
	if($lobj_degreeList)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_degreeList,0,"success"); 
	}
	else
	{
		$data = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}

}




function GetCollAdmissionList($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	session_start();
	$collcode = trim($_SESSION["collcode"]);
	$degcode = trim($aobj_context->mobj_data["degcode"]);
	$combcode = trim($aobj_context->mobj_data["combcode"]);
	$apprstatus = trim($aobj_context->mobj_data["apprstatus"]);

		$searchColl = "where s.FCOLLCODE='{$collcode}'";
	
	
	$searchDegree = '';
	if($degcode != 'All')
	{
		$searchDegree = "and s.FDEGREE='{$degcode}'";
	}
	
	$searchComb = '';
	if($combcode != 'All')
	{
		$searchComb = "and s.FCOMBCODE='{$combcode}'";
	}
	$searchAppr = '';
	if($apprstatus !=  'All')
	{
		$searchAppr = "and s.FAPPRSTATUS='{$apprstatus}'";
	}
	$admlist = "select s.*, date_format(fdob,'%d/%m%/%Y') as dob, c.FCOLLNAME from studadm s inner join college c on c.FCOLLCODE = s.FCOLLCODE  {$searchColl} {$searchDegree} {$searchComb} {$searchAppr}";
	$lobj_admList = $aobj_context->mobj_db->getAll($admlist);
	
	$Table_Header.="<table  cellspacing='0'  width=1100px class='tr_ventor_row' cellpadding='0' border='0' >";
	$Table_Header.="<tr class='ui-state-default ui-jqgrid-hdiv'>";	
	$Table_Header.="<td  style='padding:2px; width:60px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>SL. No</center></td>";
	$Table_Header.="<td  style='padding:2px; width:60px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Photo</center></td>";
	$Table_Header.="<td  style='padding:2px; width:80px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Adm. No</center></td>";
	$Table_Header.="<td  style='padding:2px; width:300px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Student Name</td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Gender</center></td>";
	$Table_Header.="<td  style='padding:2px; width:50px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Date of Birth</td>";
	$Table_Header.="<td  style='padding:2px; width:300px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Father Name</td>";
	$Table_Header.="<td  style='padding:2px; width:300px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Mother Name</td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Degree</td>";
	$Table_Header.="<td  style='padding:2px; width:30px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Combination</td>";
	$Table_Header.="<td  style='padding:2px; width:200px; border:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>Status</td>";
	$Table_Header.="</tr>";
	$index=0;
	foreach($lobj_admList as $key=>$val)
		{
			++$index;
			$border_bottom="";
			if($cnt==count($lobj_admList))
			$border_bottom="border-bottom:1px solid #ccc;";
			$data_details.="<tr class={$class} style='font-size:20px;' >";
			$data_details.="<td  align=center style='border:1px solid #ccc; {$border_bottom} border-left:1px solid #ccc; padding:2px;font-size:16px;'>{$index}</td>";			
			$data_details.="<td  align=center style='border:1px solid #ccc; {$border_bottom} border-left:1px solid #ccc; padding:2px;font-size:16px;'><img width='60px' height='60px' src='{$val[FPHOTOPATH]}'/></td>";			
			$data_details.="<td  align=center style='border:1px solid #ccc; {$border_bottom} border-left:1px solid #ccc; padding:2px;font-size:16px;'>{$val[FSLNO]}</td>";			
			$data_details.="<td align='left' style='border:1px solid #ccc;  {$border_bottom} solid #ccc; padding:2px;font-size:16px;'><a href='#' style='text-decoration:none;color:blue;' >{$val[FNAME]}</a></td>";
			$data_details.="<td  align='center' style='border:1px solid #ccc;  {$border_bottom} solid #ccc; padding:2px;font-size:16px;'>{$val[fgender]}</td>";
			$data_details.="<td style='border:1px solid #ccc;  {$border_bottom} solid #ccc; padding:2px;font-size:16px;'>{$val[dob]}</td>";
			$data_details.="<td style='border:1px solid #ccc;  {$border_bottom} solid #ccc; padding:2px;font-size:16px;'>{$val[ffatname]}</td>";
			$data_details.="<td style='border:1px solid #ccc;  {$border_bottom} solid #ccc; padding:2px;font-size:16px;'>{$val[fmotname]}</td>";
			$data_details.="<td  align=center style='{$border_bottom} border:1px solid #ccc; font-size:16px;'>{$val[FDEGREE]}</td>";
			$data_details.="<td  align=center style='{$border_bottom} border:1px solid #ccc; font-size:16px;'>{$val[FCOMBCODE]}</td>";
			$data_details.="<td  align=center style='{$border_bottom} border:1px solid #ccc; font-size:16px;'>{$val[FAPPRSTATUS]}</td>";
			$data_details.="</tr>";

			 $cnt++;
		} 	
	$e_data=$Table_Header.$data_details;
	echo $aobj_context->mobj_output->ToJSONEnvelope($e_data,0,"success"); 
}



?>