<?php
function loaddayteachcode($aobj_context)
{

	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
    $collcode = $_SESSION['collcode'];
    

	$usertype = $_SESSION['user_type'];
    $usr = $_SESSION['usr'];
	
    $cnd = '';
    //var_dump($usertype);
    if(strtolower($usertype) == 'user')
    {
        $cnd = "and m.fteachcode = '{$usr}'";   
    }
	
    $query = "select distinct ifnull(at.fteachcode,'') as fteachcode,ifnull(m.FTEACHNAME,'') as fteachname
    from attclass at
    inner join masteach m on at.fteachcode = m.fteachcode
    where at.fcollcode = '{$collcode}'
	{$cnd}";

    $result = $aobj_context->mobj_db->GetAll($query);
	
	if($result)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($result,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Faile to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}

function loadteachname($aobj_context)
{

	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
    $collcode = $_SESSION['collcode'];
    $classname = trim($aobj_context->mobj_data["classname"]);

	$usertype = $_SESSION['user_type'];
    $usr = $_SESSION['usr'];
	
    $cnd = '';
    //var_dump($usertype);
    if(strtolower($usertype) == 'user')
    {
        // $query = "select fteachcode from masteach where fcollcode = '{$collcode}'
        // and fteachcode = '{$usr}'";
        // $res = $aobj_context->mobj_db->GetRow($query);   
        // //var_dump($query); 
        // $teachcode = $res['fteachcode'];
        $cnd = "and m.fteachcode = '{$usr}'";   
    }
	
    $query = "select distinct ifnull(at.fteachcode,'') as teachcode,ifnull(m.FTEACHNAME,'') as teachname
    from attclass at
    inner join masteach m on at.fteachcode = m.fteachcode
    where at.fcollcode = '{$collcode}'
	{$cnd}";

    $result = $aobj_context->mobj_db->GetAll($query);
	
	if($result)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($result,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Faile to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}

function loadclassname($aobj_context)
{

	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
    $collcode = $_SESSION['collcode'];
	$techcode = trim($aobj_context->mobj_data["techcode"]);
	
    $query = "select ifnull(fclassname,'') as fclassname,
    ifnull(fclassid,'') as fclassid  from
    attclass where fteachcode = '{$techcode}' and fcollcode = '{$collcode}' and ifnull(fdeleted,'') <> 'T'";

    $result = $aobj_context->mobj_db->GetAll($query);
	
	if($result)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($result,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Faile to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}


function loadclassnameday($aobj_context)
{

	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
    $collcode = $_SESSION['collcode'];
	
	$usertype = $_SESSION['user_type'];
    $usr = $_SESSION['usr'];
	$teachcode = $aobj_context->mobj_data["teachcode"];
	
    $cnd = '';
    //var_dump($usertype);
    if(strtolower($usertype) == 'user')
    {
        // $query = "select fteachcode from masteach where fcollcode = '{$collcode}'
        // and fmobile = '{$usr}'";
        // $res = $aobj_context->mobj_db->GetRow($query);   
        // //var_dump($query); 
        // $teachcode = $res['fteachcode'];
        $cnd = "and fteachcode = '{$usr}'";   
    }

    $query = "select ifnull(fclassname,'') as fclassname,
    ifnull(fclassid,'') as fclassid  from
    attclass where fteachcode = '{$teachcode}' and fcollcode = '{$collcode}' and ifnull(fdeleted,'') <> 'T'
	{$cnd}";

    $result = $aobj_context->mobj_db->GetAll($query);
	
	if($result)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($result,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Faile to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}

function loaddegreecreateclass($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$collcode = $_SESSION['collcode'];

    $query = "select ifnull(d.fdegree,'') as fdegree,ifnull(d.FDESCPN,'') as fdescpn
    from degree d 
    inner join student a on d.fdegree = a.fdegree and d.FEXAMNO = a.FEXAMNO
	where fcollcode = '{$collcode}'
    group by d.fdegree";

    $result = $aobj_context->mobj_db->GetAll($query);
	
	if($result)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($result,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Faile to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}

function loadsemcreateclass($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);

    $degreecode = $aobj_context->mobj_data["degree"];
	
    $query = "select ifnull(d.FEXAMNO,'') as fexamno,ifnull(d.FEXAMNAME,'') as fexamname 
    from degree d 
    inner join student a on d.fdegree = a.fdegree and d.FEXAMNO = a.FEXAMNO
    where d.fdegree = '{$degreecode}'
    group by d.FEXAMNO";


    $result = $aobj_context->mobj_db->GetAll($query);
	
	if($result)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($result,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Faile to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}


function loadssubcreateclass($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);

    $degreecode = $aobj_context->mobj_data["degree"];
    $sem = $aobj_context->mobj_data["sem"];
	$collcode = $_SESSION['collcode'];
	
    $query = "select ifnull(s.FCSUBCODE,'') as fsubcode,ifnull(s.FSUBNAME,'') as fsubname
    from subject s
    inner join student a on s.FDEGREE = a.FDEGREE and s.FEXAMNO = a.FEXAMNO 
    where s.FDEGREE = '{$degreecode}' and s.FEXAMNO = '{$sem}'
    group by s.FSUBCODE";


    $result = $aobj_context->mobj_db->GetAll($query);

	$query1 = "select distinct ifnull(FSECTION,'') as fsection 
	from student 
	where fcollcode = '{$collcode}' and FDEGREE = '{$degreecode}' and FEXAMNO = '{$sem}' and ifnull(FSECTION,'') <> ''";

	$result1 = $aobj_context->mobj_db->GetAll($query1);
	
	if($result)
	{
		$arr['sub'] = $result;
		$arr['sec'] = $result1;
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Faile to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}

function loadteachercreateclass($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
    $collcode = $_SESSION['collcode'];	
    $query = "select ifnull(FTEACHCODE,'') as fteachcode,ifnull(FTEACHNAME,'') as fteachname
    from masteach
    where fcollcode = '{$collcode}'";

    $result = $aobj_context->mobj_db->GetAll($query);


	if($result)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($result,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Failed to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}


function viewcreateclass($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
    $collcode = $_SESSION['collcode'];
    $degreecode = $aobj_context->mobj_data["degree"];
    $sem = $aobj_context->mobj_data["sem"];
    $sub = $aobj_context->mobj_data["sub"];	
    $classname = $aobj_context->mobj_data["fclassid"];
    $teachcode = $aobj_context->mobj_data["teachcode"];
    $fclassid = $aobj_context->mobj_data["fclassid"];
	$section = $aobj_context->mobj_data["section"];

	if($section == 'All'){
		$cnd = "";
	}else{
		$cnd = "and s.fsection = '{$section}'";
	}

    $query = "select ifnull(s.fregno,'') as fregno,ifnull(s.FNAME,'') as fname, 
	if(ifnull(a.fregno,'') <> '' ,'T','F') as fstatus 
	from student s 
	left join attendsum a on s.fregno = a.fregno and s.fdegree = a.fdegree and s.fexamno = a.fexamno 
	and s.fcollcode = a.fcollcode 
	and a.fclassid = '{$classname}'
	where s.fdegree = '{$degreecode}' and s.FCOLLCODE = '{$collcode}' 
	$cnd 
	order by s.fname";
	//var_dump($query);
    $result = $aobj_context->mobj_db->GetAll($query);


	if($result)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($result,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Faile to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}

function savecreateclass($aobj_context)
{

	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
    $collcode = $_SESSION['collcode'];
	$univcode = $_SESSION['FUNIVCODE'];
	include("error_log.php");
	$usr = $_SESSION['usr'];
	$mob = $_SESSION['FMOBILE'];
    $degreecode = $aobj_context->mobj_data["degree"];
    $sem = $aobj_context->mobj_data["sem"];
    $sub = $aobj_context->mobj_data["sub"];	
    $classname = $aobj_context->mobj_data["classname"];
    $teachcode = $aobj_context->mobj_data["teachcode"];

    $fclassid = $aobj_context->mobj_data["fclassid"];
	$section = $aobj_context->mobj_data["section"];

    $_data = $aobj_context->mobj_data["data"];
    $data = json_decode($_data,true);

	$qrtype = "select ifnull(fatyear,'') as fyear,ifnull(fatexamtype,'') as fexamtype 
	from degree
	where FDEGREE = '{$degreecode}' and FEXAMNO = '{$sem}'";

	$resqrtype = $aobj_context->mobj_db->GetRow($qrtype);
  
	$fyear = $resqrtype['fyear'];
	$fexamtype = $resqrtype['fexamtype'];

			if (!empty($_SERVER['HTTP_CLIENT_IP']))   
			{
				$ip_address = $_SERVER['HTTP_CLIENT_IP'];
			}
			else if (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))  
			{
				$ip_address = $_SERVER['HTTP_X_FORWARDED_FOR'];
			}
			else
			{
				$ip_address = $_SERVER['REMOTE_ADDR'];
			}

	
    
	$univcode = $_SESSION['FUNIVCODE'];
	$mob = $_SESSION['FMOBILE'];
	$usr = $_SESSION['usr'];
	$college_code = $_SESSION['collcode'];
	
    foreach($data as $key => $val){
		

		$regno = $val['regno'];

        if($val['classid'] == 'T'){  
			$str = "ADD STUDENTS TO CLASS: CLASSID : $fclassid, THEACHERCODE : $teachcode, REGNO: $regno,SUBJECT : $sub";
			$remark = $str;
			$enttype = "ATTA";
			$res = error_logs($aobj_context,$univcode,$remark,$college_code,$enttype,$usr,$mob);

			$Insertquery = "insert ignore into attendsum (fclassid,fcreatedate,fteachcode,fcollcode,fdegree,fexamno,fsubcode,fclassname,fregno,fyear,fexamtype,fsection)
			values('{$fclassid}',now(),'{$teachcode}','{$collcode}','{$degreecode}','{$sem}','{$sub}','{$classname}','{$val['regno']}','{$fyear}','{$fexamtype}','{$section}')";
			$resupdquery = $aobj_context->mobj_db->Execute($Insertquery);
        }else{

			$str = "DELETE STUDENTS TO CLASS: CLASSID : $fclassid, THEACHERCODE : $teachcode, REGNO : $regno,SUBJECT : $sub";
			$remark = $str;
			$enttype = "ATTD";
			$res = error_logs($aobj_context,$univcode,$remark,$college_code,$enttype,$usr,$mob);
			
            $updquery = "DELETE FROM attendsum 
			WHERE fregno='{$val['regno']}'
			and fclassid = '{$fclassid}'
			and fteachcode = '{$teachcode}'
			and fcollcode = '{$collcode}'
			and fdegree = '{$degreecode}'
			and fexamno = '{$sem}'
			and fsubcode = '{$sub}'
			and fclassname = '{$classname}'
			and fsection = '{$section}'";

            $resupdquery = $aobj_context->mobj_db->Execute($updquery);
        }
        
    }
	if($resupdquery)
	{
        $data['msg'] = 'Save Successfully...!';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Faile to Save';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}


function viewStuds($aobj_context)
{

	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$collcode = $_SESSION['collcode'];
    

	$usertype = $_SESSION['user_type'];
    $usr = $_SESSION['usr'];
	
    $cnd = '';

    if(strtolower($usertype) == 'user')
    {
        $cnd = "and a.fteachcode = '{$usr}'";   
    }

    $query = "select ifnull(a.fteachcode,'') as fteachcode,ifnull(m.fteachname,'') as fteachname,
	ifnull(a.fclassid,'') as fclassid,
	ifnull(ac.fclassname,'') as fclassname,
	count(a.fclassid) as count from attendsum a
	inner join masteach m on m.fteachcode = a.fteachcode
	left join attclass ac on a.fclassid = ac.fclassid
	where a.fcollcode = '{$collcode}' $cnd
	group by a.fclassid";

    $result = $aobj_context->mobj_db->GetAll($query);
	
	if($result)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($result,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Faile to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}



function viewAddClassstuds($aobj_context)
{

	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$collcode = $_SESSION['collcode'];
    $teachcode = $aobj_context->mobj_data["teachcode"];
	$fclassid = $aobj_context->mobj_data["fclassid"];

	$usertype = $_SESSION['user_type'];
    $usr = $_SESSION['usr'];
	
    $cnd = '';

    if(strtolower($usertype) == 'user')
    {
        $cnd = "and a.fteachcode = '{$usr}'";   
    }

    $query = "select ifnull(a.fclassid,'') as fclassid ,ifnull(a.fregno,'') as fregno,ifnull(s.FNAME,'') as fname
	from attendsum a
	inner join student s on a.fregno = s.fregno
	where a.fcollcode = '{$collcode}' and a.fclassid = '{$fclassid}'  $cnd";

    $result = $aobj_context->mobj_db->GetAll($query);
	
	if($result)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($result,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Faile to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}


?>