<?php
function getCollegeNames($aobj_context)
{
    $aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);  
    $coll_code = $aobj_context->mobj_data["coll_code"]; 	
    $qry="select FCOLLCODE,concat(FCOLLNAME,', ',FTOWN) as FCOLLNAME from college where FCOLLCODE='{$coll_code}'";
    $lobj_rs = $aobj_context->mobj_db->GetRow($qry);     
	
	if($lobj_rs)	
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_rs,0,"success"); 
    else
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_rs,-1,"Failure");
    return;
}

function GetQpCode($aobj_context)
{
    $aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);  
    $coll_code = $aobj_context->mobj_data["coll_code"]; 	
    $qp_code = $aobj_context->mobj_data["qp_code"]; 
	$collcode=$_SESSION['collcode']	;
    $qry = "SELECT distinct ms.FQPCODE,FSUBNAME,FMAXMARKS 
			FROM masqp ms inner join valqp v on v.FQPCODE=ms.FQPCODE
			where ms.FQPCODE='{$qp_code}' and v.FCOLLCODE='{$collcode}'";									
    $lobj_qp_code = $aobj_context->mobj_db->GetRow($qry);     
	
	if($lobj_qp_code)	
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_qp_code,0,"success"); 
	}
	else
	{
		$err_data="Invalid Qp Code"; 	 	
		echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure");
	}
	return ;
}

function SelectSubjectQpCode($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);  
	$qp_code = $aobj_context->mobj_data["qp_code"]; 
	$module_name_for_save = $aobj_context->mobj_data["module_name_for_save"]; 
	session_start();
	$college_code = $_SESSION['collcode'];
	$FUNIVCODE = $_SESSION['FUNIVCODE'];
	
	/* if($FUNIVCODE == '026')
	{
		$field = " cs.FCNTRCODE='{$college_code}'";
	}else
	{
		$field = "cd.FCOLLCODE='{$college_code}'";
	} */
	  
	if($module_name_for_save!="Room Allotment")
	{
		$qry="select DISTINCT FQPCODE as id,FQPCODE,FSUBCODE,concat(FSUBNAME,' ',FSSUBNAME) as FSSUBNAME,
		date_format(FDOE,'%d/%m/%Y') as FDOE,CASE WHEN LEFT(FSESSION,1)='M' THEN 'AM' ELSE 'PM' END AS FSESSION from subject
		where TRIM(FQPCODE)<>'' 
		and FTHEORY='T'
		and FINTASS<>'T'
		and FRETAIN<>'T'
		and FQPCODE='{$qp_code}'";
		//var_dump($qry);
									
		$lobj_qp_code = $aobj_context->mobj_db->GetRow($qry);
	}
	else
	{
		$get_student_cnt ="SELECT COUNT(DISTINCT cd.FREGNO) AS reg_cnt
		FROM canddet cd INNER JOIN subject s ON s.fdegree = cd.fdegree 
		and s.fexamno = cd.fexamno and s.FSUBCODE=cd.FSUBCODE
		inner join candsum cs on cs.FREGNO=cd.FREGNO AND cd.FDEGREE=cs.FDEGREE
		AND cd.FCOLLCODE=cs.FCOLLCODE
		WHERE cs.FCNTRCODE='{$college_code}' and TRIM(FQPCODE)='{$qp_code}' 
		and ifnull(cd.fpassmth,'') = '' AND cd.FPRESENT='P'  AND IFNULL(cs.FRECPTDATE,'0000-00-00')<>'0000-00-00'";
	//var_dump($get_student_cnt);
		$lobj_get_student_cnt = $aobj_context->mobj_db->GetRow($get_student_cnt);	
		
		$reg_cnt=$lobj_get_student_cnt['reg_cnt'];
		$qry="select {$reg_cnt} as reg_cnt, FQPCODE as id,FQPCODE,FSUBCODE,concat(FSUBNAME,' ',FSSUBNAME) as FSSUBNAME,
		date_format(FDOE,'%d/%m/%Y') as FDOE,
		if(ifnull(FSESSION,'')<>'',if(FSESSION = FREASONCD,FDESCPN,FSESSION),FSESSION) as FSESSION
		from subject left join reason on subject.FSESSION = reason.FREASONCD
		where TRIM(FQPCODE)<>'' 								 
		and FQPCODE='{$qp_code}'";
		//var_dump($qry);
		$lobj_qp_code = $aobj_context->mobj_db->GetRow($qry);				 
	}	
	
	if($lobj_qp_code)	
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_qp_code,0,"success"); 
	}
	else
	{
		$err_data="Invalid Qp Code"; 	 	
		echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure");
	}
	return ;
}
function SelectDeptCode($aobj_context)
{
    $aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);  
  
    $FDEPTCODE = $aobj_context->mobj_data["FDEPTCODE"]; 
	$collcode=$_SESSION['collcode']	;
    $qry="SELECT FDEPTCODE,FDEPTNAME
			FROM masdept
			 where FDEPTCODE='{$FDEPTCODE}'";
	// echo $qry; die();									
    $lobj_qp_code = $aobj_context->mobj_db->GetRow($qry);     
	
	if($lobj_qp_code)	
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_qp_code,0,"success"); 
	}
	else
	{
		$err_data="Invalid DEPT Code"; 	 	
		echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure");
	}
	return ;
}function SelectDesCode($aobj_context)
{
    $aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);  
  
    $FDEGNCODE = $aobj_context->mobj_data["FDEGNCODE"]; 
	$collcode=$_SESSION['collcode']	;
    $qry="SELECT FDEGNCODE,FDEGNDESC
			FROM masdegn
			 where FDEGNCODE='{$FDEGNCODE}'";
	// echo $qry; die();									
    $lobj_qp_code = $aobj_context->mobj_db->GetRow($qry);     
	
	if($lobj_qp_code)	
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_qp_code,0,"success"); 
	}
	else
	{
		$err_data="Invalid Qp Code"; 	 	
		echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure");
	}
	return ;
}

function GetVivaSubjectDetails($aobj_context)
{
    $aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);  
    $degcode = $aobj_context->mobj_data["degcode"];
    $subcode = $aobj_context->mobj_data["subcode"];
    $exam_no = $aobj_context->mobj_data["exam_no"];
 	
    $qry="select pm.FVVCODE,s.FSUBNAME,fvalmax as fsmaxmarks from practical_master pm
		 inner join subject s on s.FEXAMNO=pm.FEXAMNO		
		and
		s.FDEGREE=pm.FDEGREE
		and 
		s.FCSUBCODE=pm.FVVCODE
		 where pm.FDEGREE='{$degcode}' and pm.FEXAMNO='{$exam_no}' and pm.FPRCODE='{$subcode}' and pm.FVVCODE!=''";
	//	 echo $qry;die();
    $lobj_rs = $aobj_context->mobj_db->GetRow($qry);     
	
	if($lobj_rs)	
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_rs,0,"success"); 
		return;
	}
	else
	{
		$err_data="No Viva Subject"; 
		echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure"); 
		return;
	}
}
function getSubjectNameForDispatchScript($aobj_context)
{
	session_start();
	$college_code = $_SESSION['collcode'];	
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC); 	
	$subject_code = $aobj_context->mobj_data["subject_code"]; 
	$degree_code = $aobj_context->mobj_data["degree_code"]; 	
	$exam = $aobj_context->mobj_data["exam"]; 	
		
	$get_sub_names="select FCSUBCODE,FSUBNAME from degree d inner join subject s on 
						s.FDEGREE=d.FDEGREE  and  d.FEXAMNO=s.FEXAMNO
						where d.FDEGREE='{$degree_code}' and s.FEXAMNO='{$exam}'  
						and FCSUBCODE='{$subject_code}'
						group by  FCSUBCODE";						
	$lobj_get_sub_names = $aobj_context->mobj_db->getRow($get_sub_names);		
	//echo $get_sub_names;
	if($lobj_get_sub_names)	
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_sub_names,0,"success"); 
		return;
	}
	else
	{
		$err_data="Invalid Subject Code"; 
		echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure"); 
		return;
	}	
}

function getdegreeNames($aobj_context)
{
	/* session_start();
	$college_code = $_SESSION['collcode'];
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$degree_code=trim($aobj_context->mobj_data["degree_code"]);
	$mod_type=trim($aobj_context->mobj_data["type"]);
	$userid = $_SESSION['user_id'];
	if($mod_type == 'FCADSTATUS')
	{
		//$fadmdeg = "and fadmdeg = 'T'";
		$fadmdeg = "inner join mascomb mc on c.fdegree = mc.fdegree ";
		
	}else
	{
		//$fadmdeg = " and 1=1";
		$fadmdeg = " ";
	}
	//echo $mod_type; die();
	
	
	if(strtoupper($_SESSION['usr']) =='ADMIN' || strtoupper($_SESSION['usr']) =='SUPER')
	{
		$ltable = "inner join degree d on d.FDEGREE=c.FDEGREE and FCOLLCODE='{$college_code}'";
	}
	else
	{
		$ltable = "inner join degree d on d.FDEGREE=c.FDEGREE and c.FCOLLCODE='{$college_code}' 
		inner join usersub us on d.fdegree = us.fdegree and c.fcollcode = us.fcollegecode and us.fuser = '{$userid}'";
	}
	
	if(strtolower($college_code) === 'lsys')
	{
		$get_name_by_degree_code =" select c.FDEGREE,d.FDESCPN 
										   from colldeg c {$ltable} 
										   and c.FDELETED <> 'T' {$fadmdeg}
										   group by FDEGREE";
			  	 			   
			$lobj_get_name = $aobj_context->mobj_db->GetRow($get_name_by_degree_code);
			
			if($lobj_get_name)	
			{
		      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
		    }
			else
			{
				$err_data="Invalid Degree Code"; 	 	
				echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure");
			}
		return;
	}
	else
	{
		if($mod_type== '')
		{
				$get_name_by_degree_code=" select c.FDEGREE,d.FDESCPN 
											   from colldeg c {$ltable} 
											   and c.FDELETED <> 'T' {$fadmdeg}
											   group by FDEGREE";
									   
				$lobj_get_name = $aobj_context->mobj_db->GetRow($get_name_by_degree_code);
				//var_dump($get_name_by_degree_code);
				if($lobj_get_name)	
				{
				  echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
				}
				else
				{
					$err_data="Invalid Degree Code"; 	 	
					echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure");
				}
			return;
		}
		else
		{
			$field_name = "c.{$mod_type}";
			//$cond= "and c.{$mod_type} is NULL";		
			$get_name_by_degree_code=" select c.FDEGREE,d.FDESCPN,  ifNULL({$field_name},'NOTFREEZED') as type
									   from colldeg c {$ltable} 
									   and c.FDELETED <> 'T' 
									   and FCOLLCODE = '{$college_code}' {$fadmdeg} group by FDEGREE
								   ";
			//echo $get_name_by_degree_code;  						   
			$lobj_get_name = $aobj_context->mobj_db->GetRow($get_name_by_degree_code);		
			
			if(($lobj_get_name['type'] == 'NOTFREEZED')&& $lobj_get_name)	
			{
			  echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
			}
			else if(($lobj_get_name['type'] != 'NOTFREEZED')&& $lobj_get_name)
			{
			  $err_data="Already Freezed By Admin"; 	
			  echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure");
			} 
			 else 
			{ 
			 $err_data="Invalid Degree Code"; 	 	
			 echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure");
			}  
			return;
		}
	} */ 
	
	 session_start();
	$college_code = $_SESSION['collcode'];
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$degree_code=trim($aobj_context->mobj_data["degree_code"]);
	$mod_type=trim($aobj_context->mobj_data["type"]);
	
	if($mod_type == 'FCADSTATUS')
	{
		//$fadmdeg = "and fadmdeg = 'T'";
		$fadmdeg = "inner join mascomb mc on c.fdegree = mc.fdegree ";
		
	}else
	{
		//$fadmdeg = " and 1=1";
		$fadmdeg = " ";
	}
	//echo $mod_type; die();
	if(strtolower($college_code) === 'lsys')
	{
		$get_name_by_degree_code =" select c.FDEGREE,d.FDESCPN 
										   from colldeg c inner join degree d on
										   d.FDEGREE=c.FDEGREE and c.FDEGREE='{$degree_code}' 
										   and c.FDELETED <> 'T'  {$fadmdeg}
										   group by FDEGREE";
										//    var_dump($get_name_by_degree_code);	
										//    die();									   
			  	 			   
			$lobj_get_name = $aobj_context->mobj_db->GetRow($get_name_by_degree_code);
			
			if($lobj_get_name)	
			{
		      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
		    }
			else
			{
				$err_data="Invalid Degree Code"; 	 	
				echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure");
			}
		return;
	}
	else
	{
		if($mod_type== '')
		{
				$get_name_by_degree_code=" select c.FDEGREE,d.FDESCPN, d.fdeggrp 
											   from colldeg c inner join degree d on
											   d.FDEGREE=c.FDEGREE and c.FDEGREE='{$degree_code}' 
											   and c.FCOLLCODE='{$college_code}'
											   and c.FDELETED <> 'T' {$fadmdeg}
											   group by FDEGREE";
									   
				$lobj_get_name = $aobj_context->mobj_db->GetRow($get_name_by_degree_code);
				
				if($lobj_get_name)	
				{
				  echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
				}
				else
				{
					$err_data="Invalid Degree Code"; 	 	
					echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure");
				}
			return;
		}
		else
		{
			$field_name = "c.{$mod_type}";
			//$cond= "and c.{$mod_type} is NULL";		
			$get_name_by_degree_code=" select c.FDEGREE,d.FDESCPN,  ifNULL({$field_name},'NOTFREEZED') as type
									   from colldeg c inner join degree d on
									   d.FDEGREE=c.FDEGREE and c.FDEGREE='{$degree_code}'
									   and c.FDELETED <> 'T' 
									   and FCOLLCODE = '{$college_code}' {$fadmdeg} group by FDEGREE
								   ";
			//echo $get_name_by_degree_code;  						   
			$lobj_get_name = $aobj_context->mobj_db->GetRow($get_name_by_degree_code);		
			
			if(($lobj_get_name['type'] == 'NOTFREEZED')&& $lobj_get_name)	
			{
			  echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
			}
			else if(($lobj_get_name['type'] != 'NOTFREEZED')&& $lobj_get_name)
			{
			  $err_data="Already Freezed By Admin"; 	
			  echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure");
			} 
			 else 
			{ 
			 $err_data="Invalid Degree Code"; 	 	
			 echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure");
			}  
			return;
		}
	} 
}

function getSubjectCode($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$subject_code=trim($aobj_context->mobj_data["subject_code"]);
	$get_subject_by_subject_code="select fsubcode,Fsubshort,fsubname 
								from subject where fsubcode='{$subject_code}'
								and  fexamno='A' 
								group by fsubcode ";	
								
								
   // echo $get_subject_by_subject_code;	
	$lobj_sub_name = $aobj_context->mobj_db->GetRow($get_subject_by_subject_code);
	if($lobj_sub_name!= 0)	
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_sub_name,0,"success"); 
    else
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_sub_name,-1,"Failure");
    return;

}

function getExamNo($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$exam_no=trim($aobj_context->mobj_data["ExamNo"]);
	$degree=trim($aobj_context->mobj_data["degree"]);
	$get_name_by_degree_code="select  distinct  fexamno,fexamname from degree 
					where fexamno='{$exam_no}' and FDEGREE='{$degree}'";
	$lobj_get_name = $aobj_context->mobj_db->GetRow($get_name_by_degree_code);
	if($lobj_get_name)	
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
    else
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,-1,"Failure");
    return;
	 
}

function getSubMarkDetails($aobj_context)
{
	session_start();
	$college_code = $_SESSION['collcode'];
	$userId = $_SESSION['user_id'];
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$Subcode=trim($aobj_context->mobj_data["subcode"]);
	$Degcode=trim($aobj_context->mobj_data["degcode"]);
	$examno=trim($aobj_context->mobj_data["exam_no"]);
	$category=trim($aobj_context->mobj_data["category"]);
	$module=trim($aobj_context->mobj_data["module"]);
	$cat_cond='';	
	
	if(!empty($module))
	{
		$select_category_cond = "select Value from markentrycodition 
		where FMODULE='{$module}' and Code='{$category}' and FDELETED='F'";
		
		$lobj_select_category_cond = $aobj_context->mobj_db->GetRow($select_category_cond);
	
		if(!empty($lobj_select_category_cond) && ($lobj_select_category_cond['Value']!='0' || $lobj_select_category_cond['Value']!=0 )) 
			$cat_cond=" and ".$lobj_select_category_cond['Value'];	
	}
	if(strtoupper($_SESSION['user_type'])=='ADMIN' || strtoupper($_SESSION['user_type'])=='SUPERUSER' || strtoupper($_SESSION['user_type'])=='BASKARAN')
	{
		$get_name_by_degree_code=" select FCSUBCODE,  FSUBNAME,FSSUBNAME,FSHORTNAME,fvalmax as FSMAXMARKS,ifnull(FEXAMCNT,'1') as FEXAMCNT from 
		subject s inner join colldeg c on
		s.FDEGREE = c.FDEGREE 
		and c.fdegree = '{$Degcode}' and s.fexamno='{$examno}' 								
		where s.FCSUBCODE='{$Subcode}' and
		c.FCOLLCODE='{$college_code}' {$cat_cond} ";
	}
	else
	{
		if($module == 'ME')
		{
			$get_name_by_degree_code=" select FCSUBCODE,  FSUBNAME,FSSUBNAME,FSHORTNAME,fvalmax as FSMAXMARKS,ifnull(FEXAMCNT,'1') as FEXAMCNT from 
			subject s inner join colldeg c on
			s.FDEGREE = c.FDEGREE 
			and s.fdegree = '{$Degcode}' and s.fexamno='{$examno}' 
			left join usersub us on INSTR(us.fsubcode,s.fsubcode) 		
			where s.FCSUBCODE='{$Subcode}' and
			 fuser='{$userId}' and us.fdegree = '{$Degcode}' and
			c.FCOLLCODE='{$college_code}'  {$cat_cond} ";								
		}
		else
		{
			$get_name_by_degree_code =" select FCSUBCODE,  FSUBNAME,FSSUBNAME,FSHORTNAME,fvalmax as FSMAXMARKS,ifnull(FEXAMCNT,'1') as FEXAMCNT from 
			subject s inner join colldeg c on
			s.FDEGREE = c.FDEGREE 
			and c.fdegree = '{$Degcode}' and s.fexamno='{$examno}' 								
			where s.FCSUBCODE='{$Subcode}' and
			c.FCOLLCODE='{$college_code}' {$cat_cond} ";
			
		}			
	}
	$lobj_get_name = $aobj_context->mobj_db->GetRow($get_name_by_degree_code); 
	//var_dump($_SESSION['user_type']);
	//var_dump($get_name_by_degree_code);	 die();
	if($lobj_get_name)	
	{
		if($module == 'ME')
		{
			$chk_fcsubcode =  "select count(*) as count from collia 
			where fcollcode='{$college_code}' and fdegree='{$Degcode}'
			and fexamno ='{$examno}' and fsubcode = '{$Subcode}' 
			and (ifnull(ffreezed,'') = 'T' || ifnull(ffreezed,'') = 'L')";
		}
		else
		{
			$chk_fcsubcode =  "select count(*) as count from colldeg 
			where FMESTATUS{$examno} like '%{$Subcode}%' 
			and  fdegree='{$Degcode}' and fcollcode='{$college_code}'";			
		}
		$lobj_chk_fcsubcode = $aobj_context->mobj_db->GetRow($chk_fcsubcode);
		
	//	echo $chk_fcsubcode; die();
		if($lobj_chk_fcsubcode['count']==0 || $module=="PR")
		{
			echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
		}
		else
		{
			$rs_data = "Subject Freezed By Admin";
			echo $aobj_context->mobj_output->ToJSONEnvelope($rs_data,-1,"Failure");
		}
    }
	else
	{
		$rs_data = "Invalid Subject Code";
		echo $aobj_context->mobj_output->ToJSONEnvelope($rs_data,-1,"Failure");
	}	
    return;	 
}

function getSubMarkDetailsForPopUp($aobj_context)
{
	session_start();	
	$college_code = $_SESSION['collcode'];
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$Subcode=trim($aobj_context->mobj_data["subcode"]);
	
	$get_name_by_dcode_for_popup=" select FCSUBCODE,FSUBNAME,FSSUBNAME,FSHORTNAME,fvalmax as fsmaxmarks from 
									subject s  								
									where s.FCSUBCODE='{$Subcode}'  ";	
  						
	$lobj_get_name_by_dcode_for_popup = $aobj_context->mobj_db->GetRow($get_name_by_dcode_for_popup);
	if(!empty($lobj_get_name_by_dcode_for_popup))
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name_by_dcode_for_popup,0,"success"); 
	}
	else
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name_by_dcode_for_popup,-1,"failure"); 
	}
	return;	
}

function getSubjectCodePopupForAnswerScript($aobj_context)
{
	session_start();	
	$college_code = $_SESSION['collcode'];
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$degree_code = trim($aobj_context->mobj_data["degree_code"]);
	$Subcode = trim($aobj_context->mobj_data["subcode"]);
	
	$get_name_by_scode_for_popup=" select S.FCSUBCODE,S.FSUBNAME from SUBJECT S 									 
										WHERE S.FDEGREE='{$degree_code}' and S.FCSUBCODE = '{$Subcode}' ";	
	//echo $get_name_by_scode_for_popup; die();									
	$lobj_get_name_by_scode_for_popup = $aobj_context->mobj_db->GetRow($get_name_by_scode_for_popup);
	
	if($lobj_get_name_by_scode_for_popup)
	{		
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name_by_scode_for_popup,0,"success"); 
		return;
	}	
	else
	{
		$arr_data="Invalid Subject Code";
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr_data,-1,"Failure"); 
		return;	
	}	
}
function getFullSubjectDetails($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$Shortcode=trim($aobj_context->mobj_data["shortcode"]);
	$Degcode=trim($aobj_context->mobj_data["degcode"]);
	$examno=trim($aobj_context->mobj_data["examno"]);
	$get_name_by_degree_code="select fcsubcode,fsubname,fssubname,fshortname,fvalmax as fsmaxmarks from subject 
							where fdegree ='{$Degcode}' and fexamno='{$examno}' and fshortname='{$Shortcode}'";
	//echo $get_name_by_degree_code; die();
	$lobj_get_name = $aobj_context->mobj_db->GetRow($get_name_by_degree_code);
	if($lobj_get_name!= 0)	
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
    else
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,-1,"Failure");
    return;
	 
}

 function getStudentRegisterNoName($aobj_context)
{
	session_start();
	
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$Regno=trim($aobj_context->mobj_data["Regno"]);
	$CollegeCode = $_SESSION['collcode'];
	$module_name_for_save = $aobj_context->mobj_data["module_name_for_save"]; 
	
	$collcnd = "and fcollcode = '{$CollegeCode}'";	
	if(strtolower($CollegeCode) == 'lsys')
	{
		$collcnd = "";	
	}

	if($module_name_for_save=="SaveAbsentEntrySubjectwiseQP")
	{
			$get_name_by_degree_code="select fregno,fname,fdegree from student where 
			fregno='{$Regno}'";

	}
	else {
	$get_name_by_degree_code="select s.fregno,s.fname,s.fdegree,d.FDESCPN 
	from student s inner join degree d on d.FDEGREE=s.FDEGREE 
	where fregno='{$Regno}'
	{$collcnd}";
	}
	// echo $get_name_by_degree_code; die();
	$lobj_get_name = $aobj_context->mobj_db->GetRow($get_name_by_degree_code);
	if($lobj_get_name!= 0)	
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
    else
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,-1,"Failure");
    return;
	 
}

function CheckEnteredRegisterNo($aobj_context)
{
session_start();
	$College_Code = $_SESSION['collcode'];
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$Regno=trim($aobj_context->mobj_data["Regno"]);
	$module_name_for_save=trim($aobj_context->mobj_data["module_name_for_save"]);
	if($module_name_for_save == 'Cancel_ANS_Books')
	{
		$qpcode=trim($aobj_context->mobj_data["qpcode"]);
		$condition =" and al.fqpcode = '{$qpcode}' and ifnull(fcancel,'') <> 'T'";
	}else
	{
		$condition = "";
		$fnewansbookno = "";
	}		
	
	
	
	$CollegeCode = $_SESSION['collcode'];
	$id =trim($aobj_context->mobj_data["id"]);
	$id_split=explode("_",$id);
	$id=$id_split[3];
	$get_name_by_degree_code="select '{$id}' as id,fregno,fname from student
						where fregno='{$Regno}'";
	
	//var_dump($get_name_by_degree_code);
	$lobj_get_name = $aobj_context->mobj_db->GetRow($get_name_by_degree_code);
	if($lobj_get_name)	
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
    else
	{
	  $lobj_get_name=$id;
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,-1,"Failure");
	}
    return;
}



function getNextRegisterNoName($aobj_context)
{

	session_start();
	
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$Regno=trim($aobj_context->mobj_data["Regno"]);
	//echo $Regno; die();
	$CollegeCode = $_SESSION['collcode'];
	
	$get_name_by_degree_code="select fregno,fname from student where fcollcode= '{$CollegeCode}'and fregno>'{$Regno}' order by 1 limit 1";
	//echo $get_name_by_degree_code; die();
	$lobj_get_name = $aobj_context->mobj_db->GetRow($get_name_by_degree_code);
	if($lobj_get_name!= 0)	
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
    else
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,-1,"Failure");
    return;
}

function getCategoryNames($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$id=trim($aobj_context->mobj_data["id"]);
	 
	
	$get_category_names="select '{$id}' as id,FCATEGORY as internal_code,FCATEGORY as value from category ";
	 //echo $get_category_names; die();
	$lobj_get_category_names = $aobj_context->mobj_db->GetAll($get_category_names);
	if($lobj_get_category_names!= 0)	
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_category_names,0,"success"); 
    else
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_category_names,-1,"Failure");
    return;
}

function getCombinations($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$id=trim($aobj_context->mobj_data["id"]);
	 
	
	$get_category_names="select distinct '{$id}' as id,FCOMBCODE as internal_code,FCOMBDESC as value from mascomb where fdeleted <> 'T' ";
	 //echo $get_category_names; die();
	$lobj_get_category_names = $aobj_context->mobj_db->GetAll($get_category_names);
	if($lobj_get_category_names!= 0)	
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_category_names,0,"success"); 
    else
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_category_names,-1,"Failure");
    return;
}

function isRegNoValid($aobj_context)
{
	session_start();
	
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$Regno=trim($aobj_context->mobj_data["Regno"]);
	$CollegeCode = $_SESSION['collcode'];
	$degree =trim($aobj_context->mobj_data["degree"]);
	$CollCnd = "and fcollcode= '{$CollegeCode}'";
	
	if( strtolower($CollegeCode) == 'lsys')
	{
		$CollCnd = "";
	}
	
	$get_no = "select  s.fregno,s.fname,d.FDEGREE,FDESCPN from student s inner join degree d on d.FDEGREE=s.FDEGREE
	where  fregno='{$Regno}' and ifnull(s.fdeleted,'F') <> 'T' {$CollCnd}";	
	$lobj_get_name = $aobj_context->mobj_db->GetRow($get_no);
	
	if($lobj_get_name)	
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
  else
	{
	  $lobj_get_name=$id;
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,-1,"Failure");
	}
    return;
}

function GetSubSubjectCategory($aobj_context)
{ 	
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$type = trim($aobj_context->mobj_data["type"]);
	if($type!='')
		$where_cond=" where FMODULE='{$type}'";
	else $where_cond=' ';
		$get_Subsubject="SELECT Code,Name from markentrycodition {$where_cond} order by Code";
	$lobj_get_subject = $aobj_context->mobj_db->GetAll($get_Subsubject);
	
	if($lobj_get_subject)	
		print_r ($aobj_context->mobj_output->ToJSONEnvelope($lobj_get_subject,0,"success")); 
    else
		print_r ($aobj_context->mobj_output->ToJSONEnvelope($lobj_get_subject,-1,"Failure"));
    return;
}

function CheckEnteredstudentSubjectCode($aobj_context)
{
	session_start();	
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$college_code = $_SESSION['collcode'];
	$Degcode=trim($aobj_context->mobj_data["degcode"]);
	$examno=trim($aobj_context->mobj_data["exam_no"]);
	$category=trim($aobj_context->mobj_data["category"]);
	$Subcode=trim($aobj_context->mobj_data["subcode"]);
	$module=trim($aobj_context->mobj_data["module"]);
	$id=trim($aobj_context->mobj_data["id"]);
	$id_split=explode("_",$id);
	$id=$id_split[3];
	$cat_cond='';

	$select_category_cond = "select Value from markentrycodition 
						  where FMODULE='{$module}' and Code='{$category}' and FDELETED='F'";
	$lobj_select_category_cond = $aobj_context->mobj_db->GetRow($select_category_cond);
	
	if($lobj_select_category_cond['Value']!='0' || $lobj_select_category_cond['Value']!=0) 
		$cat_cond=" and ".$lobj_select_category_cond['Value'];	
	
	$get_name_by_degree_code=" select '{$id}' as id, FCSUBCODE,FSUBNAME,FSSUBNAME,FSHORTNAME,fvalmax as fsmaxmarks from 
								subject s inner join colldeg c on
								s.FDEGREE = c.FDEGREE 
								and s.fdegree = '{$Degcode}' and s.fexamno='{$examno}' 								
								where s.FCSUBCODE='{$Subcode}' and
								c.FCOLLCODE='{$college_code}' {$cat_cond} ";								
	$lobj_get_name = $aobj_context->mobj_db->GetRow($get_name_by_degree_code);
	
	if($lobj_get_name)	
	{
		$chk_fcsubcode =  "select count(*) as count from colldeg 
							where FMESTATUS{$examno} like '%{$Subcode}%' ";
		$lobj_chk_fcsubcode = $aobj_context->mobj_db->GetRow($chk_fcsubcode);					
		if($lobj_chk_fcsubcode['count']==0)
		{
			echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
		}
		else
		{
			$rs_data = "Subject Freezed By Admin";
			echo $aobj_context->mobj_output->ToJSONEnvelope($rs_data,-1,"Failure");
		}
    }
	else
     {
			$rs_data =$id;
			echo $aobj_context->mobj_output->ToJSONEnvelope($rs_data,-1,"Failure");
	 }	
    return;	 
}
function getSectionName($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);  
	session_start();
   
	$collcode=$_SESSION['collcode']	;
	$DegCode=trim($aobj_context->mobj_data["degCode"]);
	$examNo=trim($aobj_context->mobj_data["examNo"]);
	$section=trim($aobj_context->mobj_data["section"]);
    $qry="select distinct FSECTION  from student where FCOLLCODE='{$collcode}' and FDEGREE='{$DegCode}' and 
			FEXAMNO='{$examNo}' and FSECTION='{$section}'  UNION ALL Select 'All' as FSECTION";
									
    $lobj_qp_code = $aobj_context->mobj_db->GetRow($qry);     
	
	if($lobj_qp_code)	
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_qp_code,0,"success"); 
	}
	else
	{
		$err_data="Invalid Section Code"; 	 	
		echo $aobj_context->mobj_output->ToJSONEnvelope($err_data,-1,"Failure");
	}
	return ;
	 
}
function markslistsubjpopup($aobj_context)
{
	session_start();	
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$college_code = $_SESSION['collcode'];
	$degree=trim($aobj_context->mobj_data["degree"]);
	$exam=trim($aobj_context->mobj_data["exam"]);
	
	/* $sql="select distinct FSUBCODE, FSUBNAME from subject 
	where  FDEGREE='{$degree}' and FEXAMNO ='{$exam}'";
	//echo $get_no;
	$lobj_get_name = $aobj_context->mobj_db->GetAll($sql);
	if($lobj_get_name)	
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
    else
	{
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,-1,"Failure");
	} */
	include_once($aobj_context->main_src.'/src/display_details_in_grid_custom.php');
	$display_obj = new display_details_in_grid($aobj_context);
	$display_obj->table_cols = array('FSUBCODE','FSSUBNAME');
	$display_obj->display_qry = "select distinct FSUBCODE as id,FSUBCODE,FSUBNAME from subject
	where FDEGREE='{$degree}' and FEXAMNO ='{$exam}'"; 
	//echo $display_obj->display_qry; die();										
	$display_obj->DisplayDetailsInGrid(); 
}
function getmarkslistsubjNames($aobj_context)
{
	session_start();	
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$college_code = $_SESSION['collcode'];
	$subject_code=trim($aobj_context->mobj_data["subject_code"]);

	
	$sql="select distinct FSUBCODE, FSUBNAME from subject 
	where  FSUBCODE ='{$subject_code}' ";
	//echo $get_no;
	$lobj_get_name = $aobj_context->mobj_db->GetRow($sql);
	if($lobj_get_name)	
		echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,0,"success"); 
    else
	{
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_get_name,-1,"Failure");
	}
}

function lastdate_validate($aobj_context)
{
	session_start();	
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$college_code = $_SESSION['collcode'];
	
	$screen_type = trim($aobj_context->mobj_data["screen_type"]);

	$examno = trim($aobj_context->mobj_data["examno"]);
	$degree = trim($aobj_context->mobj_data["degree"]); 
	
	if($screen_type == 'IAM')
		$lstr = "ifnull(FIAFROM,'1990-01-01') AND ifnull(FIATO,'1990-01-01')";
	else if($screen_type == 'PR')
		$lstr = "ifnull(FPRFROM,'1990-01-01') AND ifnull(FPRTO,'1990-01-01')";
	else if($screen_type == 'ADM')
		$lstr = "ifnull(FADMFROM,'1990-01-01') AND ifnull(FADMTO,'1990-01-01')";
	else if($screen_type == 'EAF')
		$lstr = "ifnull(FAPPFROM,'1990-01-01') AND ifnull(FAPPTO,'1990-01-01')";
	else if($screen_type == 'HT')
		$lstr = "ifnull(FHTFROM,'1990-01-01') AND ifnull(FHTTO,'1990-01-01')";
	else if($screen_type == 'att')
		$lstr = "ifnull(fattfrom,'1990-01-01') AND ifnull(fattto,'1990-01-01')";
	$query = "select sum(case when DATE_FORMAT(NOW(),'%Y-%m-%d') not between {$lstr} then 1 else 0 end) as flastdate,
	fsuspend from collexam where fcollcode = '{$college_code}' and fdegree = '{$degree}' and fexamno = '{$examno}' group by fsuspend";
	//var_dump($query);
	$result = $aobj_context->mobj_db->GetRow($query);
/* */
	if($result['fsuspend'] == 'T')
	{	
		$arr = "This degree is suspended temporarily";
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,-1,"Failure"); 
	}
	else  if(strtoupper($_SESSION['user_type'])=='SUPERUSER')
	{
		$arr = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success");
	} 
	else if($result['flastdate'] > 0)
	{
		$arr = "Last date is over for the given details";
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,-2,"Failure");
	}
	
	else
	{
		$arr = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success");
	}
}

function validatelastdate($aobj_context)
{
		session_start();	
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	$college_code = $_SESSION['collcode'];
	
	$degree = trim($aobj_context->mobj_data["Degcode"]);
	$subcode = trim($aobj_context->mobj_data["Subcode"]);
	$examno = trim($aobj_context->mobj_data["Examno"]);
	$batch_no = trim($aobj_context->mobj_data["batch_no"]);
	$batch_no = str_pad($batch_no,2, "0", STR_PAD_LEFT);
	$query = "select fexamdate,ffreezed,printfreezed,fbatch,fdegree from practical_entry_freeze 
			where fcollcode = '{$college_code}' and fdegree = '{$degree}' 
			and fexam = '{$examno}' and fbatch = '{$batch_no}' and fcsubcode = '{$subcode}'";
	
	$result = $aobj_context->mobj_db->GetRow($query);
	$last_date = $result['fexamdate'];

	$query = "select sum(case when DATE_FORMAT(NOW(),'%Y-%m-%d') <> '{$last_date}' then 1 else 0 end) as flastdate 
			from practical_entry_freeze where fcollcode = '{$college_code}' and fdegree = '{$degree}' 
			and fexam = '{$examno}' and fbatch = '{$batch_no}' and fcsubcode = '{$subcode}'";
	//var_dump($query);		
	$result = $aobj_context->mobj_db->GetRow($query);	
	
	if(strtoupper($_SESSION['user_type'])=='ADMIN' || strtoupper($_SESSION['user_type'])=='SUPERUSER')
	{
		$arr = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success");
	}	
	else if($result['flastdate'] > 0)
	{
		$arr = "Practical dates are not matching.";
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,-2,"Failure");
	}
	else
	{
		$arr = '';
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success");
	}
	
} 

function checkdateforhalticket($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	@session_start();
	$degree 	 = $aobj_context->mobj_data["degree"];
	$examfrom 	 = $aobj_context->mobj_data["examfrom"];
	$examto 	 = $aobj_context->mobj_data["examto"];
	$collegeCode = $_SESSION['collcode'];
	
	$query = "select * from collexam 
			where fcollcode = '{$collegeCode}' 
			and fdegree = '{$degree}'  
			and DATE_FORMAT(NOW(),'%Y-%m-%d') between DATE_FORMAT(collexam.fhtfrom,'%Y-%m-%d') 
			AND DATE_FORMAT(collexam.fhtto,'%Y-%m-%d')";
	$result = $aobj_context->mobj_db->GetAll($query);
	
	if(strtoupper($_SESSION['usr']) == 'SUPER')
	{
		$arr = "";
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr, 1,"success");
	}
	else if ($result ==  false)
	{	
		$arr = "Hall Ticket is Not Available.";
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr, -1,"success");	
	}
	else
	{
		$arr = "";
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr, 1,"success");
	}
}



function checkgeneratehtstaus($aobj_context)
{

	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);

	$regnofrom = str_pad(strtoupper(trim($aobj_context->mobj_data["regnofrom"])),8, "00000000", STR_PAD_LEFT);
	$regnoto   = str_pad(strtoupper(trim($aobj_context->mobj_data["regnoto"])),8,"ZZZZZZZZ",STR_PAD_LEFT);
	$rtype     = trim($aobj_context->mobj_data["rtype"]);
	$degcode   = trim($aobj_context->mobj_data["degcode"]);

	$query = "select * From candsum where fdegree = '{$degcode}' 
		and fregno between '{$regnofrom}' and '{$regnoto}' 
		and ifnull(fhtupload,'') = 'T'";
		//var_dump($query);
	$result = $aobj_context->mobj_db->GetRow($query);
	
	if(count($result) >0)
	{
		$arr = '';	
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success");
	}else
	{
		$arr = 'Hall Ticket Not Uploaded. Please upload Hall Ticket';
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,-1,"failure");
	}	

}


function checkdateforra($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	@session_start();
	$fqpcode 	 = $aobj_context->mobj_data["fqpcode"];
	$collegeCode = $_SESSION['collcode'];
	

	$query = "select distinct fdegree from subject where fqpcode = '{$fqpcode}'";
	$res = $aobj_context->mobj_db->GetRow($query);
	$degree = $res['fdegree'];

	$query = "select * from collexam 
			where fcollcode = '{$collegeCode}' 
			and DATE_FORMAT(NOW(),'%Y-%m-%d') between DATE_FORMAT(collexam.frafrom,'%Y-%m-%d') 
			AND DATE_FORMAT(collexam.frato,'%Y-%m-%d')";

			// var_dump($query);
	$result = $aobj_context->mobj_db->GetAll($query);
	
	if(strtoupper($_SESSION['usr']) == 'SUPER')
	{
		$arr = "";
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr, 1,"success");
	}
	else if ($result ==  false)
	{	
		$arr = "Exam Preparation is Not Available.";
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr, -1,"success");	
	}
	else
	{
		$arr = "";
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr, 1,"success");
	}
}

function getBoardNames($aobj_context)
{
    $aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);  
    $board_id = $aobj_context->mobj_data["board_id"]; 	
    $qry="select fboardcode, fboardsate, fboardname, faddress, fphoneno from masboard where fboardcode='{$board_id}'";
    $lobj_rs = $aobj_context->mobj_db->GetRow($qry);     
	
	if($lobj_rs)	
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_rs,0,"success"); 
    else
      echo $aobj_context->mobj_output->ToJSONEnvelope($lobj_rs,-1,"Failure");
    return;
}
function getBatchdet($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
	
	$query = "select distinct cd.fbatch, r.fdescpn from canddet cd 
	inner join reason r on cd.fbatch = r.FREASONCD
	where ifnull(fbatch,'') <> '' order by fbatch";
	$result = $aobj_context->mobj_db->GetAll($query);
	
	if ($result)
	{	
		$arr['batchdet'] = $result;
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr, -1,"success");	
	}
	else
	{
		$arr = "Batch Deatils Not Found";
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr, 1,"success");
	}
}
 ?>