<?php

function loadIAteachcode($aobj_context)
{

	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
    $collcode = $_SESSION['collcode'];
    

	$usertype = $_SESSION['user_type'];
    $usr = $_SESSION['usr'];
	
    $cnd = '';
    //var_dump($usertype);
    if(strtolower($usertype) == 'user')
    {
        $cnd = "and m.fteachcode = '{$usr}'";   
    }
	
    $query = "select distinct ifnull(at.fteachcode,'') as fteachcode,ifnull(m.FTEACHNAME,'') as fteachname
    from attclass at
    inner join masteach m on at.fteachcode = m.fteachcode
    where at.fcollcode = '{$collcode}'
	{$cnd}
	order by at.fteachcode";

    $result = $aobj_context->mobj_db->GetAll($query);
	
	if($result)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($result,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Faile to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}
	

function getIAclassnames($aobj_context)
{

	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
    $collcode = $_SESSION['collcode'];
	$techcode = trim($aobj_context->mobj_data["techcode"]);
	
    $query = "select ifnull(fclassname,'') as fclassname,
    ifnull(fclassid,'') as fclassid  from
    attclass where fteachcode = '{$techcode}' and fcollcode = '{$collcode}' and ifnull(fdeleted,'') <> 'T'";

    $result = $aobj_context->mobj_db->GetAll($query);
	
	if($result)
	{
		echo $aobj_context->mobj_output->ToJSONEnvelope($result,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Faile to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}

function getDegSemSubDet($aobj_context)
{
	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
    $collcode = $_SESSION['collcode'];
	$techcode = trim($aobj_context->mobj_data["techcode"]);
	$classid = trim($aobj_context->mobj_data["classid"]);
	
	$query = "select a.fdegree,d.fdescpn,a.fexamno,d.fexamname,a.fsubcode,s.fsubname from attendsum a inner join degree d on a.fdegree = d.fdegree 
	and a.fexamno = d.fexamno
	inner join subject s on a.fdegree = s.fdegree and a.fexamno = s.fexamno and a.fsubcode = s.fcsubcode
	where a.fteachcode = '{$techcode}'
	and fclassid = '{$classid}'";
	$res = $aobj_context->mobj_db->GetRow($query);
	//var_dump($query);
	$fdegree = $res['fdegree'];
	$fdescpn = $res['fdescpn'];
	$fexamname = $res['fexamname'];
	$fexamno = $res['fexamno'];
	$fsubcode = $res['fsubcode'];
	$fsubname = $res['fsubname'];

	$arry['fdegree'] = $fdegree;
	$arry['fdescpn'] = $fdescpn;
	$arry['fexamname'] = $fexamname;
	$arry['fexamno'] = $fexamno;
	$arry['fsubcode'] = $fsubcode;
	$arry['fsubname'] = $fsubname;


    $query = "select s.fcsubcode as fsubcode,s.FSSUBNAME as subname 
	from attendsum a 
	inner join degree d on a.fdegree = d.fdegree 
	and a.fexamno = d.fexamno
	inner join subject s on a.fdegree = s.fdegree and a.fexamno = s.fexamno and left(a.fsubcode,4) = s.fsubcode
	where a.fteachcode = '{$techcode}'
	and ifnull(s.FRETAIN,'') = 'T'
	and ifnull(s.FINTASS,'') = 'T'
	and fclassid = '{$classid}'
	group by s.fcsubcode";
	//var_dump($query);
    $result = $aobj_context->mobj_db->GetAll($query);
	
	if($result)
	{
		$arry['subelement'] = $result;
		echo $aobj_context->mobj_output->ToJSONEnvelope($arry,0,"success"); 
	}
	else
	{
		$data['msg'] = 'Failed to load';
		echo $aobj_context->mobj_output->ToJSONEnvelope($data,-1,"failure"); 
	}
}

	

	function viewIASubclass($aobj_context)
	{
		session_start();
		$collcode=$_SESSION['collcode'];
		$techcode = $aobj_context->mobj_data["techcode"];
		$classid = $aobj_context->mobj_data["classid"];
		$subcode = $aobj_context->mobj_data["subelement"];
		
		$cnd = "and stu.fsection = '{$section}'";
		
		$query = "select * from collexam 
		where fcollcode = '{$collcode}' 
		and fdegree = '{$degree}'  
		and fexamno = '{$exam}'
		and DATE_FORMAT(NOW(),'%Y-%m-%d') between DATE_FORMAT(collexam.fiafrom,'%Y-%m-%d') 
		AND DATE_FORMAT(collexam.fiato,'%Y-%m-%d')";
		
		$res3=$aobj_context->mobj_db->GetAll($query);
		$res3 = true;

		if($section == 'All')
		{
			$cnd = "";
		}

		$query = "select * from control";
		$res9=$aobj_context->mobj_db->GetRow($query);
		$FREGROLL = $res9['FREGROLL'];

		$query1="select stu.FREGNO, stu.FNAME,
		group_concat(
		distinct concat(mak.FSUBCODE,'_',if(IFNULL(mak.FMARKS, '-1') = '-2','AB',IFNULL(mak.FMARKS, '-1') ),'_',IFNULL(mak.FPRESENT, ''),'_',sub.FVALMAX)
		order by mak.FSUBCODE) as sublist
		FROM student stu inner join marks mak ON stu.fdegree = mak.fdegree 
		and stu.FREGNO=mak.FREGNO  and mak.FCOLLCODE='{$collcode}'
		inner join subject sub on sub.FcSUBCODE = mak.FSUBCODE
		inner join degree d on d.FDEGREE =mak.FDEGREE 
		and  d.Fexamno=mak.Fexamno and d.FMEYEAR=mak.FYEAR 
		and d.FMEEXAMTYP=mak.FEXAMTYPE
		inner join attendsum a on sub.fdegree = a.fdegree and a.fexamno = sub.fexamno
		and  left(a.fsubcode,4) = sub.fsubcode
		and mak.fdegree = a.fdegree and mak.fexamno = a.fexamno and   left(a.fsubcode,4) = left(mak.fsubcode,4)
		WHERE stu.FREGNO != ''  
		and fintass = 'T'
		and a.fteachcode = '{$techcode}'
		and a.fclassid = '{$classid}'
		and sub.fcsubcode = '{$subcode}'
		group by stu.FREGNO
		order by stu.fname,stu.FREGNO";
		//var_dump($query1);
		$results1=$aobj_context->mobj_db->GetAll($query1);

		$query = "select distinct fcsubcode, fssubname, FVALMAX from subject s 
		inner join attendsum a on s.fdegree = a.fdegree and a.fexamno = s.fexamno
		and  left(a.fsubcode,4) = s.fsubcode
		where a.fteachcode = '{$techcode}'
		and ifnull(s.FRETAIN,'') = 'T'
		and ifnull(s.FINTASS,'') = 'T'
		and a.fclassid = '{$classid}'
		and s.fcsubcode = '{$subcode}'
		order by fcsubcode";	
		//var_dump($query1);
		$res=$aobj_context->mobj_db->GetAll($query);
		$id = 4+count($res);
		//var_dump($query);
		$e_data.="<table  width='95%' id = 'showteachsub' cellspacing='0' class='tr_ventor_row' cellpadding='0' border='0' >";
		$e_data.="<th align='left' colspan='{$id}' class='ui-jqgrid-titlebar ui-widget-header ui-corner-tl ui-corner-tr ui-helper' style='font-size:12px; padding-left:6px; height:24px;'>Marks List</th>";			
		$e_data.="<tr class='ui-state-default ui-jqgrid-hdiv'>";	
		$e_data.="<td  style='padding:2px; width:20px; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Sl.<br>No.</center></td>";
		$e_data.="<td  style='padding:2px; width:50px; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>".$FREGROLL."</center></td>";
		$e_data.="<td  style='padding:2px; width:140px; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Student Name</center></td>";
			
		foreach($res as $value)
		{
			$e_data.="<td  style='padding:2px; width:30px; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>{$value['fssubname']} <br> Max. M.: {$value['FVALMAX']}</center></td>";
		}

		$e_data.="</tr>";
		$k=1;
		$border_bottom="border-bottom:1px solid #C5DBEC;";
		if($res3)
		{
			foreach($results1 as $value)
			{

				$e_data.="<tr class='ui-widget-content jqgrow'>";
				$e_data.="<td tabindex=-1   align='center' style='{$border_bottom}; border-left:1px solid #C5DBEC;border-right:1px solid #C5DBEC; padding:2px;'>{$k}</td>";
				$e_data.="<td tabindex=-1   align='center' style='{$border_bottom}; border-left:1px solid #C5DBEC;border-right:1px solid #C5DBEC; padding:2px;'>
					<input tabindex=-1  {$inp_class} type=text name='Regno' style='width:80px;border:none;' readonly id='reg_{$value[FREGNO]}' value='{$value[FREGNO]}'> </td>";
				$e_data.="<td tabindex=-1  align='left' style='{$border_bottom};border-right:1px solid #C5DBEC; padding:2px;' id='mes_std_name_{$value[FREGNO]}' >  {$value[FNAME]} </td>";
				$sublist = $value['sublist'];
				$subdet = explode(",",$sublist);
				$a = 1;
				foreach($subdet as $val) 
				{
					$marks = explode("_",$val);
					$regno = $value['FREGNO'];
					$index = $k.$a;
					$e_data.="<td align='center' style='{$border_bottom};border-right:1px solid #C5DBEC;  padding:2px;'> 
					<input type='text' tabindex={$a} style='width:30px;{$border}' id='mes_marks_{$marks[0]}_{$value[FREGNO]}' class='ElementCount'  maxlength='2' onchange = 'getupdate(this.id)'  onblur = 'getValidateMarks(\"{$marks[3]}\",\"{$regno}\",\"{$marks[0]}\")' value='{$marks[1]}' > 
					<input type=hidden style='width:10px;{$border}' id='hidden_{$marks[0]}_{$value[FREGNO]}' value='A'> </td>";
					$a++;
				}
				$k++;
				
				$e_data.="</tr>";

			}
		}else
		{
			$e_data.="<tr class='ui-widget-content jqgrow'>";
			$e_data.="<td colspan='{$id}'  align='center' style='{$border_bottom}; border-left:1px solid #C5DBEC;border-right:1px solid #C5DBEC; padding:2px;'>Dates are not enabled contact admin</td>";
			$e_data.="</tr>";
		}

		$arr['tabledata'] = $e_data;
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 

	}

	function viewIACombSubclass($aobj_context)
	{
		session_start();
		$collcode=$_SESSION['collcode'];
		$techcode = $aobj_context->mobj_data["techcode"];
		$classid = $aobj_context->mobj_data["classid"];
		//$subcode = $aobj_context->mobj_data["subelement"];
		
		$cnd = "and stu.fsection = '{$section}'";
		
		$query = "select * from collexam 
		where fcollcode = '{$collcode}' 
		and fdegree = '{$degree}'  
		and fexamno = '{$exam}'
		and DATE_FORMAT(NOW(),'%Y-%m-%d') between DATE_FORMAT(collexam.fiafrom,'%Y-%m-%d') 
		AND DATE_FORMAT(collexam.fiato,'%Y-%m-%d')";
		
		$res3=$aobj_context->mobj_db->GetAll($query);
		$res3 = true;

		if($section == 'All')
		{
			$cnd = "";
		}

		$query = "select * from control";
		$res9=$aobj_context->mobj_db->GetRow($query);
		$FREGROLL = $res9['FREGROLL'];

		$query1="select stu.FREGNO, stu.FNAME,
		group_concat(
		distinct concat(mak.FSUBCODE,'_',if(IFNULL(mak.FMARKS, '-1') = '-2','AB',IFNULL(mak.FMARKS, '-1') ),'_',IFNULL(mak.FPRESENT, ''),'_',sub.FVALMAX)
		order by mak.FSUBCODE) as sublist
		FROM student stu inner join marks mak ON stu.fdegree = mak.fdegree 
		and stu.FREGNO=mak.FREGNO  and mak.FCOLLCODE='{$collcode}'
		inner join subject sub on sub.FcSUBCODE = mak.FSUBCODE
		inner join degree d on d.FDEGREE =mak.FDEGREE 
		and  d.Fexamno=mak.Fexamno and d.FMEYEAR=mak.FYEAR 
		and d.FMEEXAMTYP=mak.FEXAMTYPE
		inner join attendsum a on sub.fdegree = a.fdegree and a.fexamno = sub.fexamno
		and  left(a.fsubcode,4) = sub.fsubcode
		and mak.fdegree = a.fdegree and mak.fexamno = a.fexamno and   left(a.fsubcode,4) = left(mak.fsubcode,4)
		WHERE stu.FREGNO != ''  
		and fintass = 'T'
		and a.fteachcode = '{$techcode}'
		and a.fclassid = '{$classid}'
		group by stu.FREGNO
		order by stu.fname,stu.FREGNO";
		//var_dump($query1);
		$results1=$aobj_context->mobj_db->GetAll($query1);

		$query = "select distinct fcsubcode, fssubname, FVALMAX from subject s 
		inner join attendsum a on s.fdegree = a.fdegree and a.fexamno = s.fexamno
		and  left(a.fsubcode,4) = s.fsubcode
		where a.fteachcode = '{$techcode}'
		and ifnull(s.FRETAIN,'') = 'T'
		and ifnull(s.FINTASS,'') = 'T'
		and a.fclassid = '{$classid}'
		order by fcsubcode";	
		//var_dump($query1);
		$res=$aobj_context->mobj_db->GetAll($query);
		$id = 5+count($res);
		//var_dump($query);
		$e_data.="<table  width='95%' id = 'showteachsub' cellspacing='0' class='tr_ventor_row' cellpadding='0' border='0' >";
		$e_data.="<th align='left' colspan='{$id}' class='ui-jqgrid-titlebar ui-widget-header ui-corner-tl ui-corner-tr ui-helper' style='font-size:12px; padding-left:6px; height:24px;'>Marks List</th>";			
		$e_data.="<tr class='ui-state-default ui-jqgrid-hdiv'>";	
		$e_data.="<td  style='padding:2px; width:20px; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Sl.<br>No.</center></td>";
		$e_data.="<td  style='padding:2px; width:50px; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>".$FREGROLL."</center></td>";
		$e_data.="<td  style='padding:2px; width:140px; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Student Name</center></td>";
		$ressub = "";	
		foreach($res as $value)
		{
			$e_data.="<td  style='padding:2px; width:30px; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>{$value['fssubname']} <br> Max. M.: {$value['FVALMAX']}</center></td>";
			$ressub .="*".$value['fcsubcode']; 
		}
		$e_data.="<td  style='padding:2px; width:30px; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Total <br> Max. M.: 50</center></td>";
		$e_data.="</tr>";
		$k=1;
		$border_bottom="border-bottom:1px solid #C5DBEC;";
		if($res3)
		{
			foreach($results1 as $value)
			{

				$e_data.="<tr class='ui-widget-content jqgrow'>";
				$e_data.="<td tabindex=-1   align='center' style='{$border_bottom}; border-left:1px solid #C5DBEC;border-right:1px solid #C5DBEC; padding:2px;'>{$k}</td>";
				$e_data.="<td tabindex=-1   align='center' style='{$border_bottom}; border-left:1px solid #C5DBEC;border-right:1px solid #C5DBEC; padding:2px;'>
					<input tabindex=-1  {$inp_class} type=text name='Regno' style='width:80px;border:none;' readonly id='reg_{$value[FREGNO]}' value='{$value[FREGNO]}'> </td>";
				$e_data.="<td tabindex=-1  align='left' style='{$border_bottom};border-right:1px solid #C5DBEC; padding:2px;' id='mes_std_name_{$value[FREGNO]}' >  {$value[FNAME]} </td>";
				$sublist = $value['sublist'];
				$subdet = explode(",",$sublist);
				$a = 1;
				$tot = '';
				foreach($subdet as $val) 
				{
					$marks = explode("_",$val);
					$regno = $value['FREGNO'];
					$index = $k.$a;
					$e_data.="<td align='center' style='{$border_bottom};border-right:1px solid #C5DBEC;  padding:2px;'> 
					<input type='text' tabindex={$a} style='width:30px;text-align: center;{$border};' id='mes_marks_{$marks[0]}_{$value[FREGNO]}' class='ElementCount'  maxlength='2' onchange = 'getupdate(this.id)'  onkeyup = 'addtottal(\"{$ressub}\",\"{$regno}\")' onblur = 'getValidateMarks(\"{$marks[3]}\",\"{$regno}\",\"{$marks[0]}\")' value='{$marks[1]}' > 
					<input type=hidden style='width:10px;{$border}' id='hidden_{$marks[0]}_{$value[FREGNO]}' value='A'> </td>";
					$a++;
					if($marks[1] == '-1')
						$marks = 0;
					else if($marks[1] == 'AB')	
						$marks = 0;
					else 	
						$marks = $marks[1];
					$tot = $tot+$marks;
				}
				$e_data.="<td    align='center' style='{$border_bottom}; border-left:1px solid #C5DBEC;border-right:1px solid #C5DBEC; padding:2px;'>
				<input type='text' tabindex=-1 style='width:30px;text-align: center;{$border}' id='mes_marks_tot_{$value[FREGNO]}' class='ElementCount'  maxlength='3'  disabled value='{$tot}' > 
				</td>";
				$k++;
				
				$e_data.="</tr>";

			}
		}else
		{
			$e_data.="<tr class='ui-widget-content jqgrow'>";
			$e_data.="<td colspan='{$id}'  align='center' style='{$border_bottom}; border-left:1px solid #C5DBEC;border-right:1px solid #C5DBEC; padding:2px;'>Dates are not enabled contact admin</td>";
			$e_data.="</tr>";
		}

		$arr['tabledata'] = $e_data;
		echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 

	}

	


	function saveIAEntrySectionwise($aobj_context)
	{
		session_start();
		include("error_log.php");
		$collcode=$_SESSION['collcode'];
		$User_code = $_SESSION['usr']; 
		$techcode = $aobj_context->mobj_data["techcode"];
		$classid = $aobj_context->mobj_data["classid"];
		$subcode = $aobj_context->mobj_data["subelement"];
		$subarry = $aobj_context->mobj_data["subarry"];
		$fsubarry = json_decode($subarry);
		
		foreach($fsubarry as $value)
		{
			
			$qry = "select fmarks from marks where 
					fcollcode = '{$collcode}'
					and fsubcode = '{$value->subcode}'
					and fregno = '{$value->regno}'";
			$res = $aobj_context->mobj_db->getRow($qry);

			$presnt = "";
			if(strtoupper($value->marks) == 'AB')
			{
				$presnt = "A";
			}else if($value->marks == '-1')
			{
				$presnt = "";
			}else
			{
				$presnt = "P";
			}

			if(strtoupper($value->marks) == 'AB')
			{
				$value->marks = '-2';
			}	

			$query = "update marks set FMARKS = '{$value->marks}', FPRESENT = '{$presnt}', 
			FLOGNAME = '{$User_code}', FLOGDATE = now()
			where fregno = '{$value->regno}'
			and fsubcode = '{$value->subcode}'
			and fcollcode = '{$collcode}'";
			$obj_upd = $aobj_context->mobj_db->Execute($query);

			$oldmarks =  $res['fmarks'];
			$univcode = $_SESSION['FUNIVCODE'];
			$mob = $_SESSION['FMOBILE'];
			$usr = $_SESSION['usr'];
			$college_code = $_SESSION['collcode'];
			$remark = "MEN - IA Marks Entry - $classid, $exam, $value->subcode, $College_Code,".$value->regno.", Old: $oldmarks, New: ".$value->marks;
			$enttype = "MEN";

			$res = error_logs($aobj_context,$univcode,$remark,$college_code,$enttype,$usr,$mob);

		}

		if($obj_upd)
		{
			$rdata = "Updated Successfully.";
			echo($aobj_context->mobj_output->ToJSONEnvelope($rdata,0,"success"));
			return $rdata;
		}
		else
		{
			$rdata = "No Updation / Add..!";
			echo($aobj_context->mobj_output->ToJSONEnvelope($rdata,-1,"Failure"));  
			return $rdata;			
		}

	}

	function saveIACombined($aobj_context)
	{
		session_start();
		include("error_log.php");
		$collcode=$_SESSION['collcode'];
		$User_code = $_SESSION['usr']; 
		$techcode = $aobj_context->mobj_data["techcode"];
		$classid = $aobj_context->mobj_data["classid"];
		//$subcode = $aobj_context->mobj_data["subelement"];
		$subarry = $aobj_context->mobj_data["subarry"];
		$fsubarry = json_decode($subarry);
		
		foreach($fsubarry as $value)
		{
			
			$qry = "select fmarks from marks where 
					fcollcode = '{$collcode}'
					and fsubcode = '{$value->subcode}'
					and fregno = '{$value->regno}'";
			$res = $aobj_context->mobj_db->getRow($qry);

			$presnt = "";
			if(strtoupper($value->marks) == 'AB')
			{
				$presnt = "A";
			}else if($value->marks == '-1')
			{
				$presnt = "";
			}else
			{
				$presnt = "P";
			}

			if(strtoupper($value->marks) == 'AB')
			{
				$value->marks = '-2';
			}	

			$query = "update marks set FMARKS = '{$value->marks}', FPRESENT = '{$presnt}', 
			FLOGNAME = '{$User_code}', FLOGDATE = now()
			where fregno = '{$value->regno}'
			and fsubcode = '{$value->subcode}'
			and fcollcode = '{$collcode}'";
			$obj_upd = $aobj_context->mobj_db->Execute($query);

			$oldmarks =  $res['fmarks'];
			$univcode = $_SESSION['FUNIVCODE'];
			$mob = $_SESSION['FMOBILE'];
			$usr = $_SESSION['usr'];
			$college_code = $_SESSION['collcode'];
			$remark = "MEN - IA Marks Entry - $classid, $exam, $value->subcode, $College_Code,".$value->regno.", Old: $oldmarks, New: ".$value->marks;
			$enttype = "MEN";

			$res = error_logs($aobj_context,$univcode,$remark,$college_code,$enttype,$usr,$mob);

		}

		if($obj_upd)
		{
			$rdata = "Updated Successfully.";
			echo($aobj_context->mobj_output->ToJSONEnvelope($rdata,0,"success"));
			return $rdata;
		}
		else
		{
			$rdata = "No Updation / Add..!";
			echo($aobj_context->mobj_output->ToJSONEnvelope($rdata,-1,"Failure"));  
			return $rdata;			
		}

	}

function getTestMaxQn($aobj_context){

	$aobj_context->mobj_db->SetFetchMode(ADODB_FETCH_ASSOC);
    $collcode = $_SESSION['collcode'];
	$techcode = trim($aobj_context->mobj_data["teachname"]);
	$classid = trim($aobj_context->mobj_data["classid"]);
	$subelement = trim($aobj_context->mobj_data["subelemnt"]);

	$query = "select  s.ftest, s.fvalmax, s.FNOQN from attendsum a 
	inner join degree d on a.fdegree = d.fdegree 
	and a.fexamno = d.fexamno
	inner join subject s on a.fdegree = s.fdegree and a.fexamno = s.fexamno 
	and left(a.fsubcode,4) = s.fsubcode
	where a.fteachcode = '{$techcode}' 
	and fclassid = '{$classid}' and s.fcsubcode = '{$subelement}' 
	and s.fintass = 'T'
	and s.fretain = 'T'
	group by a.fdegree";
	$result = $aobj_context->mobj_db->GetRow($query);
	//var_dump($query);

	if($result){
		echo($aobj_context->mobj_output->ToJSONEnvelope($result,0,"success"));
			return $result;
	}else{
			$rdata = "No data found..!";
			echo($aobj_context->mobj_output->ToJSONEnvelope($rdata,-1,"Failure"));  
			return $result;	
	}


}

function viewIAUnitwise($aobj_context)
{
	session_start();
	$collcode=$_SESSION['collcode'];
	$teachcode = $aobj_context->mobj_data["teachcode"];
	$classid = $aobj_context->mobj_data["classid"];
	$subelement = $aobj_context->mobj_data["subelement"];
	$txtmarks = $aobj_context->mobj_data["txtmarks"];
	$txtunits = $aobj_context->mobj_data["txtunits"];
	$testName = $aobj_context->mobj_data["testName"];
	
	
	
	$query = "select * from collexam 
	where fcollcode = '{$collcode}' 
	and fdegree = '{$degree}'  
	and fexamno = '{$exam}'
	and DATE_FORMAT(NOW(),'%Y-%m-%d') between DATE_FORMAT(collexam.fiafrom,'%Y-%m-%d') 
	AND DATE_FORMAT(collexam.fiato,'%Y-%m-%d')";
	// var_dump($query);
	$res3=$aobj_context->mobj_db->GetAll($query);
	$res3 = true;

	$query = "select * from control";
	$res9=$aobj_context->mobj_db->GetRow($query);
	$FREGROLL = $res9['FREGROLL'];

	$query1="select stu.FREGNO, stu.FNAME,
	mak.fmarks,mak.fmarks11,mak.fmarks12,mak.fmarks13,
	mak.fmarks14,mak.fmarks15,
	mak.fmarks21,mak.fmarks22,mak.fmarks23,
	mak.fmarks24,mak.fmarks25,mak.fsubcode,
	mak.fdegree,mak.fexamno,sub.FTEST
	FROM student stu inner join marks mak ON stu.fdegree = mak.fdegree 
	and stu.FREGNO=mak.FREGNO  and mak.FCOLLCODE='{$collcode}'
	inner join subject sub on sub.FcSUBCODE = mak.FSUBCODE
	inner join degree d on d.FDEGREE =mak.FDEGREE 
	and  d.Fexamno=mak.Fexamno and d.FMEYEAR=mak.FYEAR 
	and d.FMEEXAMTYP=mak.FEXAMTYPE
	inner join attendsum a on sub.fdegree = a.fdegree and a.fexamno = sub.fexamno
	and  left(a.fsubcode,4) = sub.fsubcode
	and mak.fdegree = a.fdegree and mak.fexamno = a.fexamno and   left(a.fsubcode,4) = left(mak.fsubcode,4)
	and stu.fregno = a.fregno
	WHERE stu.FREGNO != ''  
	and fintass = 'T'
	and a.fteachcode = '{$teachcode}'
	and a.fclassid = '{$classid}'
	and sub.fcsubcode = '{$subelement}' 
	group by stu.FREGNO
	order by stu.FREGNO";
	//var_dump($query1);
	$results1=$aobj_context->mobj_db->GetAll($query1);
	$FTEST = $results1[0]['FTEST'];
	
	$id = 4+$txtunits;
	//var_dump($query);
	$e_data.="<table  width='95%' id = 'showteachsub' cellspacing='0' class='tr_ventor_row' cellpadding='0' border='0' >";
	$e_data.="<th align='left' colspan='{$id}' class='ui-jqgrid-titlebar ui-widget-header ui-corner-tl ui-corner-tr ui-helper' style='font-size:12px; padding-left:6px; height:24px;'>Marks List</th>";			
	$e_data.="<tr class='ui-state-default ui-jqgrid-hdiv'>";	
	$e_data.="<td  style='padding:2px; width:20px; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Sl.<br>No.</center></td>";
	$e_data.="<td  style='padding:2px; width:50px; border-left:1px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>".$FREGROLL."</center></td>";
	$e_data.="<td  style='padding:2px; width:140px; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Student Name</center></td>";
	
	$ressub = "";	
	$x = 1;
	for($a =0;$a<$txtunits;$a++)
	{
		$e_data.="<td  style='padding:2px; width:30px; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Unit $x<br> Max. M.: ".($txtmarks/$txtunits)."</center></td>";
		$x++;
	}

	$e_data.="<td  style='padding:2px; width:30px; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'><center>Total <br> Max. M.: $txtmarks</center></td>";
	$e_data.="</tr>";
	$k=1;
	$border_bottom="border-bottom:1px solid #C5DBEC;";
	
	if($res3)
	{
		foreach($results1 as $value)
		{

			$fsubcode = $value['fsubcode'];
			$regno = $value['FREGNO'];

			$e_data.="<tr class='ui-widget-content jqgrow'>";
			$e_data.="<td tabindex=-1   align='center' style='{$border_bottom}; border-left:1px solid #C5DBEC;border-right:1px solid #C5DBEC; padding:2px;'>{$k}</td>";
			$e_data.="<td tabindex=-1   align='center' style='{$border_bottom}; border-left:1px solid #C5DBEC;border-right:1px solid #C5DBEC; padding:2px;'>
				<input tabindex=-1  {$inp_class} type=text name='Regno' style='width:80px;border:none;' readonly id='reg_{$value[FREGNO]}' value='{$value[FREGNO]}'> </td>";
			$e_data.="<td tabindex=-1  align='left' style='{$border_bottom};border-right:1px solid #C5DBEC; padding:2px;' id='mes_std_name_{$value[FREGNO]}' >  {$value[FNAME]} 
			<input type=hidden style='width:10px;{$border}' id='hidden_{$fsubcode}_{$value[FREGNO]}' value='A'>
			</td>";
			
			
			$y = 1;
			
			for($a =0;$a<$txtunits;$a++)
			{
				if($testName == 'Test 1')
					$marks = "fmarks1".$y;
				else if($testName == 'Test 2')	
					$marks = "fmarks2".$y;

				$marksval = $value[$marks];
				if($marksval == '-2')
					$marksval = 'AB';
				$maxmarks = ($txtmarks/$txtunits);
				$e_data.="<td align='center' style='padding:2px; width:30px; border-left:0px solid #C5DBEC; border-right:1px solid #C5DBEC; border-bottom:1px solid #C5DBEC;'>
				<input type='text' style='width:30px;text-align: center;{$border};' id='mes_marks_{$fsubcode}_{$value[FREGNO]}_$y' class='ElementCount'  onkeypress='return isNumberKey(event,this.id)' maxlength='5' onchange = 'gethidenupdate(this.id)' onkeyup = 'addUnittottal(\"{$txtunits}\",\"{$regno}\",\"$fsubcode\")' onblur = 'validateUnitMarks(\"{$maxmarks}\",\"{$regno}\",\"{$fsubcode}\",\"$y\")' value='{$marksval}' > 
				
				</td>";
				$y++;
			}
			if($FTEST ==1)
				$totmarks = $value['fmarks'];
			else if($FTEST ==2)
			{	
				if($testName == 'Test 1')
					$totmarks = $value['fmarks11'];
				else if($testName == 'Test 2')	
					$totmarks = $value['fmarks21'];
			}
				

			if($totmarks == '-2')
				$totmarks = 'AB';

			$e_data.="<td    align='center' style='{$border_bottom}; border-left:1px solid #C5DBEC;border-right:1px solid #C5DBEC; padding:2px;'>
			<input type='text' tabindex=-1 style='width:30px;text-align: center;{$border}' id='mes_marks_tot_{$value[FREGNO]}' class='ElementCount'  maxlength='5'  disabled value='{$totmarks}' > 
			</td>";
			$k++;
			
			$e_data.="</tr>";

		}
	}else
	{
		$e_data.="<tr class='ui-widget-content jqgrow'>";
		$e_data.="<td colspan='{$id}'  align='center' style='{$border_bottom}; border-left:1px solid #C5DBEC;border-right:1px solid #C5DBEC; padding:2px;'>Dates are not enabled contact admin</td>";
		$e_data.="</tr>";
	}

	$arr['html'] = $e_data;
	echo $aobj_context->mobj_output->ToJSONEnvelope($arr,0,"success"); 

}

function saveIAEntryUnitnwise($aobj_context)
{
	session_start();
	include("error_log.php");
	$collcode=$_SESSION['collcode'];
	$User_code = $_SESSION['usr']; 
	$techcode = $aobj_context->mobj_data["techcode"];
	$classid = $aobj_context->mobj_data["classid"];
	$txtunits = $aobj_context->mobj_data["txtunits"];
	$testName = $aobj_context->mobj_data["testName"];
	$subarry = $aobj_context->mobj_data["subarry"];
	$fsubarry = json_decode($subarry);
	
	foreach($fsubarry as $value)
	{
		
		$newmarks = "";

		$qry = "select fmarks,ifnull(fmarks11,'') as fmarks11,ifnull(fmarks12,'') as fmarks12,
				ifnull(fmarks21,'') as fmarks21,ifnull(fmarks22,'') as fmarks22,
				fdegree,fexamno,fsubcode
				from marks where 
				fcollcode = '{$collcode}'
				and fsubcode = '{$value->subcode}'
				and fregno = '{$value->regno}'";
		$res = $aobj_context->mobj_db->getRow($qry);

		$fmarks = $res['fmarks'];
		$fmarks11 = $res['fmarks11'];
		$fmarks12 = $res['fmarks12'];

		$fdegree = $res['fdegree'];
		$fexamno = $res['fexamno'];
		$fsubcode = $res['fsubcode'];

		$query = "select ftest From subject where fdegree = '{$fdegree}' 
		and fexamno = '{$fexamno}'
		and fcsubcode = '{$fsubcode}'";
		$res2 = $aobj_context->mobj_db->getRow($query);
		$ftest = $res2['ftest'];

		$totmarks = 0;
		$abcnt = $txtunits;

		for($a=1;$a<=$txtunits;$a++)
		{
			
			
			$presnt = "";

			$text1 = '';
			if($ftest == '1')
			{
				$text1 = "fmarks1".$a;

			}else if($ftest == '2')
			{
				if($testName == 'Test 1')
					$text1 = "fmarks1".$a;
				else if($testName == 'Test 2')	
					$text1 = "fmarks2".$a;
			}	
			

			$text = "fmarks1".$a;
			$marks = $value->$text;
			
			if(strtoupper($marks) == 'AB')
			{
				$marksval = '-2';
				$abcnt--;
			}else
			{
				$marksval = $marks;
				$totmarks = floatval($totmarks)+floatval($marks);
			}	

			$query = "update marks set $text1 = '{$marksval}',
			FLOGNAME = '{$User_code}', FLOGDATE = now()
			where fregno = '{$value->regno}'
			and fsubcode = '{$value->subcode}'
			and fcollcode = '{$collcode}'";
			$obj_upd = $aobj_context->mobj_db->Execute($query);
			//var_dump($query);
			$newmarks .= " $text1: $marksval";
			
		}

			$oldmarks =  "m: $fmarks - m1: $fmarks11 - m2: $fmarks12";
			$univcode = $_SESSION['FUNIVCODE'];
			$mob = $_SESSION['FMOBILE'];
			$usr = $_SESSION['usr'];
			$college_code = $_SESSION['collcode'];
			$remark = "MEN - IA Marks Entry - $techcode, $classid, $exam, $value->subcode, $College_Code,".$value->regno.", Old: $oldmarks, New: ".$newmarks;
			$enttype = "MEN";

			$res = error_logs($aobj_context,$univcode,$remark,$college_code,$enttype,$usr,$mob);

			if($abcnt == 0)
			{
				$totmarks = '-2';
			}
		if($ftest == '1')	
		{	
			$query = "update marks set fmarks= '{$totmarks}'
			where fregno = '{$value->regno}'
			and fsubcode = '{$value->subcode}'
			and fcollcode = '{$collcode}'";
		}else if($ftest == '2')
		{
			$query = "update marks set fmarks= (( if(ifnull(fmarks11,0) = '-2',0, ifnull(fmarks11,0)) +if(ifnull(fmarks21,0) = '-2',0, ifnull(fmarks21,0)) )/2)
			where fregno = '{$value->regno}'
			and fsubcode = '{$value->subcode}'
			and fcollcode = '{$collcode}'";
		//	var_dump($query);
		}
		$obj_upd = $aobj_context->mobj_db->Execute($query);

	}

	if($obj_upd)
	{
		$rdata = "Updated Successfully.";
		echo($aobj_context->mobj_output->ToJSONEnvelope($rdata,0,"success"));
		return $rdata;
	}
	else
	{
		$rdata = "No Updation / Add..!";
		echo($aobj_context->mobj_output->ToJSONEnvelope($rdata,-1,"Failure"));  
		return $rdata;			
	}

}
	
?>