<?php
 session_start();

  #.............................................................................
  # Register Syntax:
  # Param #1  -  Action name (user friendly)
  # Param #2  -  mapping to internal function
  #              string delimited with "."
  #              [0] - module name (aka .php file) - with relative source paths from the app base path
  #              [1] - function name to be executed
  #              [2] - comments/description about the Action
  # All the actions defined here are executed by CRequestBroker::ExecuteAction
  #.............................................................................

// Login Starts
CRequestBroker::RegisterAction("SendLoginPasswordByMail", "src/sendLoginPassword.SendLoginPasswordByMail.method Display Bankdetail static");
CRequestBroker::RegisterAction("validateUsernameAndPassword.demo", "src/login.validateUsernameAndPassword.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("BoardDetailsPopup.demo", "src/display_details_in_grid.BoardDetailsPopup.demo displays s_ref_module details");
//CRequestBroker::RegisterAction("getcolldet.demo", "src/login.getcolldet.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("getexamdata", "src/login.getexamdata");
CRequestBroker::RegisterAction("getDegreeGroup", "src/ack_report.getDegreeGroup");
CRequestBroker::RegisterAction("getDegreeResExamName", "src/ack_report.getDegreeResExamName");
CRequestBroker::RegisterAction("getResDegreeName", "src/ack_report.getResDegreeName");
CRequestBroker::RegisterAction("getDegreeNames", "src/ack_report.getDegreeNames");
CRequestBroker::RegisterAction("getExamNo", "src/ack_report.getExamNo");
//CRequestBroker::RegisterAction("GenerateBundalAck", "src/login.GenerateBundalAck");

CRequestBroker::RegisterAction("getDegreeGroup", "src/fee_report.getDegreeGroup"); 

CRequestBroker::RegisterAction("generateFeeSummaryReport.demo", 
"Report_details/fee_summary_report.generateFeeSummaryReport.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("generesultsheet.demo", 
"Report_details/resultsheet.generesultsheet.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("generateFeeCategoryWise.demo", 
"Report_details/fee_report_catwise.generateFeeCategoryWise.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("logout.demo", "src/login.logout.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getadmdata", "src/login.getadmdata");
CRequestBroker::RegisterAction("isLoggedIn.demo", "src/login.isLoggedIn.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getClientNames.demo", "src/login.getClientNames.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("loadUniversityDetails.demo", "src/login.loadUniversityDetails.demo method Display Bankdetail static");

// Login Ends
//CRequestBroker::RegisterAction("SendLoginPasswordByMail", "src/getunivcode.getunivcode.method Display Bankdetail static");
//help text Starts
CRequestBroker::RegisterAction("autocompletephp.demo", "src/helptext.autocompletephp.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("help_text_value.demo", "src/helptext.help_text_value.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("help_text_field_value.demo", "src/helptext.help_text_field_value.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("updateLeftNaviHelpTableText.demo", "src/helptext.updateLeftNaviHelpTableText.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("updateFieldHelpText.demo", "src/helptext.updateFieldHelpText.demo method Display Bankdetail static");
//help text Ends


CRequestBroker::RegisterAction("sendusernameandpassword.demo", "src/sendusrandpws.sendusernameandpassword.demo method Display Bankdetail static");


// Reset Password
CRequestBroker::RegisterAction("resetPasswordDetailsValidation.demo", "src/login.validateDetailToResetPassword.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("validateResetPasswordOTP.demo", "src/login.validateResetPasswordOTP.demo method Display Bankdetail static");

//Post Notification
CRequestBroker::RegisterAction("submitquery.demo", "src/login.submitquery.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("savepostnotification", "src/post.savepostnotification");
CRequestBroker::RegisterAction("getPostnotificationDetails", "src/post.getPostnotificationDetails");
CRequestBroker::RegisterAction("getPostnotificationEdit", "src/post.getPostnotificationEdit");
CRequestBroker::RegisterAction("getPostnotificationDelete", "src/post.getPostnotificationDelete");
CRequestBroker::RegisterAction("uploadpostnotification", "src/post.uploadpostnotification");

//
CRequestBroker::RegisterAction("getIAPendingDet", "src/stuIAMarksPending.getIAPendingDet");

//Report setup start
CRequestBroker::RegisterAction("GetReportNames.demo", "src/report_setup.GetReportNames.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getParameterDetails.demo", "src/report_setup.getParameterDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("GetReportSetupColumnDetails.demo", "src/report_setup.GetReportSetupColumnDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("saveReportSetupDetails.demo", "src/report_setup.saveReportSetupDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("showGridForReportSetup.demo", "src/report_setup.showGridForReportSetup.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getReportSetupValue.demo", "src/report_setup.getReportSetupValue.demo method Display Bankdetail static");
//reportsetup end
CRequestBroker::RegisterAction("pupulateSystemMenu.demo", "src/systemsetup.pupulateSystemMenu.demo method for Insert Generaldetail static");  
//systemsetup Starts
CRequestBroker::RegisterAction("getunivcode.demo", "src/getunivcodeee.getunivcode.demo method for Insert Generaldetail static");

//SYSTEM MASTER
CRequestBroker::RegisterAction("insertUserSchemaMaster", "src/system/saveuserschemamasters.insertUserSchemaMaster");
CRequestBroker::RegisterAction("viewUserSchemaDetails", "src/system/saveuserschemamasters.viewUserSchemaDetails");
CRequestBroker::RegisterAction("deleteUserSchemaDetails", "src/system/saveuserschemamasters.deleteUserSchemaDetails");
CRequestBroker::RegisterAction("GetSchemaDetailsForUpdate", "src/system/saveuserschemamasters.GetSchemaDetailsForUpdate");
CRequestBroker::RegisterAction("getModuleType", "src/system/saveuserschemamasters.getModuleType");

//SYSTEM ELEMENTS
CRequestBroker::RegisterAction("insertUserSchemaElements", "src/system/saveuserschemalements.insertUserSchemaElements");
//CRequestBroker::RegisterAction("getSubListViewData.demo", "src/subjectList_display.displaySubjectDetails.demo displays s_ref_module details");

//CRequestBroker::RegisterAction("getModuleType.demo", "src/systemsetup.getModuleType.demo method for populateModule dynamically");
CRequestBroker::RegisterAction("mcombouserschemaname.demo", "src/systemsetup.getModuleNameForGroups.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("madduserschemagroup.demo", "src/systemsetup.forInsertuserschemagroup.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("mcombouserschemaelementtype.demo", "src/systemsetup.getUserSchemaElementType.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("mComboUserSchemaElementReferenceData.demo", "src/systemsetup.getUserSchemaElementReferenceData.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getAutoIncrementSourceFields.demo", "src/systemsetup.getAutoIncrementSourceFields.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("mcombouserschemagroup.demo", "src/systemsetup.getUserSchemaGroup.demo method Display Bankdetail static");
//CRequestBroker::RegisterAction("insertUserSchemaElements", "src/systemsetup.insertUserSchemaElements");

CRequestBroker::RegisterAction("getLinkedModules.demo", "src/systemsetup.getLinkedModules.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getSourceFields.demo", "src/systemsetup.getSourceFields.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("mComboUserSchemaParentGroup.demo", "src/systemsetup.GetUserSchemaParentGroup.demo method Display Bankdetail static");
//CRequestBroker::RegisterAction("GetSchemaDetailsForUpdate.demo", "src/systemsetup.GetSchemaDetailsForUpdate.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("mGetUserSchemaGroupDetailsForUpdate.demo", "src/systemsetup.GetUserSchemaGroupDetailsForUpdate.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("updateUserSchemaElementDbField.demo", "src/systemsetup.updateUserSchemaElementDbField.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("mGetUserSchemaElementDetailsForUpdate.demo", "src/systemsetup.GetUserSchemaElementDetailsForUpdate.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("GetUserSchemaElementsRefModuleFilterDetails.demo", "src/systemsetup.GetUserSchemaElementsRefModuleFilterDetails.demo method Display Bankdetail static");
//systemsetup  Ends

//dynamicmastersdetails Starts  
CRequestBroker::RegisterAction("getGroupRefDetails.demo", "src/dynamicmastersdetails.getGroupRefDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getReferenceNameForLovForIntCode.demo", "src/dynamicmastersdetails.getReferenceNameForLovForIntCode.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getsRefDataValuesForDetails.demo", "src/dynamicmastersdetails.getsRefDataValuesForDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("pupulateLeftNav.demo", "src/dynamicmastersdetails.pupulateLeftNav.demo method for populateModule dynamically");
CRequestBroker::RegisterAction("ClearEntryTableNameForLoginCnt.demo", "src/dynamicmastersdetails.ClearEntryTableNameForLoginCnt.demo method for populateModule dynamically");
CRequestBroker::RegisterAction("deleteChildTableZeroValues.demo", "src/dynamicmastersdetails.deleteChildTableZeroValues.demo method for populateModule dynamically");
CRequestBroker::RegisterAction("CreateGroupEntryTable.demo", "src/dynamicmastersdetails.CreateGroupEntryTable.demo method for populateModule dynamically");
CRequestBroker::RegisterAction("UpdateMultiGroupTableWithGridEdit.demo", "src/dynamicmastersdetails.UpdateMultiGroupTableWithGridEdit.demo method for populateModule dynamically");
CRequestBroker::RegisterAction("getModuleColumnName.demo", "src/dynamicmastersdetails.getModuleColumnName.demo method for Insert Bankdetail static");
CRequestBroker::RegisterAction("getRefModuleColumnName.demo", "src/dynamicmastersdetails.getRefModuleColumnName.demo method for Insert Bankdetail static");
CRequestBroker::RegisterAction("AddUserSchemaGeneralDetails.demo", "src/dynamicmastersdetails.AddUserSchemaGeneralDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("GetSchemaModuleDetailsForUpdate.demo", "src/dynamicmastersdetails.GetSchemaModuleDetailsForUpdate.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("addSchemaGroupDetails.demo", "src/dynamicmastersdetails.addSchemaGroupDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getGeneralUserSchemaDetails.demo", "src/getmoduledetails.getGeneralUserSchemaDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getDefaultHeadFooterLinks.demo", "src/getmoduledetails.getDefaultHeadFooterLinks.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("getStudentadmno.demo", "src/student_entry.getStudentadmno.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("getGroupDetailsRowData.demo", "src/dynamicmastersdetails.getGroupDetailsRowData.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("AddUserSchemaElementDetails.demo", "src/dynamicmastersdetails.AddUserSchemaElementDetails.demo method adding employee schema details");
CRequestBroker::RegisterAction("getEmpMultipleGroupDetails.demo", "src/dynamicmastersdetails.getEmpMultipleGroupDetails.demo method adding employee schema details");
CRequestBroker::RegisterAction("addEmployeeGroupDetails.demo", "src/dynamicmastersdetails.addEmployeeGroupDetails.demo method adding employee schema details");
CRequestBroker::RegisterAction("deleteEmployeeGroupDetails.demo", "src/dynamicmastersdetails.deleteEmployeeGroupDetails.demo method adding employee schema details");
CRequestBroker::RegisterAction("deleteSchemaGroupDetails.demo", "src/dynamicmastersdetails.deleteSchemaGroupDetails.demo method adding employee schema details");
CRequestBroker::RegisterAction("getSerieslastNo.demo", "src/dynamicmastersdetails.getSerieslastNo.demo method adding employee schema details");
CRequestBroker::RegisterAction("getAutoIncrementDefaultPrefix.demo", "src/dynamicmastersdetails.getAutoIncrementDefaultPrefix.demo method adding employee schema details");
CRequestBroker::RegisterAction("getAutoIncrementDocRootPrefix.demo", "src/dynamicmastersdetails.getAutoIncrementDocRootPrefix.demo method adding employee schema details");
CRequestBroker::RegisterAction("mAddDynamicMaster.demo", "src/dynamicmastersdetails.insertDynamicMaster.demo method for populateModule dynamically");
CRequestBroker::RegisterAction("uploadGroupCsvFileIntoDB.demo", "src/dynamicmastersdetails.uploadGroupCsvFileIntoDB.demo method for populateModule dynamically");
CRequestBroker::RegisterAction("uploadGroupXlsFileIntoDB.demo", "src/dynamicmastersdetails.uploadGroupXlsFileIntoDB.demo method for populateModule dynamically");
CRequestBroker::RegisterAction("mgetDynamicMasterDetailsForUpdate.demo", "src/dynamicmastersdetails.GetDynamicMasterDetailsForUpdate.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("mGetFieldName.demo", "src/dynamicmastersdetails.getFieldName.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("AssignRefModuleLovValues.demo", "src/dynamicmastersdetails.AssignRefModuleLovValues.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("uploadHeaderImageDocuments.demo", "src/dynamicmastersdetails.uploadHeaderImageDocuments.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("uploadGroupImageDocuments.demo", "src/dynamicmastersdetails.uploadGroupImageDocuments.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getModuleImage.demo", "src/dynamicmastersdetails.getModuleImage.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getGroupImage.demo", "src/dynamicmastersdetails.getGroupImage.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("displayUserUploadedFiles.demo", "src/dynamicmastersdetails.displayUserUploadedFiles.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("AssignParentModuleIdToSession.demo", "src/dynamicmastersdetails.AssignParentModuleIdToSession.demo method Display Bankdetail static");
//dynamicmastersdetails Ends
  
//get Messages for Message Board
CRequestBroker::RegisterAction("getMessages", "src/getMessages.getMessages");

//get Messages for Message Board Ends


//display_details_in_grid Starts  
//CRequestBroker::RegisterAction("viewUserSchemaDeiatls.demo", "src/display_details_in_grid.viewUserSchemaDeiatls.demo displays s_ref_module details");
CRequestBroker::RegisterAction("viewUserSchemaDeiatlstest.demo", "src/display_details_in_grid.viewUserSchemaDeiatlstest.demo displays s_ref_module details");
CRequestBroker::RegisterAction("display_user_schema_group_master_grid.demo", "src/display_details_in_grid.display_user_schema_group_master_grid.demo displays s_ref_module details");
CRequestBroker::RegisterAction("display_user_schema_element_master_grid.demo", "src/display_details_in_grid.display_user_schema_element_master_grid.demo displays s_ref_module details");
CRequestBroker::RegisterAction("viewUserSchemaModuleDetails.demo", "src/display_details_in_grid.viewUserSchemaModuleDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("viewUserSchemaModuleGroupDetails.demo", "src/display_details_in_grid.viewUserSchemaModuleGroupDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("viewUserSchemaSrefDataDetails.demo", "src/display_details_in_grid.viewUserSchemaSrefDataDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("displayUserSetUpDetails.demo", "src/display_details_in_grid.displayUserSetUpDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("deleteUserSetUpDetails.demo", "src/display_details_in_grid.deleteUserSetUpDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("InsertUserSchemaDetailsFromGrid.demo", "src/InsertUserSchemaDetailsFromGrid.displayLopReimbursement.demo displays s_ref_module details");
CRequestBroker::RegisterAction("viewUserSchemaModuleGridGroupDetails.demo", "src/display_details_in_grid.viewUserSchemaModuleGridGroupDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("viewTransactionSeriesGrid.demo", "src/display_details_in_grid.viewTransactionSeriesGrid.demo displays s_ref_module details");
CRequestBroker::RegisterAction("deleteTransactionSeries.demo", "src/display_details_in_grid.deleteTransactionSeries.demo displays s_ref_module details");
CRequestBroker::RegisterAction("deleteUserSchemaDeiatls.demo", "src/display_details_in_grid.deleteUserSchemaDeiatls.demo displays s_ref_module details");
CRequestBroker::RegisterAction("mdelete_dynamic_master_details_from_grid.demo", "src/display_details_in_grid.delete_dynamic_master_setup_details.demo displays s_ref_module details");
CRequestBroker::RegisterAction("deleteUserSchemaModuleGroupDetails.demo", "src/display_details_in_grid.deleteUserSchemaModuleGroupDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("mdelete_user_schema_group_master_details_from_grid.demo", "src/display_details_in_grid.delete_user_schema_group_master_setup_details.demo displays s_ref_module details");
CRequestBroker::RegisterAction("mdelete_user_schema_element_master_details_from_grid.demo", "src/display_details_in_grid.delete_user_schema_element_master_setup_details.demo displays s_ref_module details");
CRequestBroker::RegisterAction("deleteUserSchemaModuleDetails.demo", "src/display_details_in_grid.deleteUserSchemaModuleDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("getUserSchemaDetailsForRefrencedata.demo", "src/display_details_in_grid.getUserSchemaDetailsForRefrencedata.demo.demo displays s_ref_module details");
CRequestBroker::RegisterAction("display_module_setup_grid.demo", "src/display_details_in_grid.display_module_setup_grid.demo displays s_ref_module details");
//display_details_in_grid Ends  

//transaction series Starts 
CRequestBroker::RegisterAction("getTransactionSeriesModule.demo", "src/transaction-series.getTransactionSeriesModule.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getTransactionSeriesModuleElements.demo", "src/transaction-series.getTransactionSeriesModuleElements.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("saveTransactionSeries.demo", "src/transaction-series.saveTransactionSeries.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getTransactionSeries.demo", "src/transaction-series.getTransactionSeries.demo method Display Bankdetail static");
//transaction series Ends 

//uploadmoduledetails Starts
CRequestBroker::RegisterAction("getModuleDetailsHeaders.demo", "src/uploadmoduledetails.getModuleDetailsHeaders.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getGroupModuleDetailsHeaders.demo", "src/uploadmoduledetails.getGroupModuleDetailsHeaders.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("uploadModuleDetailsIntoDB.demo", "src/uploadmoduledetails.uploadModuleDetailsIntoDB.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("uploadModuleGroupDetailsIntoDB.demo", "src/uploadmoduledetails.uploadModuleGroupDetailsIntoDB.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("downloadModuleData.demo", "src/uploadmoduledetails.downloadModuleData.demo method Display Bankdetail static");
//uploadmoduledetails Ends		 

//Reports Starts 
CRequestBroker::RegisterAction("getReportFormElements.demo", "src/getreportdetails.getReportFormElements.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getReportDataDetails.demo", "src/getreportdetails.getReportDataDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getReport", "src/getreportfilefordisplay.getReport.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getDownloadReportFile", "src/getreportfilefordisplay.getDownloadReportFile.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getDownloadPDFReportFile", "src/getreportfilefordisplay.getDownloadPDFReportFile.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("viewGridReportDetails.demo", "src/getreportfilefordisplay.viewGridReportDetails.demo method Display Bankdetail static");
//Reports Ends
  
//user set up Starts
CRequestBroker::RegisterAction("getUserSetupDetails.demo", "src/usersetup.getUserSetupDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("updateUserSetUpDetails.demo", "src/usersetup.updateUserSetUpDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getUserRightsDetails.demo", "src/usersetup.getUserRightsDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getUserRightsModuleNames.demo", "src/usersetup.getUserRightsModuleNames.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("addUserRightsDetails.demo", "src/usersetup.addUserRightsDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getUserNotesDetails", "src/usersetup.getUserNotesDetails.method Display Bankdetail static");
CRequestBroker::RegisterAction("updatePlannerNotes", "src/usersetup.updatePlannerNotes.method Display Bankdetail static");
CRequestBroker::RegisterAction("getSavedEventDates", "src/usersetup.getSavedEventDates");
//user set up Ends

//reset password
CRequestBroker::RegisterAction("resetPasswordDetails.demo", "src/usersetup.resetPassword.method reset password");
//reset password Ends

// autocompete Starts
CRequestBroker::RegisterAction("getAutoCompleteEmpName.demo", "src/auto-complete.getAutoCompleteEmpName.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getAutoCompleteEmpCode.demo", "src/auto-complete.getAutoCompleteEmpCode.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("showAutoCompleteEmployeeName.demo", "src/auto-complete.showAutoCompleteEmployeeName.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("showAutoCompleteEmployeeCode.demo", "src/auto-complete.showAutoCompleteEmployeeCode.demo method Display Bankdetail static");
// autocompete Starts Ends

// Others
CRequestBroker::RegisterAction("getAutoCompleteFromFrameWork.demo", "src/getAutoCompleteFromFrameWork.getAutoCompleteFromFrameWork.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("CreateModuleHtmlFiles.demo", "src/create_html_files.CreateModuleHtmlFiles.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("CreateView.demo", "src/create_all_views.CreateView.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("populateAllGridGroupFiles.demo", "src/create_all_grid_group_files.populateAllGridGroupFiles.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("populateAllGridFiles.demo", "src/create_all_grid_files.populateAllGridFiles.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("createModuleMetaColumns.demo", "src/create_module_meta_columns.createModuleMetaColumns.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("populateAllPopupGridFiles.demo", "src/create_all_popup_files.populateAllPopupGridFiles.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("UpdateDefinedFlag.demo", "src/update_defined_flag.UpdateDefinedFlag.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("CreateAllSchemaFiles", "src/create_all_schema_files.CreateAllSchemaFiles");

//Gandi Grid
CRequestBroker::RegisterAction("ChangeTablesToInnoDB", "src/system_utility.ChangeTablesToInnoDB.method Display Bankdetail static");
CRequestBroker::RegisterAction("TruncateEntryTables", "src/system_utility.TruncateEntryTables.method Display Bankdetail static");

//Gandi Grid

CRequestBroker::RegisterAction("DisplayRevalutionDetails", "src/revaluation.DisplayRevalutionDetails.method Display Bankdetail static");
CRequestBroker::RegisterAction("SaveRevalution", "src/revaluation.SaveRevalution.method Display Bankdetail static");
CRequestBroker::RegisterAction("DeleteMresultDetail", "src/revaluation.DeleteMresultDetail");

// System Utility
CRequestBroker::RegisterAction("CreateggridTempTable", "src/ggridmodel.CreateggridTempTable.method Display Bankdetail static");
CRequestBroker::RegisterAction("viewUserSchemaGGridDetails", "src/ggridmodel.viewUserSchemaGGridDetails.method Display Bankdetail static");
CRequestBroker::RegisterAction("getGGridGroupDetailsRowData", "src/ggridmodel.getGGridGroupDetailsRowData.method Display Bankdetail static");
CRequestBroker::RegisterAction("UpdateGandhiWithCellEdit", "src/ggridmodel.UpdateGandhiWithCellEdit");
CRequestBroker::RegisterAction("UpdateGGridRowModuleDetails", "src/ggridmodel.UpdateGGridRowModuleDetails.method Display Bankdetail static");

// Back up And Restore
CRequestBroker::RegisterAction("GetDbBackup", "src/backup_restore.GetDbBackup.method Display Bankdetail static");
CRequestBroker::RegisterAction("getZipBackup", "src/backup_restore.getZipBackup");
CRequestBroker::RegisterAction("PutDbRestore", "src/backup_restore.PutDbRestore.method Display Bankdetail static");

//Execute query 
CRequestBroker::RegisterAction("saveExcuteUserDefinedQuery", "src/execute_query.saveExcuteUserDefinedQuery");
CRequestBroker::RegisterAction("GetQueryResultSet", "src/execute_query.GetQueryResultSet");
CRequestBroker::RegisterAction("GetQueryResultSetDownload", "src/execute_query.GetQueryResultSetDownload");

//Execute query 
CRequestBroker::RegisterAction("downloadFileFromServer", "src/download_upload.downloadFileFromServer");
CRequestBroker::RegisterAction("UploadFileToServer", "src/download_upload.UploadFileToServer");
CRequestBroker::RegisterAction("Command", "src/download_upload.Command");

// subjcet display
CRequestBroker::RegisterAction("CollegeDetailsPopup.demo", "src/display_details_in_grid.CollegeDetailsPopup.demo displays s_ref_module details");
CRequestBroker::RegisterAction("getSubListViewData.demo", "src/subjectList_display.displaySubjectDetails.demo displays s_ref_module details");

// Mark entry  popup Details 
CRequestBroker::RegisterAction("ExamnoDetailsPopup.demo", "src/display_details_in_grid.ExamnoDetailsPopup.demo displays s_ref_module details");
CRequestBroker::RegisterAction("SubjectMarkDetailsPopup.demo", "src/display_details_in_grid.SubjectMarkDetailsPopup.demo displays s_ref_module details");
CRequestBroker::RegisterAction("SubjectShortNamePopup.demo", "src/display_details_in_grid.SubjectShortNamePopup.demo displays ShortName When  ");
CRequestBroker::RegisterAction("StudentRegisterNoPopup.demo", "src/display_details_in_grid.StudentRegisterNoPopup.demo displays Register No");

//Mark Entry Data	
CRequestBroker::RegisterAction("GetSubSubjectCategory.demo", "src/getdata.GetSubSubjectCategory.demo GetSubSubjectCategory and Bind To Dropdownlist ");
CRequestBroker::RegisterAction("GetVivaSubjectDetails", "src/getdata.GetVivaSubjectDetails");
CRequestBroker::RegisterAction("getCombinations", "src/getdata.getCombinations");
CRequestBroker::RegisterAction("SelectDeptCode", "src/getdata.SelectDeptCode");
CRequestBroker::RegisterAction("SelectDesCode", "src/getdata.SelectDesCode");
	
// trancactions
CRequestBroker::RegisterAction("displayFormulaSetUpDetails.demo", "src/display_details_in_grid.displayFormulaSetUpDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("viewTransactionSeriesGrid.demo", "src/display_details_in_grid.viewTransactionSeriesGrid.demo displays s_ref_module details");
CRequestBroker::RegisterAction("deleteTransactionSeries.demo", "src/display_details_in_grid.deleteTransactionSeries.demo displays s_ref_module details");
CRequestBroker::RegisterAction("displayFormulaMappingDetails.demo", "src/display_details_in_grid.displayFormulaMappingDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("deleteFormulaMappingDetails.demo", "src/display_details_in_grid.deleteFormulaMappingDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("showGridForSalarySetup.demo", "src/display_details_in_grid.showGridForSalarySetup.demo displays s_ref_module details");
CRequestBroker::RegisterAction("showEmployeeGridForIncometaxMaster.demo", "src/display_details_in_grid.showEmployeeGridForIncometaxMaster.demo displays s_ref_module details");
CRequestBroker::RegisterAction("deleteFormulaSalarySetup.demo", "src/display_details_in_grid.deleteFormulaSalarySetup.demo displays s_ref_module details");
CRequestBroker::RegisterAction("deleteSalarySetupHeader.demo", "src/display_details_in_grid.deleteSalarySetupHeader.demo displays s_ref_module details");

//to delete
CRequestBroker::RegisterAction("deleteUserSchemaDeiatls.demo", "src/display_details_in_grid.deleteUserSchemaDeiatls.demo displays s_ref_module details");
CRequestBroker::RegisterAction("mdelete_dynamic_master_details_from_grid.demo", "src/display_details_in_grid.delete_dynamic_master_setup_details.demo displays s_ref_module details");
CRequestBroker::RegisterAction("deleteUserSchemaModuleGroupDetails.demo", "src/display_details_in_grid.deleteUserSchemaModuleGroupDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("mdelete_user_schema_group_master_details_from_grid.demo", "src/display_details_in_grid.delete_user_schema_group_master_setup_details.demo displays s_ref_module details");
CRequestBroker::RegisterAction("mdelete_module_setup_grid.demo", "src/display_details_in_grid.delete_module_setup_grid.demo displays s_ref_module details");
CRequestBroker::RegisterAction("mdelete_user_schema_element_master_details_from_grid.demo", "src/display_details_in_grid.delete_user_schema_element_master_setup_details.demo displays s_ref_module details");
CRequestBroker::RegisterAction("deleteUserSchemaModuleDetails.demo", "src/display_details_in_grid.deleteUserSchemaModuleDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("deleteFormulaSetUpDetails.demo", "src/display_details_in_grid.deleteFormulaSetUpDetails.demo displays s_ref_module details");
CRequestBroker::RegisterAction("deleteLopReimbursement.demo", "src/display_details_in_grid.deleteLopReimbursement.demo displays s_ref_module details");
CRequestBroker::RegisterAction("pupulateDataDictionary.demo", "src/datadictionary.pupulateDataDictionary.demo method Display Bankdetail static");

// for Edit
CRequestBroker::RegisterAction("GetSchemaDetailsForUpdate.demo", "src/systemsetup.GetSchemaDetailsForUpdate.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("mgetModuleSetupForUpdate.demo", "src/module_setup.getModuleSetupForUpdate.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("mGetUserSchemaGroupDetailsForUpdate.demo", "src/systemsetup.GetUserSchemaGroupDetailsForUpdate.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("updateUserSchemaElementDbField.demo", "src/systemsetup.updateUserSchemaElementDbField.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("mGetUserSchemaElementDetailsForUpdate.demo", "src/systemsetup.GetUserSchemaElementDetailsForUpdate.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("mgetDynamicMasterDetailsForUpdate.demo", "src/dynamicmastersdetails.GetDynamicMasterDetailsForUpdate.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("mGetFieldName.demo", "src/dynamicmastersdetails.getFieldName.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getUserSchemaDetailsForRefrencedata.demo", "src/display_details_in_grid.getUserSchemaDetailsForRefrencedata.demo.demo displays s_ref_module details");



CRequestBroker::RegisterAction("populateAllGridGroupFiles.demo", "src/create_all_grid_group_files.populateAllGridGroupFiles.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("populateAllGridFiles.demo", "src/create_all_grid_files.populateAllGridFiles.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("calculateCost.demo", "src/calculate_cost.calculateCost.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("createModuleMetaColumns.demo", "src/create_module_meta_columns.createModuleMetaColumns.demo method Display Bankdetail static");
//transaction series
CRequestBroker::RegisterAction("getTransactionSeriesModule.demo", "src/transaction-series.getTransactionSeriesModule.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getTransactionSeriesModuleElements.demo", "src/transaction-series.getTransactionSeriesModuleElements.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("saveTransactionSeries.demo", "src/transaction-series.saveTransactionSeries.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getTransactionSeries.demo", "src/transaction-series.getTransactionSeries.demo method Display Bankdetail static");

 //Reports
CRequestBroker::RegisterAction("getReportFormElements.demo", "src/getreportdetails.getReportFormElements.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getReportDataDetails.demo", "src/getreportdetails.getReportDataDetails.demo method Display Bankdetail static");
//CRequestBroker::RegisterAction("report_".$_SESSION['g_report_file_id'], "Report_details/report_result_".$_SESSION['g_report_file_id'].".displayReport.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getReport", "src/getreportfilefordisplay.getReport.demo method Display Bankdetail static");
//CRequestBroker::RegisterAction("report_download_".$_SESSION['g_report_file_id'], "Report_details/report_result_".$_SESSION['g_report_file_id'].".downloadReport.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getDownloadReportFile", "src/getreportfilefordisplay.getDownloadReportFile.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getDownloadPDFReportFile", "src/getreportfilefordisplay.getDownloadPDFReportFile.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("viewGridReportDetails.demo", "src/getreportfilefordisplay.viewGridReportDetails.demo method Display Bankdetail static");
 	
//user set up
CRequestBroker::RegisterAction("getUserSetupDetails.demo", "src/usersetup.getUserSetupDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("updateUserSetUpDetails.demo", "src/usersetup.updateUserSetUpDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getUserRightsDetails.demo", "src/usersetup.getUserRightsDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getUserRightsModuleNames.demo", "src/usersetup.getUserRightsModuleNames.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("addUserRightsDetails.demo", "src/usersetup.addUserRightsDetails.demo method Display Bankdetail static");

// entry or exit events
	
CRequestBroker::RegisterAction("leaveEntryExitNoOfDays.demo", "src/entryexitevents.leaveEntryExitNoOfDays.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("leaveEntryExitBalanceLeaves.demo", "src/entryexitevents.leaveEntryExitBalanceLeaves.demo method Display Bankdetail static");
// autocompete
CRequestBroker::RegisterAction("getAutoCompleteEmpName.demo", "src/auto-complete.getAutoCompleteEmpName.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getAutoCompleteEmpCode.demo", "src/auto-complete.getAutoCompleteEmpCode.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("showAutoCompleteEmployeeName.demo", "src/auto-complete.showAutoCompleteEmployeeName.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("showAutoCompleteEmployeeCode.demo", "src/auto-complete.showAutoCompleteEmployeeCode.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("alterTable.demo", "src/datadictionary.alterTable.demo method Display Bankdetail static");

// get data details
CRequestBroker::RegisterAction("getdegreeNames.demo", "src/getdata.getdegreeNames.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getCollegeNames.demo", "src/getdata.getCollegeNames.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getExamNo.demo", "src/getdata.getExamNo.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getSubMarkDetails.demo", "src/getdata.getSubMarkDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getSubMarkDetailsForPopUp.demo", "src/getdata.getSubMarkDetailsForPopUp.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getFullSubjectDetails.demo", "src/getdata.getFullSubjectDetails.demo method Get Full Subject Deatils when Shortname Gave");
CRequestBroker::RegisterAction("getStudentRegisterNoName.demo", "src/getdata.getStudentRegisterNoName.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("CheckEnteredRegisterNo.demo", "src/getdata.CheckEnteredRegisterNo.demo method Check Entered RegisterNo valid or not");
CRequestBroker::RegisterAction("getNextRegisterNoName.demo", "src/getdata.getNextRegisterNoName.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("getCategoryNames.demo", "src/getdata.getCategoryNames.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("isRegNoValid.demo", "src/getdata.isRegNoValid.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("CheckEnteredstudentSubjectCode.demo", "src/getdata.CheckEnteredstudentSubjectCode.demo method Check Entered SubjectCode in markentry studentwise form");
CRequestBroker::RegisterAction("lastdate_validate.demo", "src/getdata.lastdate_validate.demo method Check Entered SubjectCode in markentry studentwise form");
CRequestBroker::RegisterAction("validatelastdate.demo", "src/getdata.validatelastdate.demo method Check Entered SubjectCode in markentry studentwise form");

//STUDENT ENTRY FORM.  
CRequestBroker::RegisterAction("ViewStudentDetails", "src/student_entry.ViewStudentDetails");
CRequestBroker::RegisterAction("ViewStudentDetailsKSWU", "src/student_entry_kswu.ViewStudentDetailsKSWU");
CRequestBroker::RegisterAction("ViewStudentDetailsVKU", "src/student_entry_vku.ViewStudentDetailsVKU");
CRequestBroker::RegisterAction("ViewDegreeWiseStudentDetails", "src/student_entry.ViewDegreeWiseStudentDetails");
CRequestBroker::RegisterAction("ViewDegreeWiseStudentDetailsVKU", "src/student_entry_vku.ViewDegreeWiseStudentDetailsVKU");
CRequestBroker::RegisterAction("ViewDegreeWiseStudentKSWUDetails", "src/student_entry_kswu.ViewDegreeWiseStudentKSWUDetails"); 
CRequestBroker::RegisterAction("GetCombinationFeeList", "src/student_entry.GetCombinationFeeList"); 
CRequestBroker::RegisterAction("getSubjectNames.demo", "src/student_entry.getSubjectNames.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("subjectDetailsPopup.demo", "src/display_details_in_grid.subjectDetailsPopup.demo displays s_ref_module details");
CRequestBroker::RegisterAction("saveStudentEntry.demo", "src/student_entry.saveStudentEntry.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("saveStudentEntryKSWU.demo", "src/student_entry_kswu.saveStudentEntryKSWU.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getsubjectAppearingTotal.demo", "src/student_entry.getsubjectAppearingTotal.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getsubjectAppearingTotalKSWU.demo", "src/student_entry_kswu.getsubjectAppearingTotalKSWU.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getSubDetails.demo", "src/student_entry.getSubDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("subjectAppearingPopUp.demo", "src/student_entry.subjectAppearingPopUp.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getStudentEntryDetails.demo", "src/display_details_in_grid.getStudentEntryDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("selectStudentDetails.demo", "src/student_entry.selectStudentDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getSlNoStudentDetails.demo", "src/student_entry.getSlNoStudentDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getSlNoStudentDetailsKSWU.demo", "src/student_entry_kswu.getSlNoStudentDetailsKSWU.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getSlNoStudentDetailsVKU.demo", "src/student_entry_vku.getSlNoStudentDetailsVKU.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getappnostudentdetails.demo", "src/ack_adm_application.getappnostudentdetails.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("removedocument", "src/ack_adm_application.removedocument");
CRequestBroker::RegisterAction("RemoveApplication", "src/ack_adm_application.RemoveApplication");
CRequestBroker::RegisterAction("DeleteApplication", "src/ack_adm_application.DeleteApplication");

CRequestBroker::RegisterAction("DiaplayStudentSignature", "src/ack_adm_application.DiaplayStudentSignature");
CRequestBroker::RegisterAction("getcombinationsubjectdet", "src/ack_adm_application.getcombinationsubjectdet");


CRequestBroker::RegisterAction("DiaplayStudentPhoto", "src/ack_adm_application.DiaplayStudentPhoto");

CRequestBroker::RegisterAction("savestudentapplication", "src/ack_adm_application.savestudentapplication");

CRequestBroker::RegisterAction("generateAutoIncrementSlNo.demo", "src/student_entry.generateAutoIncrementSlNo.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("generateAutoIncrementSlNoKSWU.demo", "src/student_entry_kswu.generateAutoIncrementSlNoKSWU.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("disableRecord.demo", "src/student_entry.disableRecord.demo method Display Bankdetail static"); 
CRequestBroker::RegisterAction("DiaplayUserSelectedPhoto", "src/student_entry.DiaplayUserSelectedPhoto");

//Degree
CRequestBroker::RegisterAction("getITModuleData.demo", "src/degree.getITModuleData.demo method Display Bankdetail static");  
CRequestBroker::RegisterAction("saveIdentifyTransactions.demo", "src/degree.saveIdentifyTransactions.demo method Display Bankdetail static");  

// degree Display	
CRequestBroker::RegisterAction("degreeDetailsPopup.demo", "src/display_details_in_grid.degreeDetailsPopup.demo displays s_ref_module details");
CRequestBroker::RegisterAction("RegnoDetailsPopup.demo", "src/display_details_in_grid.RegnoDetailsPopup.demo displays s_ref_module details");
//save data
CRequestBroker::RegisterAction("saveCollegeDegreeStatus.demo", "src/college_degree_status.saveCollegeDegreeStatus.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("saveMarkEntrySubjectwise.demo", "src/MarkEntry-Setup.saveMarkEntrySubjectwise.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("getSection", "src/MarkEntry-Setup.getSection");

CRequestBroker::RegisterAction("saveMarkEntrySubjectwise2.demo", "src/MarkEntry-Setup.saveMarkEntrySubjectwise2.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("saveModuleSetup.demo", "src/module_setup.saveModuleSetup.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("saveMarkEntryStudentwise.demo", "src/MarkEntry-Setup.saveMarkEntryStudentwise.demo method Add student Details student wise");

 //college
CRequestBroker::RegisterAction("getCollegeDegreeStatus.demo", "src/college_degree_status.getCollegeDegreeStatus.demo method Display Bankdetail static");
//AUTOCOMPLET
CRequestBroker::RegisterAction("autocompletephp.demo", "src/college_degree_status.autocompletephp.demo method Display Bankdetail static"); 

//Student Entry
CRequestBroker::RegisterAction("DisplayStudentMarkEnteryTable.demo", "src/MarkEntry-Setup.DisplayStudentMarkEnteryTable.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("getDefaultMarksEntrySubjectRegNos.demo", "src/MarkEntry-Setup.getDefaultMarksEntrySubjectRegNos.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("getDisplayMarksEntrySubjectRegNos.demo", "src/MarkEntry-Setup.getDisplayMarksEntrySubjectRegNos.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("getDisplayMarksEntrySubjectRegNos2.demo", "src/MarkEntry-Setup.getDisplayMarksEntrySubjectRegNos2.demo method Get Full StudentRegisterNoName");

//candidate-entry
CRequestBroker::RegisterAction("displayCandidateEntryRegNoDetails.demo", "src/candidate-entry.displayCandidateEntryRegNoDetails.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("saveCandidateEntryDetails.demo", "src/candidate-entry.saveCandidateEntryDetails.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("getExamfeeNames.demo", "src/candidate-entry.getExamfeeNames.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("GetCandidateListPhoto", "src/candidate-entry.GetCandidateListPhoto");
CRequestBroker::RegisterAction("PopulateExamTypeListCategory", "src/candidate-entry.PopulateExamTypeListCategory");
CRequestBroker::RegisterAction("ckeakexamdate", "src/candidate-entry.ckeakexamdate");

//getFmacCollegeDegreeDetails
CRequestBroker::RegisterAction("getFmacCollegeDegreeDetails.demo", "src/freeze_module_at_university_college.getFmacCollegeDegreeDetails.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("savefreezeModuleAtUniversityOrCollege.demo", "src/freeze_module_at_university_college.savefreezeModuleAtUniversityOrCollege.demo method Get Full StudentRegisterNoName");

//freezeModuleAtAdminCollegeSubject
 CRequestBroker::RegisterAction("getFmacasSubjectDetails.demo", "src/freeze_module_at_admin_college_subject.getFmacasSubjectDetails.demo method Get Full StudentRegisterNoName");
 CRequestBroker::RegisterAction("savefreezeModuleAtAdminCollegeSubject.demo", "src/freeze_module_at_admin_college_subject.savefreezeModuleAtAdminCollegeSubject.demo method Get Full StudentRegisterNoName");

 CRequestBroker::RegisterAction("getFmacasSubjectDetailsGcg.demo", "src/freeze_module_at_admin_college_subject_gcg.getFmacasSubjectDetailsGcg.demo method Get Full StudentRegisterNoName");
 CRequestBroker::RegisterAction("savefreezeModuleAtAdminCollegeSubjectGcg.demo", "src/freeze_module_at_admin_college_subject_gcg.savefreezeModuleAtAdminCollegeSubjectGcg.demo method Get Full StudentRegisterNoName");


//freeze AD/CL/ME
 CRequestBroker::RegisterAction("getAllAdClMeDegreeCode.demo", "src/freeze_Ad_Cl_Me.getAllAdClMeDegreeCode.demo method Get Full StudentRegisterNoName");
 CRequestBroker::RegisterAction("saveAdClMe.demo", "src/freeze_Ad_Cl_Me.saveAdClMe.demo method Get Full StudentRegisterNoName");
 //Dispatch Answers Script
 
 //ExportImport
 CRequestBroker::RegisterAction("GetExportDetails.demo", "src/export_import_setup.GetExportDetails.demo method Get Full StudentRegisterNoName");
 CRequestBroker::RegisterAction("GetImportDetails.demo", "src/export_import_setup.GetImportDetails.demo method Get Full StudentRegisterNoName");
 CRequestBroker::RegisterAction("saveExportTablesSetupDetails.demo", "src/export_import_setup.saveExportTablesSetupDetails.demo method Get Full StudentRegisterNoName");
 CRequestBroker::RegisterAction("saveImportTablesSetupDetails.demo", "src/export_import_setup.saveImportTablesSetupDetails.demo method Get Full StudentRegisterNoName");
 
 //Absent Entry
 CRequestBroker::RegisterAction("getDefaultAbsentEntrySubjectRegNos.demo", "src/absent_entry_setup.getDefaultAbsentEntrySubjectRegNos.demo method Get Full StudentRegisterNoName");
 CRequestBroker::RegisterAction("saveAbsEntrySubjectwise.demo", "src/absent_entry_setup.saveAbsEntrySubjectwise.demo method Get Full StudentRegisterNoName");
 CRequestBroker::RegisterAction("SaveAbsEntryQpStudetwise.demo", "src/absent_entry_setupQp.SaveAbsEntryQpStudetwise.demo method Get Full StudentRegisterNoName");
 CRequestBroker::RegisterAction("deletestudentabsententry.demo", "src/absent_entry_setupQp.deletestudentabsententry.demo method Get Full StudentRegisterNoName ");
 CRequestBroker::RegisterAction("getDefaultAbsentEntrySubjectRegNosQp.demo", "src/absent_entry_setupQp.getDefaultAbsentEntrySubjectRegNosQp.demo method Get Full StudentRegisterNoName");
/* 
 * FOR THE  REPORT LIST BY NAVEEN
 * DATE: 05/04/09
 * TIME: 12:15 PM 
 */ 
CRequestBroker::RegisterAction("generateDegreeReport.demo", "Report_details/report_degree_list.generateDegreeReport.demo method Display Bankdetail static"); 


CRequestBroker::RegisterAction("generateRvRtReport.demo", "Report_details/ack_rv_rt_report.generateRvRtReport.demo method Display Bankdetail static"); 


CRequestBroker::RegisterAction("generatehtstaus.demo", "Report_details/htstatus.generatehtstaus.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("checkgeneratehtstaus.demo", "Report_details/htstatus.checkgeneratehtstaus.demo method Display Bankdetail static");


CRequestBroker::RegisterAction("generateAdmissionReport.demo", "Report_details/report_admission_list.generateAdmissionReport.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("generateAdmissionReportBcu.demo", "Report_details/report_admission_list.generateAdmissionReportBcu.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("generateAdmissionReport_kswu.demo", "Report_details/report_admission_list_kswu.generateAdmissionReport_kswu.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("checkadmapprovelist", "src/approve.checkadmapprovelist");
CRequestBroker::RegisterAction("PrintApprovalList.demo", "Report_details/approval_report.PrintApprovalList.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("PrintApplicationFormPOSTOFFICE.demo", "src/applicationFormReportPOSTOFFICE.PrintApplicationFormPOSTOFFICE.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("PrintApplicationFormPOSTOFFICESum.demo", "src/PrintApplicationFormPOSTOFFICESum.PrintApplicationFormPOSTOFFICESum.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("printApplication.demo", "Report_details/report_bulk_applications.printApplication.demo method Display Bankdetail static");


CRequestBroker::RegisterAction("PrintCombinationDeatils.demo", "Report_details/report_adm_combination.PrintCombinationDeatils.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("PrintRegStudList.demo", "Report_details/reg_stud_list.PrintRegStudList.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("PrintBasicDataColl.demo", "Report_details/basic_data_coll.PrintBasicDataColl.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("printBasicDataSum.demo", "Report_details/basic_data_sum.printBasicDataSum.demo method Display Bankdetail static");


CRequestBroker::RegisterAction("PrintAdmissionSummary.demo", "Report_details/report_adm_summary.PrintAdmissionSummary.demo method Display Bankdetail static");


CRequestBroker::RegisterAction("generateAdmSummeryReport.demo", "Report_details/report_admission_list.generateAdmSummeryReport.demo method Display Bankdetail static"); 
CRequestBroker::RegisterAction("GenerateSubjectWiseStudentList.demo", "Report_details/subject_wise_student_list.GenerateSubjectWiseStudentList.demo method Display Bankdetail static"); 
CRequestBroker::RegisterAction("generateSubjecADCLReport.demo", "Report_details/report_subject_admcl_list.generateSubjecADCLReport.demo method Display Bankdetail static"); 
CRequestBroker::RegisterAction("generateSubjecGeneralReport.demo", "Report_details/report_subject_general_list.generateSubjecGeneralReport.demo method Display Bankdetail static"); 
CRequestBroker::RegisterAction("GenerateMarksEntrySubjectWiseReport.demo", "Report_details/report_marks_entry_subwise_list.GenerateMarksEntrySubjectWiseReport.demo method Display Bankdetail static");  
CRequestBroker::RegisterAction("GenerateMarksEntryStudentWiseReport.demo", "Report_details/report_marks_entry_student_list.GenerateMarksEntryStudentWiseReport.demo method Display Bankdetail static");  
CRequestBroker::RegisterAction("generateCandidateListReport.demo", "Report_details/report_candidate_list.generateCandidateListReport.demo method Display Bankdetail static");  
CRequestBroker::RegisterAction("generateDaliyReport.demo", "Report_details/report_daliy_report.generateDaliyReport.demo method Display Bankdetail static");  
CRequestBroker::RegisterAction("generateDaliyReportQp.demo", "Report_details/report_daliy_report_qp.generateDaliyReportQp.demo method Display Bankdetail static");  
CRequestBroker::RegisterAction("generateAdmissionTicket.demo", "Report_details/report_admission_ticket.generateAdmissionTicket.demo method Display Bankdetail static");  
CRequestBroker::RegisterAction("printCandidateAdmTicketRecord.demo", "Report_details/report_admission_ticket.generateAdmissionTicket.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("generatePostAdmissionTicket.demo", "Report_details/generatePostAdmissionTicket.generatePostAdmissionTicket.demo method Display Bankdetail static");
  
CRequestBroker::RegisterAction("GenerateTeacherReport", "Report_details/teacher_report.GenerateTeacherReport");
//CRequestBroker::RegisterAction("getDegSubject", "Report_details/teacher_report.getDegSubject");
CRequestBroker::RegisterAction("generateBoeSelectionReport", "Report_details/boeSelection_report.generateBoeSelectionReport");  
CRequestBroker::RegisterAction("generateCollegeWiseStudListReport.demo", "Report_details/report_candidate_list.generatecollegeWiseStudentList.demo method Display Bankdetail static");  
CRequestBroker::RegisterAction("generateStudDetailReport.demo", "Report_details/report_admission_details.generateStudDetailReport.demo method Display Bankdetail static"); 
//Revaluation report.
CRequestBroker::RegisterAction("GenerateRevalutionReport.demo", "Report_details/report_revaluation.GenerateRevalutionReport.demo method Display Bankdetail static");  

// for dispatch answer scripts
CRequestBroker::RegisterAction("SubjectCodePopupForAnswerScript.demo", "src/display_details_in_grid.SubjectCodePopupForAnswerScript.demo displays s_ref_module details"); 
CRequestBroker::RegisterAction("getSubjectCodePopupForAnswerScript.demo", "src/getdata.getSubjectCodePopupForAnswerScript.demo displays s_ref_module details"); 

CRequestBroker::RegisterAction("getSubjectNameForDispatchScript.demo", "src/getdata.getSubjectNameForDispatchScript.demo displays s_ref_module details"); 
CRequestBroker::RegisterAction("saveDispatchAnswerScripts.demo", "src/Dispatch_ans_script_setup.saveDispatchAnswerScripts.demo displays s_ref_module details"); 
CRequestBroker::RegisterAction("getDefaultDispatchAnswersScript.demo", "src/Dispatch_ans_script_setup.getDefaultDispatchAnswersScript.demo method Get Full StudentRegisterNoName");

CRequestBroker::RegisterAction("saveDispatchAnswerScriptsQp.demo", "src/Dispatch_ans_script_setup_qp.saveDispatchAnswerScriptsQp.demo displays s_ref_module details"); 
CRequestBroker::RegisterAction("getDefaultDispatchAnswersScriptQp.demo", "src/Dispatch_ans_script_setup_qp.getDefaultDispatchAnswersScriptQp.demo method Get Full StudentRegisterNoName");


// Export AND Import Utility
CRequestBroker::RegisterAction("ExportTablesFromDbtoSystem.demo", "src/export_import_utility.ExportTablesFromDbtoSystem.demo displays s_ref_module details"); 
CRequestBroker::RegisterAction("importTablesFromSystemtoDb.demo", "src/export_import_utility.importTablesFromSystemtoDb.demo displays s_ref_module details"); 
   
   
//Massage Board
CRequestBroker::RegisterAction("GetCollegeCodeDetails", "src/message_board.GetCollegeCodeDetails"); 
CRequestBroker::RegisterAction("SaveMessageBoard", "src/message_board.SaveMessageBoard"); 
CRequestBroker::RegisterAction("ViewMessageBoard", "src/message_board.ViewMessageBoard"); 
CRequestBroker::RegisterAction("getMessageBoardDetails", "src/message_board.getMessageBoardDetails"); 
CRequestBroker::RegisterAction("DeleteMessageBoard", "src/message_board.DeleteMessageBoard"); 

//Qp Popup	
CRequestBroker::RegisterAction("QpPopup.demo", "src/display_details_in_grid.QpPopup.demo displays s_ref_module details");
CRequestBroker::RegisterAction("OpenQpSubjectPopup", "src/display_details_in_grid.OpenQpSubjectPopup");
CRequestBroker::RegisterAction("GetQpCode.demo", "src/getdata.GetQpCode.demo displays s_ref_module details");
CRequestBroker::RegisterAction("SelectSubjectQpCode", "src/getdata.SelectSubjectQpCode");

//dept popup
CRequestBroker::RegisterAction("openDeptDetailsPopup", "src/display_details_in_grid.openDeptDetailsPopup");

//des popup
CRequestBroker::RegisterAction("openDesDetailsPopup", "src/display_details_in_grid.openDesDetailsPopup");

//Evaluation
CRequestBroker::RegisterAction("GenerateEvaluationReport", "Report_details/report_evaluation_report.GenerateEvaluationReport"); 

//Deviation
CRequestBroker::RegisterAction("GenerateDeviationReport", "Report_details/report_deviation_report.GenerateDeviationReport"); 

//Marks Deviation
CRequestBroker::RegisterAction("GenerateMarkDeviationReport", "Report_details/report_marks_deviation_report.GenerateMarkDeviationReport"); 

//Admission Entry Status
CRequestBroker::RegisterAction("getAllIAdmissionStatus", "src/admission_entry_status.getAllIAdmissionStatus"); 

//Attendance
CRequestBroker::RegisterAction("GetAttendanceRegisterNumbers", "src/attendance.GetAttendanceRegisterNumbers"); 

CRequestBroker::RegisterAction("getmonthrange", "src/attendance.getmonthrange"); 

CRequestBroker::RegisterAction("SaveAttendanceDetails", "src/attendance.SaveAttendanceDetails"); 
CRequestBroker::RegisterAction("GenerateAttendanceSummaryReport", "Report_details/report_attendance_summary.GenerateAttendanceSummaryReport"); 
CRequestBroker::RegisterAction("GenerateAttendanceStudentwiseReport", "Report_details/resport_attendance_studentwise.GenerateAttendanceStudentwiseReport"); 
CRequestBroker::RegisterAction("GenerateAttendanceShortageReport", "Report_details/report_attendance_shortage.GenerateAttendanceShortageReport"); 
//teachers
CRequestBroker::RegisterAction("AssignTeachDropDownMenus", "src/teachers.AssignTeachDropDownMenus"); 
CRequestBroker::RegisterAction("AssignTeachReportDropDownMenus", "src/teachers.AssignTeachReportDropDownMenus"); 
CRequestBroker::RegisterAction("SaveTeachersEntry", "src/teachers.SaveTeachersEntry"); 

CRequestBroker::RegisterAction("getDegSubject", "src/teachers.getDegSubject");

CRequestBroker::RegisterAction("ViewTeacherDetails", "src/teachers.ViewTeacherDetails"); 
CRequestBroker::RegisterAction("EditTeachertDetailsForUpdate", "src/teachers.EditTeachertDetailsForUpdate"); 
CRequestBroker::RegisterAction("AssignExistingCollegeData", "src/college.AssignExistingCollegeData"); 
CRequestBroker::RegisterAction("SaveCollegeInfoData", "src/college.SaveCollegeInfoData"); 
CRequestBroker::RegisterAction("DepartmentSubjectDropdown", "src/teachers.DepartmentSubjectDropdown");
CRequestBroker::RegisterAction("getExaminerDetails", "src/boeselection.getExaminerDetails");
CRequestBroker::RegisterAction("saveExaminerDetails", "src/boeselection.saveExaminerDetails"); 
CRequestBroker::RegisterAction("disableTeacherRecord", "src/teachers.disableTeacherRecord");
CRequestBroker::RegisterAction("DeleteTeacherRecord", "src/teachers.DeleteTeacherRecord"); 

CRequestBroker::RegisterAction("DownloadMiscFiles", "src/download_misc_files.DownloadMiscFiles"); 
CRequestBroker::RegisterAction("getfoldername", "src/download_misc_files.getfoldername");
CRequestBroker::RegisterAction("ImportMarksViaExcel", "src/import_marks.ImportMarksViaExcel"); 

//ACK Admission / Registration
CRequestBroker::RegisterAction("DisplayAckRegistration", "src/ack_registration.DisplayAckRegistration"); 
CRequestBroker::RegisterAction("acknowledgeSelectedRegistration", "src/ack_registration.acknowledgeSelectedRegistration"); 
CRequestBroker::RegisterAction("acknowledgedStatusReport", "Report_details/report_ack_registration.acknowledgedStatusReport"); 

//ACK Exam App Form
CRequestBroker::RegisterAction("DisplayAllAckExamApplications", "src/ack_exam_app_form.DisplayAllAckExamApplications"); 
CRequestBroker::RegisterAction("AcknowledgeSelectedExamApplications", "src/ack_exam_app_form.AcknowledgeSelectedExamApplications"); 
CRequestBroker::RegisterAction("PrintOnlineExamApplicationForm", "Report_details/report_online_eam.PrintOnlineExamApplicationForm");
CRequestBroker::RegisterAction("DisplayTimetableDegreewise", "src/time_table_degreewise.DisplayTimetableDegreewise"); 
CRequestBroker::RegisterAction("loadexamno_ttd", "src/time_table_degreewise.loadexamno_ttd");
CRequestBroker::RegisterAction("generatetimetabledegreewise", "Report_details/timetabledegreewiserpt.generatetimetabledegreewise");




//ACK Exam App Form Bulk
CRequestBroker::RegisterAction("DisplaybulkAckExamApplications", "src/ack_exam_app_form_bulk.DisplaybulkAckExamApplications"); 
CRequestBroker::RegisterAction("BulkacknowledgeSelectedExamApplications", "src/ack_exam_app_form_bulk.BulkacknowledgeSelectedExamApplications"); 
CRequestBroker::RegisterAction("PrintExamApplicationForm", "Report_details/ack_exam_app_form_bulk.PrintExamApplicationForm"); 


CRequestBroker::RegisterAction("CancelSelectedExamApplications", "src/acknowledged_exam_app_form.CancelSelectedExamApplications"); 
CRequestBroker::RegisterAction("DisplayAllAcknowledgedExamApplications", "src/acknowledged_exam_app_form.DisplayAllAcknowledgedExamApplications"); 
//ACK Rv RT
CRequestBroker::RegisterAction("DisplayAckApplications", "src/ack_application.DisplayAckApplications");


CRequestBroker::RegisterAction("SaveAckApplications", "src/ack_application.SaveAckApplications"); 

CRequestBroker::RegisterAction("DisplayAllAckApplications", "src/ack_rv_rt_application.DisplayAllAckApplications"); 
CRequestBroker::RegisterAction("AcknowledgeSelectedApplications", "src/ack_rv_rt_application.AcknowledgeSelectedApplications"); 
//Challan Preparations
CRequestBroker::RegisterAction("DisplayChallanPreparationDetails", "src/challan_preparation.DisplayChallanPreparationDetails");



CRequestBroker::RegisterAction("PrepareChallanDetailsForRvRT", "src/challan_preparation.PrepareChallanDetailsForRvRT"); 
CRequestBroker::RegisterAction("DeleteAckowledgedApplications", "src/challan_preparation.DeleteAckowledgedApplications"); 
//Challan Entry
CRequestBroker::RegisterAction("DisplayChallanEntryDetails", "src/challan_entries.DisplayChallanEntryDetails"); 
CRequestBroker::RegisterAction("DeleteChallanDetails", "src/challan_entries.DeleteChallanDetails"); 
CRequestBroker::RegisterAction("EnableChallanUpdateScreen", "src/challan_entries.EnableChallanUpdateScreen"); 
CRequestBroker::RegisterAction("ShowApplicationsForDocNo", "src/challan_entries.ShowApplicationsForDocNo"); 
CRequestBroker::RegisterAction("DeleteDocNoFromChallanDetails", "src/challan_entries.DeleteDocNoFromChallanDetails"); 
CRequestBroker::RegisterAction("UpdateChallanDetailsForDoc", "src/challan_entries.UpdateChallanDetailsForDoc"); 
//Admission Challan entry
CRequestBroker::RegisterAction("DisplayAdmChallanEntryDetails", "src/adm_challan_entries.DisplayChallanEntryDetails"); 
CRequestBroker::RegisterAction("DeleteAdmChallanDetails", "src/adm_challan_entries.DeleteChallanDetails"); 
CRequestBroker::RegisterAction("EnableAdmChallanUpdateScreen", "src/adm_challan_entries.EnableChallanUpdateScreen"); 
CRequestBroker::RegisterAction("ShowAdmApplicationsForDocNo", "src/adm_challan_entries.ShowApplicationsForDocNo"); 
CRequestBroker::RegisterAction("DeleteAdmDocNoFromChallanDetails", "src/adm_challan_entries.DeleteDocNoFromChallanDetails"); 
CRequestBroker::RegisterAction("UpdateAdmChallanDetailsForDoc", "src/adm_challan_entries.UpdateChallanDetailsForDoc");

CRequestBroker::RegisterAction("PrintAdmChallanEntryDetails", "Report_details/admChallanEntryDetails.PrintAdmChallanEntryDetails"); 

// Acknowledge Application BCU

CRequestBroker::RegisterAction("DisplayAdmApplication", "src/ack_adm_application.DisplayAdmApplication"); 

CRequestBroker::RegisterAction("DisplayAdmentryApplication", "src/ack_admentry_application.DisplayAdmentryApplication"); 
CRequestBroker::RegisterAction("PrintAdmApplication.demo", "Report_details/report_bulk_applications.printApplication.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("deleteStudentDetails", "src/ack_admentry_application.deleteStudentDetails"); 
CRequestBroker::RegisterAction("getfeedetails", "src/ack_admentry_application.getfeedetails"); 


CRequestBroker::RegisterAction("getcombinationsubjectdetdeg", "src/ack_admentry_application.getcombinationsubjectdet"); 
CRequestBroker::RegisterAction("getcombinationsubjectdetdeg", "src/ack_admentry_application.getcombinationsubjectdetdeg"); 

CRequestBroker::RegisterAction("GetCombinationdeg", "src/ack_admentry_application.GetCombinationdeg"); 

CRequestBroker::RegisterAction("displayStudentPortalData", "src/studentportal_remove.DisplayStudentPortalData"); 

CRequestBroker::RegisterAction("DeleteStudentPortalData", "src/studentportal_remove.DeleteStudentPortalData"); 

CRequestBroker::RegisterAction("getAdmentryApplication.demo", "src/ack_admentry_application.getAdmentryApplication"); 

CRequestBroker::RegisterAction("savestudententryapplication", "src/ack_admentry_application.savestudententryapplication"); 


CRequestBroker::RegisterAction("DisplayUserSelectedfile", "src/ack_adm_application.DisplayUserSelectedfile"); 

//Rec Rv RT
CRequestBroker::RegisterAction("DisplayAllReceivceDocs", "src/receive_rv_rt_application.DisplayAllReceivceDocs"); 
CRequestBroker::RegisterAction("ReceivceSelectedApplications", "src/receive_rv_rt_application.ReceivceSelectedApplications"); 
CRequestBroker::RegisterAction("PrintRevaluationApplicationForm", "Report_details/RvRtApplicationReport.PrintRevaluationApplicationForm"); 
CRequestBroker::RegisterAction("DownloadRvRtAckApplications", "Report_details/DownloadRvRtAckApplications.DownloadRvRtAckApplications"); 
CRequestBroker::RegisterAction("DownloadExamAppFormApplications", "Report_details/DownloadExamAppFormApplications.DownloadExamAppFormApplications"); 
CRequestBroker::RegisterAction("PrintChallanEntryDetails", "Report_details/PrintChallanEntryDetails.PrintChallanEntryDetails"); 
//room allotment
CRequestBroker::RegisterAction("DisplayRoomAllotmentDetatils", "src/room_allotment.DisplayRoomAllotmentDetatils"); 

CRequestBroker::RegisterAction("getRoomdetails", "src/room_allotment.getRoomdetails"); 

CRequestBroker::RegisterAction("SaveRoomAllotment", "src/room_allotment.SaveRoomAllotment");

CRequestBroker::RegisterAction("DisplayRoomAllotmentDetatilsDatewise", "src/room_allotment_datewise.DisplayRoomAllotmentDetatilsDatewise"); 
CRequestBroker::RegisterAction("SaveRoomAllotmentDatewise", "src/room_allotment_datewise.SaveRoomAllotmentDatewise"); 


CRequestBroker::RegisterAction("GenerateRAQPwiseStudentsCount", "Report_details/report_ra_qp_wise_student_count.GenerateRAQPwiseStudentsCount");  

CRequestBroker::RegisterAction("GenerateRoomwiseRegisterNosList", "Report_details/report_ra_roomwise_register_nos_list.GenerateRoomwiseRegisterNosList");  

CRequestBroker::RegisterAction("GenerateRoomwiseRegisterNoList", "Report_details/roomwise_register_nos_list.GenerateRoomwiseRegisterNoList");

CRequestBroker::RegisterAction("GenerateInvigilatorsDairy", "Report_details/report_ra_invigilators_dairy.GenerateInvigilatorsDairy");  

CRequestBroker::RegisterAction("GeneratesubjectwiseInvigilatorsDairy", "Report_details/subjectwise_invigilator_dairy.GeneratesubjectwiseInvigilatorsDairy");  

CRequestBroker::RegisterAction("GenerateInvigilatorDairy", "Report_details/report_ra_invigilator_dairy.GenerateInvigilatorDairy");  
CRequestBroker::RegisterAction("GenerateInvigilatorDairyGug", "Report_details/report_ra_invigilator_dairy_gug.GenerateInvigilatorDairyGug");  
CRequestBroker::RegisterAction("GenerateExcelRoomAllotReport", "Report_details/report_ra_exl_report.GenerateExcelRoomAllotReport");  

CRequestBroker::RegisterAction("GenerateAppearingListQPWise", "Report_details/appear_list_qp_wise.GenerateAppearingListQPWise");  
CRequestBroker::RegisterAction("GenerateCenterAppearingListQPWise", "Report_details/appear_list_center_qp_wise.GenerateCenterAppearingListQPWise");  
CRequestBroker::RegisterAction("Generateroomallotmantsummary", "Report_details/roomallotmantsummary.Generateroomallotmantsummary");  
// Room Declaration and Capacity 23/11/2016
CRequestBroker::RegisterAction("displayroomdeclarationdetails", "src/roomdeclaration.displayroomdeclarationdetails.method "); 
CRequestBroker::RegisterAction("saveroomdeclarationdetails", "src/roomdeclaration.saveroomdeclarationdetails.method"); 

CRequestBroker::RegisterAction("saveCentreDetails", "src/cntDeclaration.saveexamctrdet.method"); 
CRequestBroker::RegisterAction("getCntrDetl", "src/cntDeclaration.getCntrDetl.method"); 


CRequestBroker::RegisterAction("saveCollegeInfoPopup.demo", "src/college.saveCollegeInfoPopup"); 

//Identify Subject for Fresh Exam
CRequestBroker::RegisterAction("PopulateFreshExamSubjectList", "src/subject_freshExam.PopulateFreshExamSubject"); 
CRequestBroker::RegisterAction("PopulateFreshExamNo", "src/subject_freshExam.PopulateFreshExamNo"); 
CRequestBroker::RegisterAction("saveFreshExamEntryDetails.demo", "src/subject_freshExam.saveFreshExamEntry"); 

//User Subject Identification
CRequestBroker::RegisterAction("getsection", "src/usersubj_identification.getsection"); 

CRequestBroker::RegisterAction("PopulateUserSubjectList", "src/usersubj_identification.PopulateUserSubjectList"); 

CRequestBroker::RegisterAction("saveUserSelectedSubjectList", "src/usersubj_identification.saveUserSelectedSubjectList"); 

//Section
CRequestBroker::RegisterAction("PopulateStudentUpdateSection", "src/updateSection.GetUpdateSectionStudentList"); 
CRequestBroker::RegisterAction("sectionDetailsPopup.demo", "src/display_details_in_grid.OpenStudSectionPopup"); 
CRequestBroker::RegisterAction("getSectionName.demo", "src/getdata.getSectionName"); 
CRequestBroker::RegisterAction("SaveStudentSectionDetails", "src/updateSection.SaveStudentSectionDetails"); 
CRequestBroker::RegisterAction("markslistsubjpopup.demo", "src/getdata.markslistsubjpopup");
//uplaod photo
CRequestBroker::RegisterAction("viewStudInfoToupload", "src/upload_studentPhoto.viewStudInfoToupload");  
CRequestBroker::RegisterAction("UserSelectedPhotoDisplay", "src/upload_studentPhoto.UserSelectedPhotoDisplay");
CRequestBroker::RegisterAction("saveUserSelectedPhotoUpload", "src/upload_studentPhoto.saveUserSelectedPhotoUpload");
CRequestBroker::RegisterAction("downloadAllStudentPhotos.demo", "src/download_photo.downloadAllStudentPhotos"); 
CRequestBroker::RegisterAction("checkphoto", "src/download_photo.checkphoto");

CRequestBroker::RegisterAction("PopulateUserSubjectList", "src/usersubj_identification.PopulateUserSubjectList"); 
CRequestBroker::RegisterAction("saveUserSelectedSubjectList", "src/usersubj_identification.saveUserSelectedSubjectList"); 

// Bundle Dispatch
CRequestBroker::RegisterAction("defaultBundleDetails", "src/bundle_dispatch.defaultBundleDetails");  
CRequestBroker::RegisterAction("saveBundleDetails", "src/bundle_dispatch.saveBundleDetails");  

CRequestBroker::RegisterAction("generateBundleNosDispatchQPWise", "Report_details/bundleno_despatch_statement.generateBundleNosDispatchQPWise");  


CRequestBroker::RegisterAction("generateBundleDispatchQPWise", "Report_details/report_bundle_dispatch.generateBundleDispatchQPWise");  



CRequestBroker::RegisterAction("deleteBundleDetails", "src/bundle_dispatch.deleteBundleDetails");  
// Marks List Elementwise
CRequestBroker::RegisterAction("GeneratElementWiseReport", "Report_details/report_marks_elementwise.GeneratElementWiseReport"); 
CRequestBroker::RegisterAction("getmarkslistsubjNames.demo", "src/getdata.getmarkslistsubjNames"); 
CRequestBroker::RegisterAction("GenerateMarksEntrySubjectWiseReportnew.demo", "Report_details/report_marks_entry_subwise_listnew.GenerateMarksEntrySubjectWiseReport.demo method Display Bankdetail static"); 


//Admission 
CRequestBroker::RegisterAction("getCombinationNames", "src/student_entry.getCombinationNames"); 
CRequestBroker::RegisterAction("getCombinationNamesVKU", "src/student_entry_vku.getCombinationNamesVKU"); 
CRequestBroker::RegisterAction("getCombinationSubject.demo", "src/student_entry.getHonoursCombinationSubject");
CRequestBroker::RegisterAction("getCombinationSubjectVKU.demo", "src/student_entry_vku.getHonoursCombinationSubjectVKU");
CRequestBroker::RegisterAction("getHonoursNames", "src/student_entry.getHonoursNames");   
CRequestBroker::RegisterAction("getHonoursCombinationNames", "src/student_entry.getHonoursCombinationNames");
CRequestBroker::RegisterAction("GenerateAdmissionAppList", "src/admissionapplist.GenerateAdmissionAppList");  
CRequestBroker::RegisterAction("generateCollWiseSummeryList", "Report_details/report_admission_list.generateCollWiseSummeryList.demo method Display Bankdetail static");  
CRequestBroker::RegisterAction("admlist.demo", "Report_details/admlist.admlist.demo method Display Bankdetail static");

//Fileuploads
CRequestBroker::RegisterAction("GetCMSAmountValue", "src/student.GetCMSAmountValue");
CRequestBroker::RegisterAction("GetUploadedStudentDocuments", "src/student.GetUploadedStudentDocuments");
CRequestBroker::RegisterAction("GetDodumentsUpload", "src/student_entry.GetDodumentsUpload");
CRequestBroker::RegisterAction("getstudfee", "src/student_entry_vku.getstudfee");
CRequestBroker::RegisterAction("UploadEmployeeDocuments", "src/student_entry.UploadEmployeeDocuments");
CRequestBroker::RegisterAction("setAdmLoginCntr", "src/student_entry.setAdmLoginCntr");
CRequestBroker::RegisterAction("DiaplayUserSelectedSignature", "src/student_entry.DiaplayUserSelectedSignature");
CRequestBroker::RegisterAction("SaveCertificateDetails", "src/student.SaveCertificateDetails");
CRequestBroker::RegisterAction("SaveCertificateDetailsVKU", "src/student_vku.SaveCertificateDetailsVKU");
CRequestBroker::RegisterAction("getBoardNames.demo", "src/getdata.getBoardNames.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("GetDegreeGroupDropdown", "src/approve.GetDegreeGroupDropdown");
CRequestBroker::RegisterAction("GetAllSelectDropdown", "src/approve.GetAllSelectDropdown");
CRequestBroker::RegisterAction("GetCollegeDegreeDropdown", "src/approve.GetCollegeDegreeDropdown");
CRequestBroker::RegisterAction("getCombinationapproved", "src/approve.getCombinationapproved");
CRequestBroker::RegisterAction("GetAdmissionList", "src/approve.GetAdmissionList");
CRequestBroker::RegisterAction("getAppStudentDetails", "src/approve.getAppStudentDetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getAppStudsubApprTotal", "src/approve.getAppStudsubApprTotal.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("updateAdmissionStatus", "src/approve.updateAdmissionStatus.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("UploadEditEmployeeDocuments", "src/student_entry.UploadEditEmployeeDocuments");
CRequestBroker::RegisterAction("GetCollegeStatusDegreeDropdown", "src/college_approve.GetCollegeDegreeDropdown");
CRequestBroker::RegisterAction("GetCollAdmissionList", "src/college_approve.GetCollAdmissionList");

//Verify Doc for Exam Application
CRequestBroker::RegisterAction("DisplayAllVerifyExamApplications", "src/doc_verify.DisplayAllVerifyExamApplications"); 
CRequestBroker::RegisterAction("saveVerifyDocExamAppStatus", "src/doc_verify.saveVerifyDocExamAppStatus");


// database backup 22.04.2016 add to lys user only
CRequestBroker::RegisterAction("connect.demo", "src/connect.connect.demo method Display Bankdetail static"); 
CRequestBroker::RegisterAction("backupdb.demo", "src/backup.backupdb.demo method Display Bankdetail static");

//report_bacth_preparation_dairy
CRequestBroker::RegisterAction("GeneratebatchpreparationDairy", "Report_details/report_bacth_preparation_dairy.GeneratebatchpreparationDairy.demo method Display Bankdetail static"); 

//getfeeInformation
CRequestBroker::RegisterAction("getfeeInformation", "src/getfeeinformation.getfeeInformation.demo method Display Bankdetail static"); 
CRequestBroker::RegisterAction("displayfeeDetails", "src/getfeeinformation.displayfeeDetails.demo method Display Bankdetail static"); 
CRequestBroker::RegisterAction("savefeeInformation", "src/getfeeinformation.savefeeInformation.demo method Display Bankdetail static");

//getfeeInformation bulk
CRequestBroker::RegisterAction("getfeeInformationBulk", "src/getfeeinformation_bulk.getfeeInformation.demo method Display Bankdetail static"); 
CRequestBroker::RegisterAction("displayfeeDetailsBulk", "src/getfeeinformation_bulk.displayfeeDetails.demo method Display Bankdetail static"); 
CRequestBroker::RegisterAction("savefeeInformationBulk", "src/getfeeinformation_bulk.savefeeInformation.demo method Display Bankdetail static");

//to getia marks pendding information
CRequestBroker::RegisterAction("Generateiamarkspendingreport", "Report_details/report_iamarks_pending.Generateiamarkspendingreport.method Display Bankdetail static");  


//to getia marks pendding information
CRequestBroker::RegisterAction("Generatecollegeiamarkspendingreport", "Report_details/college_pending_markslist.Generatecollegeiamarkspendingreport.method Display Bankdetail static");  

//to get top sheet for practical
CRequestBroker::RegisterAction("Generatetopsheet", "Report_details/topsheet.Generatetopsheet.method method Display Bankdetail static"); 


//QPwise Student Count ( Univ )
CRequestBroker::RegisterAction("GenerateQPwiseCountUniv", "Report_details/report_qpcount_univ.GenerateQPwiseCountUniv.method method Display Bankdetail static"); 

//QPwise Student Count ( Univ )
CRequestBroker::RegisterAction("Generatetatkalreport", "Report_details/tatkal.Generatetatkalreport.method method Display Bankdetail static"); 


//QPwise Student Count ( Univ )
CRequestBroker::RegisterAction("Generateansbookstatistics", "Report_details/answer_book_statistics.Generateansbookstatistics.method method Display Bankdetail static"); 


//to display message text
CRequestBroker::RegisterAction("SaveMessageTxet", "src/messagetext.SaveMessageTxet.demo method Display Bankdetail static");

//to update dates
CRequestBroker::RegisterAction("SaveDateRange", "src/daterange.SaveDateRange.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getdatedetails", "src/daterange.getdatedetails.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("loaddeggrp", "src/daterange.loaddeggrp.demo method Display Bankdetail static");

//to display freeze and unfreeze subjects
CRequestBroker::RegisterAction("getfreezsubject.demo", "src/subjectfreez.getfreezsubject.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("savefreezeSubject.demo", "src/subjectfreez.savefreezeSubject.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getcollege.demo", "src/subjectfreez.getcollege.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getdegname.demo", "src/subjectfreez.getdegname.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("saveprfreezeSubject.demo", "src/subjectfreez.saveprfreezeSubject.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getexamname.demo", "src/subjectfreez.getexamname.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("checkdateforhalticket.demo", "src/getdata.checkdateforhalticket.demo method Display Bankdetail static");
//getexamname
//getdates 

//to get college wise degree satus
CRequestBroker::RegisterAction("Generatecollegewisedegreestatus", "Report_details/college_degree_details.Generatecollegewisedegreestatus.method Display Bankdetail static");  
//to generate studentwise section list 
CRequestBroker::RegisterAction("Genarentsectionwiselist", "Report_details/report_sectionwiselist.Genarentsectionwiselist.method Display Bankdetail static");  

//work staus for employee
CRequestBroker::RegisterAction("getempworkstatus.demo", "src/workstatus.getempworkstatus.demo method Display Bankdetail static");

//download fee statement
CRequestBroker::RegisterAction("DownloadFeeStatement", "src/downloadFeeStatement.DownloadFeeStatement");
//print exam form
CRequestBroker::RegisterAction("PrintExamForm", "src/printexamform.PrintExamForm"); 

// Parikshamitra 07/10/2016

//To save service in lsys
CRequestBroker::RegisterAction("getServiceCodeDetails","src/services.getServiceCodeDetails"); 
CRequestBroker::RegisterAction("saveServicesMaster","src/services.saveServicesMaster"); 
CRequestBroker::RegisterAction("disableServicesRecord","src/services.disableServicesRecord"); 

//To save service fee head in lsys
CRequestBroker::RegisterAction("getservicefeecodeDetails","src/servfeehead.getservicefeecodeDetails");	
CRequestBroker::RegisterAction("saveservicefeeheadsMaster","src/servfeehead.saveservicefeeheadsMaster");
CRequestBroker::RegisterAction("getservinformation","src/servfeehead.getservinformation");
CRequestBroker::RegisterAction("disableservicefeeheadRecord","src/servfeehead.disableservicefeeheadRecord");

//to save service fee
CRequestBroker::RegisterAction("getservicefeeDetails","src/sfeehead.getservicefeeDetails");	
CRequestBroker::RegisterAction("saveservicefeeMaster","src/sfeehead.saveservicefeeMaster");
CRequestBroker::RegisterAction("getservinfeeformation","src/sfeehead.getservinfeeformation");
CRequestBroker::RegisterAction("disableservicefeeRecord","src/sfeehead.disableservicefeeRecord");
CRequestBroker::RegisterAction("loadservfeeheads","src/sfeehead.loadservfeeheads");

//appliaction status for university for parikshamitra
CRequestBroker::RegisterAction("ViewApplicationdetails","src/appstatus.ViewApplicationdetails");	
CRequestBroker::RegisterAction("saveapplicationstatus","src/appstatus.saveapplicationstatus");

// search grid
CRequestBroker::RegisterAction("srchDetailGrid","src/control.srchDetailGrid"); 
//empty marks list 
CRequestBroker::RegisterAction("genearteiamarksemptylist.demo", "Report_details/iaemptyformat.genearteiamarksemptylist.demo method Display Bankdetail static");  

//Studnt count 
CRequestBroker::RegisterAction("Generatestudentcount", "Report_details/student_count.Generatestudentcount.method method Display Bankdetail static"); 

//freez attendance 
 CRequestBroker::RegisterAction("getattsSubjectDetails.demo", "src/attendance_freez.getattsSubjectDetails.demo method Get Full StudentRegisterNoName");
 CRequestBroker::RegisterAction("saveattendancefreez.demo", "src/attendance_freez.saveattendancefreez.demo method Get Full StudentRegisterNoName");

 //fee details based on college and degree on 28.12.2016
CRequestBroker::RegisterAction("Generateappfeedetails", "Report_details/appfeedetails.Generateappfeedetails.method method Display Bankdetail static"); 
//CRequestBroker::RegisterAction("Generateappfeedetails", "Report_details/appfeedetails.Generateappfeedetails"); 
 
//to unzip file in server 
CRequestBroker::RegisterAction("saveuserselectedfile", "src/uploadzip.saveuserselectedfile");


//practical markspending report
CRequestBroker::RegisterAction("Generateprmarkspendingreport", "Report_details/report_pr_pending.Generateprmarkspendingreport.method Display Bankdetail static");  

//for attendance shourtatge 
CRequestBroker::RegisterAction("downloadAllStudentPhotosreport", "src/attshort.downloadAllStudentPhotosreport"); 
CRequestBroker::RegisterAction("updateattshort", "src/attshort.updateattshort");

//subject freezing sectionwise 
 CRequestBroker::RegisterAction("getsectionSubjectDetails.demo", "src/subjectwise_freezing_sectionwise.getsectionSubjectDetails.demo method Get Full StudentRegisterNoName");
 CRequestBroker::RegisterAction("savefreezeModuleAtAdminCollegesectionSubject.demo", "src/subjectwise_freezing_sectionwise.savefreezeModuleAtAdminCollegesectionSubject.demo method Get Full StudentRegisterNoName");

 //student photo list 
 CRequestBroker::RegisterAction("generateAllStudentPhotosreport.demo", "Report_details/photo_report.generateAllStudentPhotosreport.demo"); 
 
//CRequestBroker::RegisterAction("getfoldername", "src/download_misc_files.getfoldername");
// Put  All Custome Php Files in custom_src/custom_mregistry.php

//to upload photo in bulck
CRequestBroker::RegisterAction("saveuserselectedphotofile", "src/photoupload.saveuserselectedphotofile");
CRequestBroker::RegisterAction("getdegreecode", "src/photoupload.getdegreecode");

CRequestBroker::RegisterAction("Generatefeesummary", "Report_details/fee_summary.Generatefeesummary.method method Display Bankdetail static"); 


//to update rv dates
CRequestBroker::RegisterAction("Savervdaterange", "src/rvdates.Savervdaterange.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getrvdatedetails", "src/rvdates.getrvdatedetails.demo method Display Bankdetail static");

//to cancel ans book
CRequestBroker::RegisterAction("SaveansEntryQpStudetwise.demo", "src/ansbookcancel.SaveansEntryQpStudetwise.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("GetDefaultanscancelEntryQp.demo", "src/ansbookcancel.GetDefaultanscancelEntryQp.demo method Get Full StudentRegisterNoName");

//to cancel ans book
CRequestBroker::RegisterAction("SaveansEntryQpStudetwise.demo", "src/answer_book_issued.SaveansEntryQpStudetwise.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("Getansbooklist.demo", "src/answer_book_issued.Getansbooklist.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("updateadmAdmissionStatus", "src/admapprove.updateadmAdmissionStatus"); 

//to get exam count 
CRequestBroker::RegisterAction("getexamcntInformation", "src/updateexamcnt.getexamcntInformation.demo method Display Bankdetail static"); 
CRequestBroker::RegisterAction("displayexamcnt", "src/updateexamcnt.displayexamcnt.demo method Display Bankdetail static"); 
CRequestBroker::RegisterAction("Saveexamcntinformation", "src/updateexamcnt.Saveexamcntinformation.demo method Display Bankdetail static");

//to get exam count 
CRequestBroker::RegisterAction("getbundlestatus", "src/bundlestatus.getbundlestatus");
CRequestBroker::RegisterAction("getbundlereceive", "src/bundlereceive.getbundlereceive");

CRequestBroker::RegisterAction("checkbatchdetails", "src/batch_close.checkbatchdetails");
CRequestBroker::RegisterAction("savebatchclose", "src/batch_close.savebatchclose");
 

//freezeModuleAtAdminCollegeSubject
 CRequestBroker::RegisterAction("getattfreezdeatils.demo", "src/attendance_freez_mth.getattfreezdeatils.demo method Get Full StudentRegisterNoName");
 CRequestBroker::RegisterAction("saveattfreezmth.demo", "src/attendance_freez_mth.saveattfreezmth.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("generateResults.demo", "Report_details/results_pdf.generateResults.demo method Display Bankdetail static");  

CRequestBroker::RegisterAction("PrintApplicationFormAdmPOSTOFFICE.demo", "Report_details/PrintApplicationFormAdmPOSTOFFICE.PrintApplicationFormAdmPOSTOFFICE.demo method Display Bankdetail static");


CRequestBroker::RegisterAction("Savecolldespack", "src/colldesp_ack.Savecolldespack.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getcolldespackdetails", "src/colldesp_ack.getcolldespackdetails.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("getstudentdetails", "src/admission_entry_reg.getstudentdetails");

CRequestBroker::RegisterAction("savestudentdata", "src/createAdmission.savestudentdata");

CRequestBroker::RegisterAction("savestudentmobno", "src/changeMobile.savestudentmobno");
CRequestBroker::RegisterAction("getoldmobileno", "src/changeMobile.getoldmobileno");

CRequestBroker::RegisterAction("saveStudentEntryReg.demo", "src/admission_entry_reg.saveStudentEntryReg.demo");

CRequestBroker::RegisterAction("reportexamcntrdet", "Report_details/cntDeclaration.reportexamcntrdet");  

CRequestBroker::RegisterAction("loaddegree", "src/student.loaddegree");
CRequestBroker::RegisterAction("DisplayAdmChallanPreparationDetails", "src/admchallanpreparation.DisplayAdmChallanPreparationDetails");
CRequestBroker::RegisterAction("PrepareChallanDetailsForAdm", "src/admchallanpreparation.PrepareChallanDetailsForAdm");

CRequestBroker::RegisterAction("admuploadexeclsheet", "src/admuploadexsheet.admuploadexeclsheet");

// ECHblk
 CRequestBroker::RegisterAction("getECHblkStudents.demo", "src/ECHblk.getECHblkStudents.demo method Get Full StudentRegisterNoName");
 CRequestBroker::RegisterAction("saveECHblkStudents.demo", "src/ECHblk.saveECHblkStudents.demo method Get Full StudentRegisterNoName");

    // convocation update
    CRequestBroker::RegisterAction("getStudentsforconv.demo", "src/convdet.getStudentsforconv.demo method Get Full StudentRegisterNoName");
    CRequestBroker::RegisterAction("saveUpdConvDet.demo", "src/convdet.saveUpdConvDet.demo method Get Full StudentRegisterNoName");


//Update College Details/Profile

CRequestBroker::RegisterAction("getCollDet", "src/UpdateCollDet.getCollDet");
CRequestBroker::RegisterAction("getcolldet.demo", "src/UpdateCollDet.getcolldet.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("updateCollProfile", "src/UpdateCollDet.updateCollProfile");

//Exam App. Challan Prep.
CRequestBroker::RegisterAction("getExmAppData", "src/examAppChallan.getExmAppData");
CRequestBroker::RegisterAction("saveAnsPrtChallan", "src/examAppChallan.saveAnsPrtChallan");
CRequestBroker::RegisterAction("PrintApplicationFormBankChalan", "Report_details/examAppChallan.PrintApplicationFormBankChalan");
CRequestBroker::RegisterAction("GenerateExamChallanReport", "Report_details/examAppChallanReport.GenerateExamChallanReport");

//Approved Candidate List 
CRequestBroker::RegisterAction("generateApprCandidRprt", "src/apprCandidReport.generateApprCandidRprt");

CRequestBroker::RegisterAction("generateadmlist.demo", "Report_details/admregisterlist.generateadmlist.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("DisplayDeleteStudent", "src/adm_delete_data.DisplayDeleteStudent");

CRequestBroker::RegisterAction("DeleteStudent", "src/adm_delete_data.DeleteStudent");
CRequestBroker::RegisterAction("getbankdet", "src/collbankdet.getbankdet");
CRequestBroker::RegisterAction("Savecollbankdet", "src/collbankdet.Savecollbankdet");

CRequestBroker::RegisterAction("saveNBLRegn", "src/nobleRegn.saveNBLRegn");

CRequestBroker::RegisterAction("loaddegreeadm", "src/admstuddate.loaddegreeadm");

CRequestBroker::RegisterAction("GetCombinationAdm", "src/admstuddate.GetCombinationAdm");

CRequestBroker::RegisterAction("admupdatedate", "src/admstuddate.admupdatedate");

CRequestBroker::RegisterAction("saveadmdate", "src/admstuddate.saveadmdate");

CRequestBroker::RegisterAction("collExamAppfromParam.demo", "src/coll_exam_app_form.collExamAppfromParam.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("SaveStudReg.demo", "src/coll_exam_app_form.SaveStudReg.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("updatecollfunddet", "src/collfundtransfer.updatecollfunddet");

CRequestBroker::RegisterAction("RemoveExamAck", "src/remove_exam_ack.RemoveExamAck");

CRequestBroker::RegisterAction("pushdatatostudentportal.demo", "src/push_data_to_studentportal.pushdatatostudentportal.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("genarateReconciliation.demo", "Report_details/reconciliation.genarateReconciliation.demo method Display Bankdetail static");

CRequestBroker::RegisterAction("GenerateQpIssue", "Report_details/qp_issue.GenerateQpIssue");

CRequestBroker::RegisterAction("GenerateBundalAck", "Report_details/bundle_ack.GenerateBundleAck");

CRequestBroker::RegisterAction("sendotp", "src/forgotpassword.forgotpassword");

CRequestBroker::RegisterAction("checkPassword", "src/forgotpassword.forgotpassword");

CRequestBroker::RegisterAction("validateotp", "src/forgotpassword.forgotpassword");

CRequestBroker::RegisterAction("GenerateTeacherReportLsys", "Report_details/teacherreport.GenerateTeacherReportLsys");

CRequestBroker::RegisterAction("Generateqpreport", "Report_details/qpindent.Generateqpreport");

CRequestBroker::RegisterAction("getDegreeGroupQP", "src/board.getDegreeGroupQP");

CRequestBroker::RegisterAction("getQPBoards", "src/board.getQPBoards");

CRequestBroker::RegisterAction("getQPSubjects", "src/board.getQPSubjects");

CRequestBroker::RegisterAction("PopulateUserSectionList", "src/sectionwisepermission.PopulateUserSectionList");

CRequestBroker::RegisterAction("saveUserSectionList", "src/sectionwisepermission.saveUserSectionList");

//freezeModuleAtAdminCollegeSubject
CRequestBroker::RegisterAction("getFreezeiaPrici.demo", "src/freezeiaprici.getFreezeiaPrici.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("saveFreezeiaPrici.demo", "src/freezeiaprici.saveFreezeiaPrici.demo method Get Full StudentRegisterNoName");

CRequestBroker::RegisterAction("GenerateMarksEntrySubjectWisePendingReport.demo", "Report_details/subiapending.GenerateMarksEntrySubjectWisePendingReport.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("GenerateCntrTagCollStud.demo", "Report_details/cntrtagcollstud.GenerateCntrTagCollStud.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("Generatecollegeiamarkspendingreportdetailed", "Report_details/Generatecollegeiamarkspendingreportdetailed.Generatecollegeiamarkspendingreportdetailed");

CRequestBroker::RegisterAction("savestudentdegree", "src/changeDegree.savestudentdegree");

CRequestBroker::RegisterAction("GenerateCollegeCentrStud.demo", "Report_details/collegedet.GenerateCollegeCentrStud.demo method Display Bankdetail static");


CRequestBroker::RegisterAction("DisplayBundalDetailsDatewise", "src/bundledispatchdatewise.DisplayBundalDetailsDatewise");
CRequestBroker::RegisterAction("GenerateValTeacherReport", "Report_details/teacher_val_report.GenerateValTeacherReport");
CRequestBroker::RegisterAction("generateBundleNoDatewiseDispatch", "Report_details/bundleno_dispatch_datewise.generateBundleNoDatewiseDispatch");
CRequestBroker::RegisterAction("getBundleRecAcknowledgement", "src/bundle_rec_ack.getBundleRecAcknowledgement");
CRequestBroker::RegisterAction("getstuddet", "src/lateralentry.getstuddet");
CRequestBroker::RegisterAction("savestuddet", "src/lateralentry.savestuddet");
CRequestBroker::RegisterAction("reportStudLatStudwise", "Report_details/report_adm_lat_studwise.studLatStudwise");
CRequestBroker::RegisterAction("GenerateLatReport", "Report_details/latEntryRprt.GenerateLatEntryReport");

CRequestBroker::RegisterAction("GetSubShortRegisterNumbers", "src/subshort.GetSubShortRegisterNumbers");
CRequestBroker::RegisterAction("saveSubjectwiseBlock", "src/subshort.saveSubjectwiseBlock");
CRequestBroker::RegisterAction("shortageReport.demo", "Report_details/shortageReport.shortageReport.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("loadDegComb", "src/createAdmission.loadDegComb");

    

// studLatStudwise
// getQPSubjects


// study Maeterial upload
CRequestBroker::RegisterAction("getcolldeg", "src/degstudymat.getcolldeg");
CRequestBroker::RegisterAction("getSubject", "src/degstudymat.getSubject");
CRequestBroker::RegisterAction("upload_file", "src/degstudymat.upload_file");
CRequestBroker::RegisterAction("saveStudyMaterial", "src/degstudymat.saveStudyMaterial");
CRequestBroker::RegisterAction("DisplayAllUploads", "src/degstudymatdet.DisplayAllUploads");
CRequestBroker::RegisterAction("deleteStudyMat", "src/degstudymatdet.deleteStudyMat");
CRequestBroker::RegisterAction("getcolldegexam", "src/degstudymat.getcolldegexam");
CRequestBroker::RegisterAction("getStuddeg", "src/degstudymatdet.getStuddeg");

CRequestBroker::RegisterAction("viewStuddet", "src/createAdmission.viewStuddet");
CRequestBroker::RegisterAction("editadmdata", "src/createAdmission.editadmdata");
CRequestBroker::RegisterAction("deleteadmdata", "src/createAdmission.deleteadmdata");
CRequestBroker::RegisterAction("getdegappcandsum", "src/feepaidreports.getdegappcandsum");
CRequestBroker::RegisterAction("checkdateforra.demo", "src/getdata.checkdateforra.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("ExamAttendanceSummary", "Report_details/exam_attendance_summary.ExamAttendanceSummary");
CRequestBroker::RegisterAction("exam_attendance_det", "Report_details/exam_attendance_det.exam_attendance_det");

//Identify Technical Officer
CRequestBroker::RegisterAction("saveto", "src/teachOficerEntry.saveto");
CRequestBroker::RegisterAction("getdeggrp", "src/teachOficerEntry.getdeggrp");
CRequestBroker::RegisterAction("ViewDeatilsto", "src/teachOficerEntry.ViewDeatilsto");
CRequestBroker::RegisterAction("deletetechofficer", "src/teachOficerEntry.deletetechofficer");
CRequestBroker::RegisterAction("edittechofficer", "src/teachOficerEntry.edittechofficer");
CRequestBroker::RegisterAction("getRvPcDetailedReport", "Report_details/RvPcListDetailedReport.getRvPcDetailedReport");


// htblk
CRequestBroker::RegisterAction("gethtblkStudents.demo", "src/htblk.gethtblkStudents.demo method Get Full StudentRegisterNoName");
CRequestBroker::RegisterAction("savehtblkStudents.demo", "src/htblk.savehtblkStudents.demo method Get Full StudentRegisterNoName");

CRequestBroker::RegisterAction("qrcodeGeneratePostAdmissionTicket.demo", "Report_details/qrcodeGeneratePostAdmissionTicket.qrcodeGeneratePostAdmissionTicket.demo method Display Bankdetail static");


CRequestBroker::RegisterAction("connect.demo", "src/connect.connect.demo method Display Bankdetail static"); 

CRequestBroker::RegisterAction("GetDegreeGroupDropdownKus", "src/approve_kus.GetDegreeGroupDropdownKus");
CRequestBroker::RegisterAction("GetAllSelectDropdownKus", "src/approve_kus.GetAllSelectDropdownKus");
CRequestBroker::RegisterAction("GetCollegeDegreeDropdownKus", "src/approve_kus.GetCollegeDegreeDropdownKus");
CRequestBroker::RegisterAction("getCombinationapprovedKus", "src/approve_kus.getCombinationapprovedKus");
CRequestBroker::RegisterAction("GetAdmissionListKus", "src/approve_kus.GetAdmissionListKus");
CRequestBroker::RegisterAction("getAppStudentDetailsKus", "src/approve_kus.getAppStudentDetailsKus.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("getAppStudsubApprTotalKus", "src/approve_kus.getAppStudsubApprTotalKus.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("updateAdmissionStatusKus", "src/approve_kus.updateAdmissionStatusKus.demo method Display Bankdetail static");
CRequestBroker::RegisterAction("updateadmAdmissionStatusKus", "src/admapprove_kus.updateadmAdmissionStatusKus"); 

CRequestBroker::RegisterAction("GenerateRoomwiseRegisterNoListdegreewse", "Report_details/report_ra_roomwise_register_nos_list_degreewise.GenerateRoomwiseRegisterNoListdegreewse");

CRequestBroker::RegisterAction("displayroomdeclarationdetailsStph", "src/roomdeclaration_stph.displayroomdeclarationdetailsStph.method "); 
CRequestBroker::RegisterAction("saveroomdeclarationdetailsStph", "src/roomdeclaration_stph.saveroomdeclarationdetailsStph.method"); 
CRequestBroker::RegisterAction("DisplayRoomAllotmentDetatilsDatewiseStph", "src/room_allotment_datewise_stph.DisplayRoomAllotmentDetatilsDatewiseStph"); 

//View Ledger

CRequestBroker::RegisterAction("DisplayViewLedger", "src/view_ledger.DisplayViewLedger");
CRequestBroker::RegisterAction("loaddegreeviewledg", "src/view_ledger.loaddegreeviewledg");

CRequestBroker::RegisterAction("Generateappfeedetails", "Report_details/appfeedetails.Generateappfeedetails.method method Display Bankdetail static"); 

// Subjct Block

CRequestBroker::RegisterAction("GetRegisterNumbers", "src/subblock.GetRegisterNumbers"); 
CRequestBroker::RegisterAction("saveSubBlock", "src/subblock.saveSubBlock");
CRequestBroker::RegisterAction("getBatchdet", "src/getdata.getBatchdet");

////Affliaation fees

CRequestBroker::RegisterAction("loaddeggrpaff", "src/affliation_fee.loaddeggrpaff");
CRequestBroker::RegisterAction("loadaffoptions", "src/affliation_fee.loadaffoptions");
CRequestBroker::RegisterAction("loadtabaffi", "src/affliation_fee.loadtabaffi");

include_once("custom_src/custom_mregistry.php");


?>
